Welcome

Note

This document contains references to Agilent Technologies. Agilent's former Test and Measurement business has become Keysight Technologies. For more information, go to www.keysight.com.

Welcome to Waveform Creator Help

Waveform Creator is a Software framework for creating, combining & managing custom, arbitrary waveforms that supports the following tasks:

  • Creating a Waveform
  • Customizing a Mixed Waveform
  • Downloading a Waveform
  • Accessing Concurrent Waveform Creator Instances using SCPI

Tour the Waveform Creator

The Agilent Waveform Creator Help provides instructions for installing and using Waveform Creator. After Waveform Creator is installed, launch it from Start > All Programs > Agilent > Agilent M9099 Waveform Creator.


Getting Started

Contents

  • Release Notes
  • Installation and License Setup
  • Related Documentation


Home

Introduction

M9099 Waveform Creator provides a modular and flexible waveform creation environment supporting analog and digital modulation formats for the Agilent M9381A Vector Signal Generator, M8190A, M933xA, and 81180-series instruments for R&D, design validation, and test engineers who need to create and manage custom waveforms for wireless and high speed wireline product design & testing.

Waveform Creator provides a simple, easy, & modular SW framework for creating, combining & managing custom, arbitrary waveforms, with support for corrected waveform download to Agilent AWGs and Signal Generators. It accelerates design validation and testing of chips, modules, and systems by streamlining development and management of custom stimulus waveforms.

Waveform Creator provides various benefits out of the box:

  • Optional generation of DOCSIS 3.1 downstream and upstream signals.
  • Flexible waveform creation and generation capability for Agilent M9381 PXI VSG.
  • Waveform creation and generation capability for 81180 series arbitrary waveform generators.
  • Waveform generation and download capability for wideband arbitrary waveform generators, such as M933x series and M8190A.
  • Standard waveform plug-ins for of general-purpose waveform creation.
  • Optional waveform creation plug-in for basic digital modulation.
  • Optional waveform creation plug-in for SystemVue simulation models.
  • Output plug-in for writing unencrypted waveform files (CSV, MAT, BIN, M8190A DUC IQBIN, and M9381A native files).
  • Import waveform data from CSV, LabVIEW CSV, HDF, BIN, or M8190A DUC IQBINFile type.
  • User extendable functionality such as creating your own waveform input plug-ins.
  • SCPI remote control for test automation.


Release Notes

This section contains the release notes for Waveform Creator releases.

Contents

  • WaveformCreator 2.0 Release Notes
  • WaveformCreator 1.0 Release Notes


Waveform Creator 2.0 Release Notes

The latest Waveform Creator release notes are installed along with the software and can be found in the directory:

Windows 7 (32-bit)

C:\Program Files (x86)\Agilent\M9099 Waveform Creator\Documentation

For general information about Waveform Creator, visit Agilent products and services webpage at http://www.agilent.com/find/m9099.

Key Features

This section lists the new features introduced in Waveform Creator 2.0.

  • New Input Plug-ins
  • New Output Plug-ins
  • New File Types
  • New Basic Waveform Types
  • Addition of AM, FM, and PM capabilities to single tone segments
  • Smooth Filters
  • Settings (.setx) File for 89600 VSA Demod
  • Spectral Display
  • Streaming Support for M8190A
  • Sequencers for M9330A and M8190A
  • Manual Sample Rate for File Import plug-in
  • Usability Enhancements

New Input Plug-ins

DOCSIS 3.1 Plug-in

Waveform Creator enables you to generate Data Over Cable Service Interface Specification (DOCSIS) 3.1 downstream signals from 24 to 192MHz bandwidth and DOCSIS 3.1 upstream signals from 10MHz to 96MHz bandwidth for 2K mode and 6.4MHz to 96MHz bandwidth for 4K mode. This can be used to test transmitters, receivers, and components against the new requirements set forth in the DOCSIS 3.1 specification.

89600B VSA Input Plug-in

The 89600 VSA Input plug-in enables users with a licensed version of VSA software and any supported hardware to generate and use a VSA recording as a waveform segment.This feature is useful for capturing an unknown signal or recording a complex environment for playing back later.

New Output Plug-ins

M8190 output plug-in

Waveform Creator supports output to Agilent M8190A Arbitrary Waveform Generator (AWG). You can output waveforms to Agilent M8190A AWG in any of the following six modes:

  • Speed Mode (12 bit, 12 GHz)
  • Precision Mode (14 bit, 8 GHz)
  • DUC Mode (x3 Interpolation)
  • DUC Mode (x12 Interpolation)
  • DUC Mode (x24 Interpolation)
  • DUC Mode (x48 Interpolation)

M9330A Output Plug-in

Waveform Creator supports output to Agilent M933xA series Arbitrary Waveform Generators (AWG). The following two modes are supported:

  • Basic Mode
  • DDS Mode

81180A/81180B Output Plug-in

Waveform Creator supports output to Agilent 81180 series Arbitrary Waveform Generators (AWG). You can output waveforms to any of the following 81180 devices:

  • 81180A: 10 MSa/s - 4.2 GSa/s
  • 81180B: 10 MSa/s - 4.6 GSa/s

New File Types

M8190A DUC IQBIN files

You can use M8190A DUC IQBIN file type for data streaming using M8190A.

IQ Separated Bin files

You can now specify separate files for storing I data and Q data.

LabVIEW CSV file

You can now create waveform segments containing waveform data imported from a LabVIEW CSV file.

New Basic Waveform Types

The Utility segments now support sinusoid, saw, and triangle waveform types. Associated settings have been added for these new waveform types.

Addition of AM, FM, and PM capabilities to single tone segments

Six new modulation types, AM, AM-USB, AM-LSB, AM-DSB, PM, and FM are now supported for single tone. The following new settings have been added:

  • AM Modulation Depth
  • PM Deviation
  • FM Deviation

Waveform Settings

  • Analog Modulation Signal Type
  • Amplitude Scale
  • Frequency
  • I/Q Phase Difference
  • Start Phase
  • Number of cycles

Smooth Filters

You can apply a low pass filter to remove the possible phase and amplitude discontinuity problems from your waveform. Five new settings, Filter Type, Window type, Filter Length, Cutoff Frequency, and Transition Frequency have been added to the Final Waveform Settings.

Settings (.setx) File for 89600 VSA Demod

To simplify the setup in 89600 VSA, Waveform Creator enables you to generate settings (.setx) files when you generate waveforms from Digital Mod and DOCSIS 3.1 segments. You can replay these setup files in 89600 VSA when you analyze the associated waveforms in 89600 VSA.
Four new settings, Generate 89600 Setting File, 89600 Template Version, 89600 Center Frequency, and 89600 Setup File Path have been added to the Final Waveform Settings.

Spectral Display

You can now view the frequency spectrum of your mixed waveforms from the Output Device Window. This is similar to the waveform display in Agilent 89600 VSA. You can show and pause the spectrum display, enable or disable marker selection, enable or display scale selection, scale the spectrum to its full size, and specify the FFT length.

Streaming Support for M8190A

Waveform Creator provides streaming support for waveforms generated and output for M8190A. This enables M8190A to reload the sample memory while being in the run mode. This capability provides a method to generate waveforms with an infinite playtime.

Sequencers for M9330A and M8190A

The M9330A and M8190A output plug-ins support detailed options for waveform sequencing.

Manual Sample Rate for File Import plug-in

You can now manually set the sample rate to be used for the imported waveform. Two new settings, Manual Sample Rate and Sample Rate From File have been added.

Usability Enhancements

X-Y axis for the final waveform

Labels for X-Y axis have been added for the final waveform in the Output Device Window.

SystemVue Plug-in Generator Enhancement

You can now use Shift and Ctrl keys to select multiple SystemVue design parameters to be used in Waveform Creator.

M9381A native file output enhancement

Better organization of file output settings for the M9381A output plug-in. Two new settings, Output To and Native File Name have been added.

Disable generate button/menus when downloading waveform

When the waveform is being generated and output, you cannot perform the following functions:

  • Load the preset setup using File > Preset Setup.
  • Open a saved Waveform Creator setup using File > Open Setup.
  • Use the Generate menu to specify the output device, generate waveforms and output them to the selected device, and compute pre-corrections to compensate for hardware imperfections.

Discontinued Features

  • Support for the Windows XP operating system has been discontinued.

Known Issues

  • Waveform Creator is not able to generate 89600 VSA Setup file for digital modulation segments with modulation types 16-PSK, EFQPSK, FQPSK, IJF-OQPSK, and SOQPSK-MIL. This is because 89600 VSA cannot analyze the waveform segments with these modulation types.


Waveform Creator 1.0 Release Notes

The latest Waveform Creator release notes are installed along with the software and can be found in the directory:

Windows 7 (32-bit)

C:\Program Files (x86)\Agilent\M9099 Waveform Creator\Documentation

For general information about Waveform Creator, visit Agilent products and services webpage at http://www.agilent.com/find/m9099.

Key Features

Waveform Creator Core Platform

The core application framework provides all the non application-specific system features such as waveform editing, graphical and remote user interfaces, save/recall, and pre-correction filtering.

Plug-ins

Utility Plug-in

The Utility segment library contains a miscellany of potentially usefull segment types.

Multi-Tone Plug-in

Multi-tone is a standard, license-free plug-in that enables the creation of single tone, two tone and multi-tone signals. The single and two tone waveforms can also be vector modulated to create GMSK, PSK, and QAM signals.

File Import Plug-in

The file import segment library enables you to create waveform segments containing arbitrary waveform data imported from other sources.

Digital Modulation Plug-in

Digital Modulation is used to generate digital modulation signal on baseband, including the basic modulation schemes like BPSK, QPSK, DQPSK, π/4-DQPSK, Offset QPSK, Shaped OQPSK, 8-PSK, D8PSK, EDGE, π/8-D8PSK, MSK, CPM, 16-QAM, 32-QAM, 64-QAM, 128-QAM, 256-QAM, 512-QAM, 1024-QAM, 16-APSK, 32-APSK, Custom APSK, Star16-QAM, Star32-QAM, 2FSK, 4FSK, 8FSK, 16FSK, IJFOQPSK, FQPSK, and EFQPSK.

Agilent SystemVue Plug-in Generator

SystemVue Plug-in Generator is used to import a waveform from SystemVue into Waveform Creator.

M9381A Output Plug-in

This plug-in supports waveform download into Agilent M9381A Vector Signal Generator.

Data File Write Output Plug-in

This plug-in supports saving the waveform to a file on the disk.

Known Issues

None


Installation and License Setup

This chapter describes software pre-requisites and how to install and setup licenses for Waveform Creator core and plug-in software.

Contents

  • System Requirements
  • Installing Waveform Creator
  • Setting up Licenses


System Requirements

Following are Agilent recommended configurations:

CPU | 2 GHz or faster 32-bit (x86) or 64-bit (x64) processor
RAM | 2 GB recommended (32-bit) / 4 GB recommended (64-bit)
Video RAM | 512 MB recommended
Hard Disk | 1 GB available
Additional Drives | DVD to load software; license transfer requires network access, USB Flash drive, USB hard drive, or USB DVD drive
Operating System | Microsoft Windows® 7 Professional, Enterprise, or Ultimate (64-bit/32-bit)

Summary of Software/Hardware Compatibility with Waveform Creator

Microsoft .NET Framework | Ensure that you have Microsoft .NET Framework version 4 or higher installed on your system. The Microsoft .NET Framework 4 can be found at http://www.microsoft.com/en-in/download/details.aspx?id=17851.
Agilent IO Libraries Suite | Ensure that you have Agilent IO Libraries Suite 16.3 or higher installed on your system. The Agilent IO Libraries Suite can be found on the CD that is part of shipment content or at http://www.agilent.com/find/iosuite.
VSA for pre-corrections filter calibration | If you wish to use the optional pre-corrections filter calibration capability, you also need Agilent 89601B VSA version 15 or higher installed on your system. Support till version 18 is provided.
M9381A VSG/CW Source Instrument Drivers | Install M9381A VSG Drivers from http://www.agilent.com/find/M9381A Please install M9381A driver version 1.2 or higher.
M8190A AWG Driver | If you wish to use the M8190A streaming capability, you also need Agilent M8190A Driver. Install the M8190A driver from http://www.home.agilent.com/agilent/software.jspx?ckey=sw385 Please install version 3.0 or higher.
NI-IVI Compliance Package | The M933xA series AWG require that the NI IVI Compliance Package 4.1 or greater be installed. To get the latest release of the NI IVI Compliance Package, go to http://www.ni.com/drivers/
M933xA AWG Source Instrument Drivers | Install M933xA Drivers from http://www.home.agilent.com/agilent/software.jspx?ckey=2033326 Please install M933xA driver version 2.01 or higher.
SystemVue Software | To use SystemVue Model Plug-in, please install SystemVue software 2013.08 or 2013.08 SP1 release.


Installing Waveform Creator

Follow the given steps to get the executable and install Agilent M9099 Waveform Creator software (core and plug-ins) on your system.

Pre-requisites

A host PC with Agilent IO Libraries Suite software correctly installed:
For more details, refer to Summary of Software/Hardware Compatibility with Waveform Creator section under System Requirements.

Obtain Waveform Creator Executable

Obtain the Waveform Creator executable from the following sources:

  • A.com
  • CD-ROM (Product ordered with -MED option)

Install Waveform Creator Core

  1. Double-click the executable (Agilent M9099 Setup.exe) to run the Waveform Creator setup. The following screen appears:
  2. Follow the guided tour to complete the installation.

Install Plug-ins

  1. The InstallShield Wizard installs the Agilent M9099 Waveform Creator plug-in on your computer.
  2. Click Next to continue.
  3. Select the features you want to install and click Next to install in the default folder.
  4. Follow the guided tour to complete the installation
Note

If you do not have the Agilent M938x Instrument Driver Version 1.1.199.3 or later or M933x Arbitrary Waveform Generator Instrument Drivers installed on your system, download the same from http://www.agilent.com/find/adnivicomdrivers.

Install the M8190A driver from http://www.home.agilent.com/agilent/software.jspx?ckey=sw385.

Silent Installation of Waveform Creator

To install Waveform Creator silently, perform the following steps:

1. Copy the following files to a non read-only directory.

* Agilent M9099 Setup.exe

* runinstall.bat

* install.iss

2. Update the runinstall.bat file to reflect the correct directory in which the M9099 setup file is located.

3. Run the command prompt as an administrator.

4. Navigate to the directory in which the M9099 Setup file is located.

5. Run the runinstall.bat file.


Setting Up Licenses

This section describes Agilent software licensing and the licenses required to run the Agilent Waveform Creator software.

Agilent Software Licensing

The Waveform Creator software supports Node-Locked licensing type.

For more details on different license types and setup, launch Agilent License Manager from Start > All Programs > Agilent License Manager or by clicking [image] from system tray.

When you purchase Waveform Creator, you are provided with a License Redemption Entitlement Certificate that documents the options to which you are entitled. You can redeem the certificate at http://www.agilent.com/find/softwaremanager using the purchase order number, entitlement certificate number, and other details to run the software.

The Agilent Software Licensing system issues a license file for each purchased option, by e-mail, to an address you specify. Each license file is a plain text file attachment with a file name in the form XXXXXX_YYYYYY.lic.

When you receive the e-mail, you should save the attached .lic file(s) to the Agilent license directory, which is, by default, located at
C:\Program Files\Agilent\licensing.

Note

You can check the status of your software licenses by running the optional Agilent License Manager or by selecting Help > About... from the Waveform Creator menu and then selecting the Licenses tab in the About dialog.

If a license is not available or not valid, the corresponding features will not be enabled by the Agilent Waveform Creator.

Waveform Creator Licenses

Agilent Waveform Creator Software Options

Product-Option | *Feature | Version* | Description
M9099T |  |  | Waveform Creator (Transportable Perpetual License)
M9099T-LIC | M9099_CS_CoreSoftware | 2.000 | Core product w/ Utility & Multi-tone plug-in licenses (Required)
M9099T-AYA | M9099_Wp_DigMod | 2.000 | Digital Modulation Library plug-in license
M9099T-DCS | M9099_Dc_Docsis | 2.000 | Docsis 3.1 Plug-in license
M9099T-DFW | M9099_Dp_DataFileWrite | 2.000 | Unencrypted Data File Write plug-in License
M9099T-SVM | M9099_Wp_SystemVue | 2.000 | SystemVue Model plug-in license (requires SystemVue software)

Waveform Creator Trial licenses

Product-Option | Feature | Version | Description
M9099T-LIC-TRL | M9099_CS_CoreSoftware | 2.000 | Waveform Creator core software (Trial)
M9099T-AYA-TRL | M9099_Wp_DigMod | 2.000 | Digital Modulation Plug-in (Trial)
M9099T-DCS-TRL | M9099_Dc_Docsis | 2.000 | Waveform Creator Docsis 3.1 Plug-in (Trial)
M9099T-DFW-TRL | M9099_Dp_DataFileWrite | 2.000 | Waveform Creator Data File Write (Trial)
M9099T-SVM-TRL | M9099_Wp_SystemVue | 2.000 | SystemVue Model Plug-in (Trial)

Waveform Creator Support licenses

Product-Option | Feature | Version | Description
M9099T-LIC-12M |  | 2.000 | Waveform Creator, Core Software, Premium Support Plan (1-year)
M9099T-AYA-12M |  | 2.000 | Waveform Creator Digital Modulation, Premium Support Plan (1-year)
M9099T-DCS-12M |  | 2.000 | Waveform Creator Docsis 3.1 Plug-in, Premium Support Plan (1-year)
M9099T-DFW-12M |  | 2.000 | Waveform Creator Data File Write, Premium Support Plan (1-year)
M9099T-SVM-12M |  | 2.000 | Waveform Creator SystemVue Model, Premium Support Plan (1-year)


Related Documentation

To access documentation related to M9099 Waveform Creator, click the links below to open the related document.

Document

Description

Help Link/Location

Format

Startup Guide

This guide includes quick install and license setup instructions with instructions to quickly get started with Waveform Creator

http://cp.literature.agilent.com/litweb/pdf/M9099-90002.pdf

PDF

M9099 Waveform Creator Help

This help includes Waveform Creator Core GUI and supported Plug-ins' documentation

32-bit - C:\Program Files (x86)\Agilent\M9099 Waveform Creator\Documentation\wc.chm

(Microsoft Help Format) CHM

SCPI Reference Manual

This manual includes descriptions and details of SCPI commands supported in Waveform Creator

32-bit - C:\Program Files (x86)\Agilent\M9099 Waveform Creator\Documentation\SCPI Command Reference.html

HTML

Agilent License Manager Help

This help file provides information on Agilent Licensing

32-bit - C:\Program Files\Agilent\Agilent License Manager\AgilentLicenseManager.chm
64-bit -C:\Program Files(x86)\Agilent\Agilent License Manager\AgilentLicenseManager.chm

Alternatively, you can find help under: Start > All Programs > Agilent License Manager > <product_name>

(Microsoft Help Format) CHM

Agilent I/O Libraries Help

This help file provides information on Agilent I/O libraries

32-bit - C:\Program Files\Agilent\I/O Libraries Suite\VisaCom.chm
64-bit - C:\Program Files(x86)\Agilent\I/O Libraries Suite\VisaCom.chm

(Microsoft Help Format) CHM

SystemVue Help

This is online version of SystemVue software help

http://www.agilent.com/find/eesof-systemvue-documentation

Web

For more details, visit:

  • Product Documentation on the web: http://www.agilent.com/find/modular-m9099-docs.
  • KC for Waveform Creator: http://www.agilent.com/find/modular-wfc-knowledge.
  • KC for Modular Solutions: http://www.agilent.com/find/modular-knowledgecenter.


GUI Tour

This section introduces you to the Waveform Creator GUI. You will learn how to navigate through the GUI elements, and view some features and functions, before you begin working with the interface.

GUI Tour


Menu Options

This section describes the five options available via the main Waveform Creator menu.

  • File
  • View
  • Generate
  • Windows
  • Help

File

The File menu allows you to open and save setups, load the preset setup, and auto-load the last state when Waveform Creator is closed.

File menu

File menu options and description

Menu Option

Description

File - Open Setup (Ctrl+O)

To open and restore a saved Waveform Creator setup, select File > Open Setup and select the required .wcsetup file.

File - Preset Setup (Ctrl+P)

To load the preset setup, which returns all the Waveform Creator settings to their default state, select File > Preset Setup.

File - Save Setup (Ctrl+S) To save the current Waveform Creator setup, select File > Save Setup and enter a name for the setup save file. A file is created called <filename>.wcsetup containing the saved state of the application.

File - Auto-load last state

If this menu item has a check mark beside it, the Waveform Creator software saves its state when it is closed and uses this saved state when it is next run, to automatically resume with the same settings.

The check mark can be toggled on and off by selecting File > Auto-load last state.

In general, this feature should not be used if you intend to make hardware configuration changes between runs, as the recalled state may no longer be appropriate.

File - Exit

Select File > Exit to close the Waveform Creator application.

View

The View menu allows you to choose whether certain tool and status information is visible on the Waveform Creator GUI.

View menu

View menu options and description

Menu Option | Description
View - Tool Bar | The Tool Bar, if visible, appears at the top of the window, just under the menu bar. It contains icon buttons to access the most commonly used Waveform Creator functions. If this view menu item has a check mark beside it, the main Tool Bar will be visible. The check mark can be toggled on and off by selecting View > Tool Bar.
View - Status Bar | The Status Bar, if visible, appears at the bottom of the window and reports the status of the remote control ports that the Waveform Creator software can support. If this menu item has a check mark beside it, the status bar will be visible. The check mark can be toggled on and off by selecting View > Status Bar.

Generate

Generate menu

The Generate menu allows you to specify the output device, generate waveforms and output them to the selected device, and to compute pre-corrections to compensate for hardware imperfections.

Generate menu options and description

Menu Option

Description

Generate - Output Device

Select Generate > Output Device to choose the output device, which can be one of the following:

  • Agilent 81180 AWG
  • Agilent M8190A AWG
  • Agilent M933xA AWG
  • Agilent M9381A VSG
  • File (csv, binary or matlab)
    For more information about these output devices and supported modes, refer to Output Plug-ins

Generate - Generate and Output

Select Generate > Generate and Output to download the waveform to the selected output device. The devices listed here will be determined by which output device libraries are present in the plugins directory.

For physical output devices, the download is executed immediately, subject to the Waveform Creator software being able to communicate with the selected hardware. If the software is unable to find the hardware, after a timeout period, it will report an error. For file output, the waveform will be saved to the file specified on the Current Output Device window under Waveform File Name (overwriting any previous content).

If no filename has been specified in this setting, then a File Save dialog will open for you to enter a file name.

Generate - Generate and Output As...

This menu is enabled only if file output is selected as the output device. Generate > Generate and Output As... will save the waveform using the File Save dialog so that you have the opportunity to rename the waveform data rather than simply overwriting the previously named file.

Generate Pre-Corrections

Select Generate > Generate Pre-Corrections to run the pre-corrections computation. This menu pick will be enabled or disabled appropriately depending on whether the currently selected output device supports the pre-corrections procedure.

Windows

The Windows menu allows you to select which tool and document windows are visible and which window has focus.

The default windows layout can be recovered by selecting File > Preset Setup, but beware this also resets everything else as well.

Windows menu

Windows menu options and description

Menu Option | Description
Errors, Warnings and Information | By selecting this option, you can display the Errors, Warnings and Information panel permanently, thereby disabling the auto-hide functionality.
Multi-Tone Segment <x> | By selecting this option, you can display the Multi-Tone Segment panel permanently, thereby disabling the auto-hide functionality.
Current Output Device Settings | By selecting this option, you can display the Current Output Device Settings panel permanently, thereby disabling the auto-hide functionality.
Final Waveform Settings | By selecting this option, you can display the Final Waveform Settings panel permanently, thereby disabling the auto-hide functionality.
Digital Mod Segment Library | By selecting this option, you can display the Digital Mod Segment Library panel permanently, thereby disabling the auto-hide functionality.
File Import Segment Library | By selecting this option, you can display the File Import Segment Library panel permanently, thereby disabling the auto-hide functionality.
Multi-tone Segment Library | By selecting this option, you can display the Multi-tone Segment Library panel permanently, thereby disabling the auto-hide functionality.
Utility Segment Library | By selecting this option, you can display the Utility Segment panel permanently, thereby disabling the auto-hide functionality.
Waveform Layout | By selecting this option, you can display the Waveform Layout panel permanently, thereby disabling the auto-hide functionality.
Final Waveform | By selecting this option, you can display the Final Waveform panel permanently, thereby disabling the auto-hide functionality.
Track Explorer | The normally auto-hidden docking panels in Waveform Creator are the Track Explorer and the Errors, Warnings and Information panels. Track Explorer provides an overview of all the tracks in the application's user interface. It also allows you to quickly bring a particular window into focus by clicking on the name. By selecting this option, you can display the Track Explorer panel permanently, thereby disabling the auto-hide functionality.
Output Device Window: <x> | By selecting this option, you can display the Output Device Window permanently, thereby disabling the auto-hide functionality.

Help

The Help menu allows you to access various forms of assistance.

Help menu

Help menu options and description

Menu Option

Description

Help - User's Guide

Select Help > User's Guide to access a PDF version of this User Guide.

Help - SCPI Command Reference

Select Help > SCPI Command Reference to access an HTML format listing of the programming syntax for all the SCPI remote control commands recognized by the Waveform Creator software.

All functions of the Waveform Creator are remotely controllable so that the operation of this software can be fully automated.

Any programming environment that permits you to send ASCII strings to a LAN or USB destination can be used.

Here is a very simple MATLAB script to illustrate the idea:

t = tcpip('localhost', 5025); fopen(t); fprintf(t,'*RST'); fprintf(t,'*IDN?'); reply = fscanf(t); sprintf('You are talking to: %s', reply); fprintf(t,'SOUR:TRACK1:SLIS:ADD MTON,1'); fprintf(t,'SOUR:RAD:MTON1:TYP STON'); fprintf(t,'SOUR:RAD:MTON1:STT:FREQ 0'); fprintf(t,'SOUR:RAD:MTON1:STT:MSR 10MHZ'); fprintf(t,'SOUR:RAD:MTON1:STT:MTYP QAM16');fprintf(t,'SOUR:RAD:MTON1:STT:FTYP RRC');fprintf(t,'SOUR:RAD:MTON1:STT:MFAL 0.3');fprintf(t,'OUTP:NOIS:CNR 30DB'); fprintf(t,'OUTP:NOIS:STAT ON'); fprintf(t,'OUTP:DEV:SEL M9381A'); fprintf(t,'OUTP:M9381A:ADDR "PXI20::0::0::INSTR"'); fprintf(t,'OUTP:DEV:RUN'); fclose(t);

Help - Programming Samples

Select this option to view the sample programs developed in the following programming languages:

  • LabVIEW
  • MATLAB
  • Visual Studio

Help - About

Select Help > About to access the About box. This dialog box displays Version Information, Hostid and Licenses present on the system. You can also access:

  • Startup Messages: This lists the messages that were posted by the software during system startup. This is the same list of messages as appears in the scrolling status window of this splash screen.
  • System Information: This lists the current value of the system properties that are important to the software. This is mainly intended for support purposes.
  • Diagnostics: Launches the diagnostic information window displaying name of the dlls with their file information, assembly information, timestamp and path respectively.
  • M9099 on web: Access M9099 documentation on web.
  • Support: Access support documentation on web.


Tool Bar Options

This section describes the Waveform Creator Tool Bar.

The Tool Bar contains icon buttons to access the most commonly used Waveform Creator functions. It also provides status information relevant to the measurement processes.

Action Buttons

Icon | Description
 | Click this button to open a Waveform Creator Setup File (with *.wcsetup extension).
 | Click this button to save a Waveform Creator Setup File (with *.wcsetup extension).
 | This button is equivalent to selecting Generate > Generate and Output on the menu.

Full Screen Button

Icon | Description
 | This is a toggle button that maximizes the available screen space by expanding the main window content to occupy the full screen. This has the effect of temporarily hiding the menu bar, which is why this function is only available on the Tool Bar and not in the menus.

Help Button

Icon | Description
 | This button is equivalent to selecting Help > User's Guide... on the menu.


Track Explorer

It is not always possible to represent a combination of very short and very long segments visually in the Waveform Layout window in a satisfactory manner, so the Track Explorer window provides an alternative hierarchical list view of the segments present in each of the Waveform Layout tracks. This ensures that you can always be sure of the exact segment composition of the track waveform.

Track Explorer


Errors, Warnings and Information Window

The Errors, Warnings and Information window collects and displays any error, warning or information message issued by the software, either since start up, or since the Clear List button (in the top right corner of this window) was last clicked.

The information can optionally be grouped by type.

Errors, Warnings and Information Window


Final Waveform Settings

The Final Waveform Settings window lists all the settings relating to the processing and conditioning of the mathematically perfect waveforms in the Layout Window to create the final composite waveform prior to download to the output device.

Final Waveform Settings

Field

Description

Default Value

Related SCPI Command

89600 VSA Settings

Generate 89600 Setting File

Sets whether the 89600 VSA Setup (.setx) file will be generated when exporting IQ data to file.

True

:OUTPut:GSETting:OUTPut <Boolean>

89600 Template Version

Sets the compatible version of the 89600 VSA on which the generated Setup file should work.

The available versions are 15.01, 16.01, 16.20, 17.00, 17.20, and 18.00.

18.00

:OUTPut:GSETting:VERSion VER15_01 | VER16_01 | VER16_20 | VER17_00 | VER17_20 | VER18_00

89600 Center Frequency

Sets the center frequency in the 89600 VSA Setup file. This setting is available only when output device other than File is selected.

0.00 Hz

:OUTPut:GSETting:CFREquency <numeric_value>

89600 Setup File Path Sets the location for saving the 89600 VSA Setup (.setx) file when generating and outputting a waveform to an output instrument. Refer to Generating Settings (.setx) File for 89600 VSA Demod for details. - :OUTPut:GSETting:SFName <quoted_string>

Calibration

Calibration Mode

Select from one of the following options:

  • No Cal
  • Cal On Every Download
  • Cal On Settings Change
  • User Defined Cal
    As needed, For Cal On Every Download or Cal On Settings Change, set the parameters Calibration Center Frequency and Calibration Receiver Mirror Spectrum.
    For User Defined Cal, set the parameters Apply and PreCorrections Coefficients File.

No Cal

:OUTPut:PRECor:MODE OFF | ALL | AUTO | USER

Calibration Center Frequency

Set the center frequency of the receiver during calibration.

0.00 Hz

:OUTPut:PRECor:RECeiver:FREQuency:CENTer <numeric_value>

Calibration Receiver Mirror Spectrum

If true, the receiver will assume that the received signal has spectrum mirroring applied.

FALSE

:OUTPut:PRECor:RECeiver:FREQuency:MIRRor <Boolean>

Apply

Determines if and how calibration coefficients will be applied in User Defined Calibration. Two options are provided:

  • Apply All PreCorrections
  • Apply Channel Response Correction only

Apply All PreCorrections

:OUTPut:PRECor:APPLy ALL | CHAN

PreCorrections Coefficients File

Set the name of the pre-correction file.

-

:OUTPut:PRECor:FNAMe <quoted_string>

Display Settings

Waveform Display Y Max

This setting determines the y-max/min values for the waveform displays (except when in phase mode). Note, this is purely a display function and that large values might be clipped in the output device.

3.00

DISPlay:WINDow:TRACe:Y:SCALe:MAXimum <numeric_value>

Filter Settings

Filter Type

Sets whether filtering should be applied. If filtering is to be applied, this setting enables you to choose the filter type, Rectangular or Gaussian. The available options are:

  • None
  • Rectangular
  • Gaussian

None

:OUTPut:FILTer:FTYPe NONe | RECTangular | GAUSsian

Window type

Sets the window type. The available options are:

  • None
  • Gaussian
  • Kaiser
  • Spline
  • Spline2

None

:OUTPut:FILTer:WTYPe NONe | GAUSsian | KAISer | SPLine | SPLine2

Filter Length

Sets the filter length.

128

:OUTPut:FILTer:FLENgth <numeric_value>

Cutoff Frequency

Sets the cutoff frequency.

1.00 MHz

:OUTPut:FILTer:CFRequency <numeric_value>

Transition Frequency

Sets the transition frequency.

1.00 MHz

:OUTPut:FILTer:TFRequency <numeric_value>

IQ Distortions

I Exponent

The I value is raised to this power before being subject to the other distortions. (Sign is preserved).

1.00

:OUTPut:IMPairments:EXPonent:I <numeric_value>

Gain on I

Set the linear gain on I.

1.00

:OUTPut:IMPairments:GAIN:I <numeric_value>

DC Offset on I

Set the DC offset present on the real and imaginary axes. Expressed as a fraction of 1.0 = constellation axis magnitude.

0.00

:OUTPut:IMPairments:DC:I <numeric_value>

Q Exponent

The Q value is raised to this power before being subject to the other distortions. (Sign is preserved).

1.00

:OUTPut:IMPairments:EXPonent:Q <numeric_value>

Gain on Q

Set the linear gain on Q.

1.00

:OUTPut:IMPairments:GAIN:Q <numeric_value>

DC Offset on Q

Set the DC offset present on the real and imaginary axes. Expressed as a fraction of 1.0 = constellation axis magnitude.

0.00

:OUTPut:IMPairments:DC:Q <numeric_value>

LO Quadrature Error

Set the deviation from perfect quadrature in the I and Q axis.

0.00°

:OUTPut:IMPairments:QERRor <numeric_value>

IQ Conjugation

Set whether I and Q will be output normally or whether the Q values will be inverted or whether the I and Q values will be swapped.

Normal

:OUTPut:IMPairments:IQ:CONJugation NORMal | INVert | SWAP

Noise Settings

Noise On

If true, noise is added to the generated waveform file at the specified C/N ratio (as measured in the specified measurement bandwidth).

False

:OUTPut:NOISe[:STATe] <Boolean>

Noise Only

When noise generation is enabled and this is true, the waveform file will contain noise only; at the same power level it would have, were the signal also present.

This allows you to measure the in-band power level directly.

Note

If Normalize data is set true, the noise power level of the noise only waveform file will be increased by normalization. In this case, the power level will not be at the same power level as it would have were the signal also present.

False

:OUTPut:NOISe:NONLy <Boolean>

C/N Ratio

Set the carrier to noise ratio that will be applied to the signal in the specified measurement bandwidth.

21.00dB

:OUTPut:NOISe:CNRatio <numeric_value>

Measurement Bandwidth

Set the bandwidth in which the carrier to noise ratio is measured. Typically, this should be set to match the occupied bandwidth of the signal.

1.80GHz

:OUTPut:NOISe:OBWidth <numeric_value>

Phase Modulation

Peak Amplitude

This impairment applies sinusoidal phase modulation to the waveform. This sets the peak phase rotation. So, for example, with the value set to 20°, a constellation point at 0° will oscillate sinusoidally between +20° and -20°.

0.00°

:OUTPut:IMPairments:PMODulation:AMPLitude <numeric_value>

Modulation Frequency

Set the frequency of the sinusoidal phase modulation.

0.00Hz

:OUTPut:IMPairments:PMODulation:FREQuency <numeric_value>

Sample Rate

Sample Rate Mode

This sets how the final output sample rate is determined.

Any band-limited waveform has a lower bound for alias-free signal sampling and this is often used as the default sample rate for signal generation.

The Waveform Creator will initially generate signals at an appropriate, format-specific, minimum sample rate; however the output sample rate will usually be higher than this. This may be because the signal has been shifted to a digital IF, or because it has been mixed with other higher bandwidth signals, or simply to match output device capabilities. The necessary fractional sample rate conversions are achieved by arbitrary resampling.

If this setting is set to auto, the final sample rate is primarily determined by the selected output device's maximum available sample rate, This is done mainly to move the sampling image as far away from the desired signal as possible (within the capabilities of the output device), but also to simplify the generation and application of pre-corrections.

When the output device is a data file, the appropriate final sample rate is determined by the type of signal being generated.

If the mode is set to manual, the sample rate can be set to any value that is valid for the chosen output device. For data files, this means the sample rate can be set to any value, though, of course, excessive oversampling can result in very large data files.

Auto

:OUTPut:SRATe:AUTO <Boolean>

Sample Rate

This sets the sample rate for the final waveform. If you are specifying the sample rate manually, the sample rate should be at least:

sample rate = 2.56 * (|max track IF| + 0.5 * max signal bandwidth).

See the example in section 11.3.5 for more detail on working with track IFs.

500MHz

:OUTPut:SRATe <numeric_value>

Skew

Skew

If set to a non-zero value, the real and imaginary parts of the waveform are generated with a time skew between them. If the skew value is positive, the real component will lead the imaginary, while a negative value will cause the real component to lag the imaginary.

Skew is applied on a per-segment basis so if there are discontinuities between segments, skew can make this more pronounced.

0.00s

:OUTPut:IMPairments:SKEW <numeric_value>

Track 1...4 Settings

Amplitude

Set the amplitude scale factor for the track.

100.00%

[:SOURce]:TRACk[1:4]:AMPLitude <numeric_value>

Phase

Set the phase angle for the track. A phase angle of 180° will cause the complex value to be negated, that is A + jB will become -A - jB.

0.00°

[:SOURce]:TRACk[1:4]:PHASe <numeric_value>

Intermediate Frequency

Set the intermediate frequency (IF) of the track. A value of zero means that the signal is a zero IF or baseband IQ signal and no further conversion is done. If the value is non-zero, the signal is re-modulated digitally to the specified frequency offset from zero.

The ability to generate a digital first IF in this way is limited by the maximum sample rate available from the output device.

For a given sample rate, the maximum valid IF will be equal to:

max track IF = ±((sample rate / 2.56) – (0.5 * occupied bandwidth))

It is possible to create a multi-channel signal by specifying different IFs for different tracks.

The 12 GSa M9381A can directly generate RF scenarios up to 5 GHz wide in this way (and up to 10 GHz if the complex signal can be re-modulated to a higher IF), as described in section 11.3.5., however in both cases is important to check that the hardware being driven by such a signal can also handle such wide bandwidths.

0.00Hz

[:SOURce]:TRACk[1:4]:IFRequency <numeric_value>

Waveform Generator Corrections

Sin(x)/x Correction On

Inside the Waveform Creator software, waveforms are represented by a sequence of instantaneous values, implicitly spaced out in time at the sample rate with zero signal between each sample. When these instantaneous values are played out using a VSG, the sample value is held at the VSG output for the sample period, effectively turning each zero width sample impulse into a finite width pulse.

This has the effect of multiplying the signal spectrum by the spectrum of a sample-period wide pulse. The frequency spectrum of such a pulse has a sin(x)/x shape with the first zero crossing at the sampling frequency. For signals where the sampling frequency is a relatively low multiple of the signal bandwidth the resulting sin(x)/x shaped attenuation of the signal in the frequency domain can be significant (perhaps 1 or 2 dB at the band edge).

Waveform Creator can compensate for this droop by applying an appropriate frequency domain pre-emphasis to the signal before it is downloaded to the VSG.

The sin(x) /x pre-emphasis is optional because it is not appropriate to apply it when the signal data is being saved to a file.

False

:OUTPut:SINC[:STATe] <Boolean>

Sin(x)/x Filter Boost

The sin(x)/x compensation filter can be used to apply more than normal high-frequency lift as a quick and approximate compensation for real droop in the baseband response.

A value of 1 gives normal sin(x)/xcompensation. A value of n will give n times the amount of high frequency lift.

1.00

:OUTPut:SINC:BOOSt <numeric_value>


Current Output Device Settings

This window is where you configure all settings related to the currently selected output device. The Waveform can be downloaded to a VSG or Data File.

Click the links below to get more details on the Current Device settings:

  • 81180 Output Plug-in
  • M8190A Output Plug-in
  • M933xA Output Plug-in
  • M9381A Output Plug-in
  • Data File Write Plug-in


Status Bar

This section describes the Waveform Creator Status Bar.

The Status Bar reports the status of the remote control ports that the Waveform Creator software can support.

Status Bar

Remote Interface States

Waveform Creator software can be remotely controlled over HiSLIP and LAN interfaces. The LAN interface can support sockets and telnet sessions.

There is an icon for each of these possibilities in the status bar.

  • If an icon is grayed out, it implies that the interface is not available.
  • If it is not grayed out, it implies that the interface is available.
  • If it is highlighted with a green background, it implies that the interface is ready and can accept remote control commands.


Output Device Window

The content of the output device window is determined by the output plug-in and will be unique to the device that has been selected by Generate > Output Device.

In general, output devices will use this window to at least provide a visual representation of the final signal as it will be downloaded to the output device. The final signal is the signal after all selected signal manipulations and impairments (for example, noise) have been applied, and may consequently be different from the constituent segments in the Waveform Layout window.

The File Output Device is an example of a device that simply graphs the final signal in this window. However, in most cases, the output device will also add a selection of sub-windows to provide device-specific control over key waveform related features such as marker positioning and segment sequencing.

See the output plug-in documentation for the device-specific features presented in this window.

Output Device Window

To obtain statistics of the segment remotely, use the following SCPI command:
[:SOURce]:RADio:<segment>[<index>]|<segment>:DATA:AMAXimum?

where:

  • <segment> is the name of the Plug-in
  • <index> is the optional parameter with values ranging between 1-8

Example: For Multi Tone Plug-in, use:
[:SOURce]:RADio:MTONe1|MTONe:DATA:AMAXimum?

MAXimum is the highest postive value, MINimum is the lowest negative value. AMAXimum is the absolute value of the largest of the two, i.e. AMAXimum=MAXimum or AMAXimum=-MINimum.

For queries related to each segment, refer to the "SCPI Command Reference" Manual accessible from Product Main Menu Help > SCPI Command Reference.

Output Device Toolbar

At the top of the Output Device window, there is a toolbar. The toolbar option changes based on the Output device:

Option | Output Device | Description
Show Multi-Segment Layout | All | Option to show outlines and timing data for each segment.
Interactive Pan & Zoom | All | Option to zoom the waveform using the mouse wheel and pan by holding down the left button. You can also click and drag the mouse button, to select a specific section of waveform for zoom and pan.
Waveform Preview | All | Option to preview the waveform. The maximum no. of samples that can be previewed at a time are 50M samples. To preview more than 50 M samples, use Interactive Pan and Zoom feature.
Spectrum | All | Option to view the frequency spectrum of the mixed waveform. - Show the frequency spectrum. - Pause or resume the spectrum display. - Enable or disable marker selection. If selected, you can click on the spectral display to move the marker. - Enable or disable scale selection. If selected, you can zoom the spectrum for a selected area. - Scale the spectrum to its full scale. - FFT length. The available options include 256, 512, 1024, 2048, 4096, 8192, 16384, 32768, 65536. The default FFT size is 1024.
Sequencing | All except File (csv, binary or matlab) | Option to download all waveform segments individually to the specified instrument, and then play/repeat them in a specific order.

Right-Click Options

For details on Right-click options, refer to the Right-Click Options under Waveform Layout window.

Statistical SCPI Commands

This section presents the SCPI commands for segment statistics.

Segment Property | Related SCPI Command
General |
Length | :DATA:LENGth
Number of Samples | :DATA:NSAMples
Absolute Maximum Value | :DATA:AMAXimum
I Statistics |
The minimum value of all the I samples | :DATA:I:MINimum
The maximum value of all the I samples | :DATA:I:MAXimum
The average of all the I samples | :DATA:I:AVERage
The RMS of all the I samples | :DATA:I:RMS
Q Statistics |
The minimum value of all the Q samples | :DATA:Q:MINimum
The maximum value of all the Q samples | :DATA:Q:MAXimum
The average of all the Q samples | :DATA:Q:AVERage
The RMS of all the Q samples | :DATA:Q:RMS
Magnitude |
The minimum value of all the magnitudes of each I and Q pair | :DATA:MAGNitude:MINimum
The maximum value of all the magnitudes of each I and Q pair | :DATA:MAGNitude:MAXimum
The average value of all the magnitudes of each I and Q pair | :DATA:MAGNitude:AVERage
The RMS of all the magnitudes of each I and Q pair | :DATA:MAGNitude:RMS
Sample Rate | :DATA:SRATe


Waveform Layout Window

The Waveform Layout window is similar in concept to an audio track editor.

Start by selecting a segment type in the Segment Library and selecting the Waveform Layout Window. The Waveform Layout window is initially blank.

Segment Library and Waveform Layout Windows Ready to Build a Waveform

Select the Multi-tone waveform library by clicking on the Multi-tone tab, then drag and drop segment 1 from the library into the layout window, by clicking and dragging the numbered, colored box at the left side of the wanted segment in the library.

When dragging a segment, the cursor changes to the form shown in the following figure.

Cursor Shape When Dragging a Segment

When the mouse button is released, a copy instance of Multi-tone segment 1 is drawn in the Waveform Layout window.

First Segment Dropped onto the Time Line

The may need to click the zoom out button in the Waveform Layout window several times to see the whole trace in the window. Repeat the process to drag a copy instance of Multi-tone segment 2 into the Waveform Layout window, dropping it to the right of the first segment. Again you will need to zoom out to see the whole signal.

Second Segment Added to the Time Line

In this way, one or more segments of waveform can be concatenated to compose a complete waveform.

Each copy you drop into the Waveform Layout window is really just a reference back to the library segment, if you select and edit the settings of one copy, all the other copies will take on the same values.

A segment can be dropped into the Waveform Layout window multiple times to create heterogeneous segment sequences with relatively few unique segments.

A tool tip gets displayed when mouse cursor is placed on a segment. It displays the following information:

  • Segment Name
  • Length
  • Sample Rate
  • I, Q and Mangnitude Values

You can re-order segments that have already been placed on the time line by dragging and dropping them again.

Segments Re-Ordered on the Time Line by Drag / Drop

You can delete unwanted segments by right-clicking on the segment title bar and selecting the menu item Delete this segment instance.
This does not delete the segment from the library, or reset the most recent settings (because those are actually properties of the library segment).

If you want to re-instate the segment, simply drag and drop another copy from the Segment Library.

Waveform Layout Right-Click Menu

The Waveform Layout window also extends the audio editor metaphor by providing up to 4 concurrent tracks, so that segments from the Segment Library can be sequenced in time along multiple tracks to create composite waveforms.

Waveform Layout Tool Bar

At the top of the Waveform Layout window, there are following 3 options:

Zoom In and Zoom Out | As you build your waveform, you many need to zoom in or out on the timeline displayed in the window. It is necessary to zoom in quite far to see the delay segments because they are so much shorter duration than typical a modulated segment. As well as the Zoom In and Zoom Out buttons, you can also use the mouse wheel to adjust the zoom and the slider bar to adjust your position in the time record.
Scale to Fit | Clicking this button will automatically zoom so that all segments fit in the window.
View Tracks | Clicking this button opens a menu which allows you show or hide additional waveform layout tracks. The Waveform Layout window provides up to 4 concurrent tracks (in the style of an audio mixer). Segments from the Segment Library can be sequenced in time along any track, and the tracks can be summed together to create the final waveform. The amplitude, phase, and intermediate frequency of each track can be individually configured prior to summation, which allows considerable flexibility in the creation of composite waveforms. The purpose of the View Tracks menu is to save display space by having visible, only the tracks you are using. If the menu item has a check mark next to it, the track is visible.

Right-Click Options

The Waveform Layout window has a right click menu.

Delete this Segment Instance | This menu selection will delete only the segment copy instance on which the right-click was performed. It does not delete any other copy instances of the same library segment (even though all the copy instances of that segment will be highlighted by a brown frame on the Segment Label(s)). Nor does it delete the segment from the library or reset the most recent settings (because those are actually properties of the library segment).
View I Data | The track display shows only the real component of the complex signal waveform.
View Q Data | The track display shows only the imaginary component of the complex signal waveform.
View I and Q Data Overlapped | The track display shows the real and imaginary components of the complex signal waveform drawn on top of one another. This is the default presentation.
I and Q Data Side by Side. | The track display shows the real and imaginary components of the complex signal waveform drawn side by side.
View Magnitude | The track display shows the log magnitude of the complex signal.
View Phase | THe track display shows the phase of the complex signal.


Segment Library

In the Generate zone of the user interface, there is a Segment Library window for each currently licensed format, as well as for the standard segment libraries; Utility and Multi-tone.

To create a waveform, first select the tab representing the format of interest.

You will see eight numbered containers; each will contain either a small graphic of the segment currently occupying that position, or the words Not built yet if that segment has not yet been used.

To use a segment, simply click the colored numbered box on the left of the segment container, drag and drop it into the Waveform Layout window.

If the segment had not previously been built, it will immediately build, based on the default settings for that waveform type. If it has previously been built it will be re-built based on the most recent setting values.

Each of the eight segments available from the library is independently configurable.

Segment Library


Window Management and Manipulation

This section describes the docking panel window system used in the Waveform Creator software to provide considerable flexibility in configuring the user interface.

Overview

The Waveform Creator docking panel system allows windows to be arranged in arbitrary positions within the main window and to be un-docked from the main window and shown as separate floating windows.

The default screen layout for the Waveform Creator software is described as follows:

Certain docking panels and windows will be automatically omitted from the layout if the necessary software option licenses are not available. Also, screen layouts are remembered as part of a saved setup, so your screen might look quite different to the defaults described here.

When the software first starts up, you should see a window that looks something like the following figure.

Default screen layout for a basic installation

In the default layout, the main window is divided into two zones: settings and generate.

Each of these zones contains a number of docking panels.

Docking Panels

Docking panels provide a hierarchical mechanism for arranging the content of the main application window. They are essentially containers for a collection of windows.

Within a docking panel, windows may be arranged in a stack (with tabs) or tiled, whichever is more appropriate for the window content.

Individual windows may be dragged and dropped from one docking panel to another.

Docking panels and individual windows may be switched into floating windows, separate from the main application window.

Settings Values

The Settings Windows contain grouped lists of settings fields.

There are a number of ways to enter a specific numeric value in a settings field.

Explicit value and units

The value and units can be entered explicitly. For example, if you want to enter a frequency of 9.2 GHz, you can enter 9.2 GHz. If you enter units this way, they are expected to be correctly cased SI units. So, for this example, the units would have to be GHz, not gHz or ghz.

Abbreviated units

If you want to enter engineering values quickly, you can abbreviate the unit multiplier. For example, entering 9.2g will be converted to 9.2 GHz (assuming the setting is a frequency), and 1.2m will be converted to 1.2 mV if the setting is a voltage.

Waveform Creator settings fields understand the following abbreviations,

  • p for pico (10-12)
  • n for nano (10-9)
  • u for micro (10-6)
  • m for milli (10-3) – this must be a lower case m.
  • k for kilo (103)
  • M for Mega (106) – this must be an upper case M.
  • G or g for Giga (109)

Default units

If you enter a value without any units, it is assumed to be in the base unit, for example, if you are entering a frequency and you simply enter 20, this is interpreted as 20 Hz even if the current value is something like 10 MHz.

You can step most values up and down using the mouse wheel. You can also reset a value or set it to its minimum or maximum value by right clicking over the setting name.

Settings Windows

In the Settings Windows area, there are three docking panels, one of which is pinned and therefore permanently visible. The other two are in Auto Hide mode, so they normally only show as tabs at the edge of the main window.

When you move your cursor over the tab of an auto-hidden window, it un-hides and pops out.

fixed

auto hide

Any docking panel can be made permanently visible by clicking on the push-pin icon (on the right of the title bar), so that the pin is vertical or made to auto hide by clicking the push-pin icon, so it is horizontal.

The normally auto-hidden docking panels in the Settings Windows zone are the Window Explorer and the Errors, Warnings and Information panels. We will focus here on the visible docking panel.

The visible docking panel is intended as a container for waveform generation-related settings windows, and contains three dockable windows:

  • <currently selected> Segment Settings
  • Final Waveform Settings
  • Current Output Device Settings
Note

When re-arranging the Waveform Creator user interface, it is useful to know that windows used for configuration and control (tool windows) cannot be removed from the user interface, whereas windows used for waveform generation and output preview (document windows) can be closed.

The settings windows can be auto-hidden (by clicking the push-pin) so as to maximize the screen area available for measurement results.

More About Docking Panels

A docking panel has 5 docking positions; top, bottom, left, right or document.

The first four of these positions enable windows to be tiled within the docking panel; as we will describe shortly. However, for the settings windows, the document docking position is more appropriate.

When windows are docked in the document position the windows contained in the docking panel are conceptually laid on top of each other and accessed by a row of tabs at the bottom (or top) of the dock pane area. Clicking on a tab brings the corresponding window to the top of the stack.

Any window in a docking panel can be displayed as a floating window.

To convert a docked window to a floating window, double-click on the window tab in the docking panel. To return the window to its original position in the docking panel, double-click on the title bar of the floating window.

Any window can be moved from one docking panel to another. Click the window tab in one docking panel and drag it. A transparent blue overlay will show the position of the corresponding floating window and will move with your cursor.

Note

To float or drag a window, it must first be pinned (not in Auto-Hide mode).
As your cursor moves over each docking panel, a docking position selector will appear for that docking panel.

Dragging a Window

Move your cursor over the intended destination docking panel to get the correct destination selector, and then move the cursor to the desired docking position selector hotspot. When you release the mouse button, the window will be tiled as illustrated by the blue overlay.


Using Waveform Creator

This section introduces a typical Waveform Creator workflow.

Contents

  • Creating a Waveform
  • Downloading a Waveform
  • Customizing a Mixed Waveform
  • Accessing Concurrent Waveform Creator Instances using SCPI


Creating a Waveform

Waveforms are created by dragging and dropping waveform segments from the active Segment Library window into the Waveform Layout Window. Once the desired sequence of waveform segments is achieved, the composite waveform, including any added noise or other impairments, can be reviewed in the Output Device window.

Follow these steps to create a simple waveform and analyze it using 89601B:

  1. Run the M9099 Waveform Creator software.
  2. Start 89601B Application.
  3. Preset 89601B.
  4. Preset M9099 by choosing File > Preset Setup.
  5. Select the Multi-tone Segment Library tab.
  6. Drag and drop Segment 1 from the Segment Library window into the Waveform Layout window by selecting the colored box numbered 1.
    The Multi-tone Segment 1 panel appears on the left.
  7. Change the segment 1 settings to the following (leave all others at their default values):
    1. Tone Type: Single Tone
    2. Tone Frequency: 0.00 MHz
    3. Tone Modulation Type: 16 QAM
    4. Tone Modulation Symbol Rate: 20.00 MHz
    5. Tone Filter Type: Root Raised-Cosine
    6. Tone Filter BT/Shape: 0.300
    7. Tone Minimum Length: 65536

  8. Choose Generate > Output Device > File (csv, binary or matlab).

  9. In the Current Output Device Settings window, make the following settings:

    1. Waveform File Name: Browse to a directory and specify the file name as “Single_Tone_16QAM”

    2. Load File in 89600: True

  10. Click Generate and Output.

  11. In the Output Device Window, click Spectrum. Click the Run button. The current waveform spectrum runs, centered at zero Hz.

  12. Open the 89601B application and same waveform runs. You can fully demodulate and analyze the M9099 signal with the VSA.

Note

Waveforms can also be imported in the form of CSV, LabVIEW CSV, HDF, BIN, and M8190A DUC IQBIN file format using File Import plug-in. To import:

  1. In the File Import Segment, under Segment Settings, set the File Type to "XXX File", where XXX=CSV, LabVIEW CSV, HDF, BIN, or M8190A DUC IQBIN.
  2. Specify the Waveform File Name under Segment Settings to import the desired file.


Downloading a Waveform

Generated waveforms using Waveform Creator can be downloaded either to an output device like M9381A, Agilent 81180 AWG, M8190A, M933xA, or File (csv, matlab or binary format).

This section provides instructions for downloading waveforms on M9381A VSG. Similar steps can be taken to download waveforms on other supported output devices, Agilent 81180 AWG, M8190A, and M933xA.

M9381A VSG

To download waveform on an M9381A VSG:

  1. Connect the M9099 Waveform Creator to the M9381A Vector Signal Generator
  2. Run M9099 software
  3. Generate Output

Connect the M9099 Waveform Creator to the M9381A Vector Signal Generator

The Agilent M9381A VSG hardware comprises four interconnected PXIe modules, typically hosted in an Agilent M9018A PXIe chassis. These modules must be controlled over the PXIe bus by the M9381A instrument driver in order to deliver the product functionality. The driver may be hosted by an embedded controller PC in the same PXIe chassis, or by an external laptop or desktop PC whose PCIe backplane has been extended (by adapters and cable) onto the backplane of the PXIe chassis. The possible configurations are fully described in the Agilent M9381A Configuration Guide (5991-0897EN).

Once the M9381A hardware is configured and the M938x VSG/CW Source Instrument Driver is installed, other applications (such as M9099) may communicate with the M9381A by means of IVI-COM driver calls to the VISA PXI address assigned to the M9381A in the Agilent IO Libraries Suite.

Generate Output

To generate output:

  1. Select Generate > Output Device > Agilent M9381A VSG to select the output device.
  2. Select the Current Output Device Settings window and change the device settings to the following (leave all other parameters at their default values):
    1. Instrument Address: <VISA string from Agilent IO Libraries>
    2. Frequency: 1.5 GHz
    3. Amplitude: 0 dBm
    4. RF On: True
  3. Click the Generate and Output button in the tool bar to send the created waveform to M9381A VSG.
Note

When the waveform is being generated and output, you cannot perform the following functions:

  • Load the preset setup using File > Preset Setup.
  • Open a saved Waveform Creator setup using File > Open Setup.
  • Use the Generate menu to specify the output device, generate waveforms and output them to the selected device, and compute pre-corrections to compensate for hardware imperfections.

If you have no M9381A hardware installed (and therefore have no address to enter), you can still explore the software functionality by changing the M9381A output device setting Output To to Output to Simulated HW. In this mode, Settings changes and waveform downloads will appear to work, but the changes and data are simply discarded by the M9381A driver. Also, you can output the waveform data to a CSV file which can be loaded into M9381A SFP.

For more details on M9381A Output plug-in settings, refer to M9381A Output Plug-in.

Data File Write

Waveform Creator allows you to save the output waveform to a file in either of the following formats:

  • CSV (comma separated)
  • N5110A waveform (*.bin)
  • MATLAB® Level 5 MAT-File
  • M8190A DUC IQBIN

To download waveform to a file:

  1. Select Generate > Output Device > *File (csv, binary or matlab).
  2. Set the parameter values
  3. Click the Generate and Output button in the tool bar to save the output to a file on the host computer.
Note

When the waveform is being generated and output, you cannot perform the following functions:

  • Load the preset setup using File > Preset Setup.
  • Open a saved Waveform Creator setup using File > Open Setup.
  • Use the Generate menu to specify the output device, generate waveforms and output them to the selected device, and compute pre-corrections to compensate for hardware imperfections.

For file data, the maximum sample rate is not limited by hardware, so for internal coding purposes a nominal limit of 5 GHz is set. Within this limit, the auto sample rate algorithm chooses the most appropriate sample rate for the generated waveform. If a higher sample rate is needed, then this nominal limit can be over-ruled by using the manual sample rate setting.

The output files are unencrypted and can be formatted in various ways to facilitate their import into other Agilent and non-Agilent tools.
For more details on File settings, refer to Data File Write Plug-in.

Note

Output to all supported Agilent VSG is standard as part of Waveform Creator functionality but file output is separately licensed as Waveform Creator option DFW.


Customizing a Mixed Waveform

Waveforms created using Waveform Creator can be customized before these are output to a device or file output. Following customizations are supported:

  • Mixing
  • Impairments
  • Composition
  • PreCorrection
  • Resampling
  • Removing Phase and Amplitude Discontinuities


Mixing

When you invoke a Generate and Output action, whether by the menu pick or the toolbar button, the information passed to the output device plugin comprises a data structure that references the segment lists for each of the four tracks together with the settings from the Final Output Waveform window.

It is entirely up to the output device plugin as to how those waveform segments are transferred to the output device and how the output waveform settings are applied.

In some situations, it may make sense for the output plugin to download the segments individually and separately to the output device waveform memory, for example if the device has a sequencing capability or multiple parallel outputs (e.g. MIMO), but the most likely situation is that the output device plugin will concatenate the segments on each track into a continuous waveform, sum the track waveforms together (according to the amplitude, phase and offset frequency settings) to create a single composite waveform, then apply any specified impairments before it is finally downloaded to the output device.

Processing the waveform segments in this way, taking account of all the Final Output Waveform settings (including impairments) is expected to be most common, and therefore default behaviour. The internal M9099 output plugin interface provides a mixer class that the output device will normally invoke to perform all these operations in a standardized way with a minimum of coding effort.

Of course any output plugin is free to interpret and process the segment / track lists and Final Output Waveform settings in whatever manner is most appropriate for the particular device or application, so specialized output plugins may implement and document a different process, but the above behaviour will be applicable to the majority of output device plugins.


Impairments

The Final Waveform Settings window lists all the settings relating to the processing and conditioning of the mathematically perfect waveforms in the Layout Window to create the final composite waveform prior to download to the output device.

In particular, it is where you can define mathematically precise levels of impairment to the final composite waveform.

There are three settings groups related to impairments:

  • IQ Distortions: These settings define mainly geometrical distortions of the modulation in the complex plane.
  • Noise: These settings control the addition of Average White Gaussian Noise (AWGN).
  • Phase Modulation: These settings control the addition of simple, sinusoidal phase modulation to the signal (as an impairment).

IQ Distortions

  • I/Q Exponent: The I and Q values are raised to this power before being subject to the other distortions. (Sign is preserved).
  • Gain on I/Q: Sets the linear gain on I and Q.
  • DC Offset on I/Q: Sets the DC offset present on the real and imaginary axes. Expressed as a fraction of 1.0 = constellation axis magnitude.
  • LO Quadrature Error: Sets the deviation from a perfect quadrature in the I and Q axis.
  • IQ Conjugation: Sets whether I and Q will be output normally, or whether the Q values will be inverted, or whether the I and Q values will be swapped.

Noise Settings

  • Noise On: If true, noise is added to the generated waveform file at the specified C/N ratio as measured in the specified measurement bandwidth.
  • Noise Only: When noise generation is enabled, and this is true, the waveform file will contain noise only; at the same power level it would have were the signal also present. This allows the user to measure the in-band power level directly.
  • If "Normalize data" is set true, then the noise power level of the "noise only" waveform file will be increased by normalization. In this case, the power level will not be at the same power level as it would have were the signal also present.
  • C/N Ratio: Sets the carrier to noise ratio that will be applied to the signal in the specified measurement bandwidth.
  • Measurement Bandwidth: Sets the bandwidth in which the carrier to noise ratio is measured. Normally, this should be set to match the occupied bandwidth of the signal.

Phase Modulation

  • Peak Amplitude: This impairment applies sinusoidal phase modulation to the waveform. This sets the peak phase rotation. So, for example, with the value set to 20°, a constellation point at 0° will oscillate sinusoidally between +20° and -20°.
  • Modulation Frequency: Sets the frequency of the sinusoidal phase modulation.


Composition

The simplest way to use Waveform Creator is to drag a single waveform segment into the waveform layout window, configure its settings as required, then download the resulting waveform to the selected output device.

However, it is possible to use the waveform layout window to compose custom waveforms comprising multiple segments, each potentially generated by a different waveform creation plugin and independently configured to create arbitrarily complex and heterogeneous segment sequences.

Furthermore, the layout window has four independent tracks which can be used to compose even more complex signals that mix together arbitrary segment sequences to create signals that, for example, emulate interfered signals, FDM signals, multi-path and multi-level signals.


Pre-Correction

Introduction

The ideal signal on the left of the figure represents the final composite waveform at the output of the waveform mixer in the M9099 core.

In this context, ideal means that the signal is, mathematically speaking, exactly the signal that you want to transmit; it does not necessarily mean that the signal is perfect. For example, you may have deliberately included specified levels of impairment such as quadrature error, skew or Gaussian noise, or perhaps, summed in an interfering tone.

In normal operation, illustrated by the upper signal flow in the figure, the ideal signal will be downloaded to the VSG waveform memory and transmitted. It will then be subject to any imperfection in the channel before arriving at the DUT input. Since the "channel" (analog signal path) starts at the digital inputs of the D/A converters in the VSG, the channel will include the VSG output paths (filters, amplifiers, and so on) and any subsequent vector modulation or up-conversion necessary to create the test signal required by the DUT.

We would like the signal delivered to the DUT input to be the ideal signal, but in practice the signal path will be imperfect and the delivered signal will be distorted as a result. We cannot know in advance what these imperfections will be because they are entirely dependent on the specific hardware and its configuration. We can, however, measure the test setup to determine its channel response and vector modulation impairments, then use that information to develop a filter that will pre-compensate the waveform data so that the delivered signal is as near to the ideal signal as possible.

The signal flow with pre-corrections applied is illustrated by the lower flow the figure. The ideal waveform data is pre-corrected by applying a filter. As a result, the signal at the DAC will be non-ideal, but the channel imperfections will then cancel those of the signal, resulting in the intended signal at the DUT input.

The channel imperfections are estimated by transmitting a specially designed test signal, which is then acquired by a calibration receiver at the point in the diagram labelled as the measurement plane. This should be as close to the DUT input as possible because this is the point where the signal will be nominally ideal after calibration.

In this simple model, the calibration receiver is assumed to be perfect and not add any further impairment to the signal before it is digitized at the receiver's A/D converters. In practice, the calibration receiver should be independently calibrated to the desired measurement plane.

Based on the signal data from the calibration receiver, the M9099 pre-correction algorithm makes an estimate of the complex channel response and IQ impairments, then designs a corresponding pre-correction filter. The next time generation is requested (with pre-correction enabled), the filter is applied to the ideal waveform data before the signal is downloaded to the VSG.

How is Pre-Correction Configured?

The configuration and application of pre-corrections is controlled by the Calibration settings in the Final Waveform Settings window. The settings values are documented below, but essentially there are four modes,

  • #No Cal
  • #Cal on Every Download
  • #Cal on Settings Change
  • #User Defined Cal

Each of the above modes applies the same pre-corrections calibration algorithm; the difference is only in when the correction is computed and when it is applied. The right mode to use depends on your particular hardware configuration.

Calibration Mode

The pre-correction mode is controlled by the Calibration Mode setting in the Final Waveform Settings window. This setting determines how the downloaded signal is pre-corrected for any impairments present in the signal path. It has four possible values:

No Cal

No pre-correction filter is applied. This is the default setting.

Cal On Every Download

Every time you request a waveform download (by selecting Generate > Generate and Output on the menu, or by clicking the Generate and Output button on the Tool Bar), the software will automatically perform a calibration, then calculate and apply the resulting pre-correction filter before downloading the signal.

This is the simplest mode of operation. It is intended for use where the characteristics of the signal path are unknown or known to vary significantly over time, but it requires that the calibration receiver remains correctly configured for every calibrate and download sequence.

In this mode, the calibration signal always occupies approximately 80% of the bandwidth implied by the sampling rate and hence may not be appropriate for all signal path configurations.

Ideally, the signal path should be able to accommodate the full bandwidth of the calibration signal, but if the cumulative signal path bandwidth is significantly restricted relative to that of the calibration signal, then the pre-correction computation may over-compensate the band edges. In this case, you should consider reducing the waveform sample rate to tailor the calibration signal to the available path bandwidth. This is explained more fully in the section What Can Go Wrong?.

To Cal On Every Download and click the Generate and Output button. Once the calibration procedure has generated satisfactory channel response and IQ imbalance results, click the Yes button to compute and apply the corrections and download the waveform to the VSG.

Cal On Settings Change

This setting is a slightly smarter version of the On Every Download setting that is intended to shorten download times by avoiding potentially unnecessary calibration sequences.

When you request a waveform download, the software will apply a pre-correction filter prior to downloading the signal. If you have changed any of the following settings since the last calibration (like Waveform final sample rate, Calibration signal center frequency, Calibration source mirror spectrum state, Receiver mirror spectrum state, and Receiver channel configuration), the software will automatically perform a new calibration, calculate and apply the resulting pre-correction filter before downloading the signal. The pre-correction filter definition will be retained and used to pre-correct any further waveform downloads with the same key settings until the filter definition is updated by another calibration.

For example, if you download a signal at 200 MHz sample rate for the first time, a 200 MHz pre-correction filter will be computed and will be applied to all subsequent 200 MHz sampled waveforms until you download at a different rate, say, 150 MHz at which time, a 150 MHz pre-correction filter will be computed and the 200 MHz filter definition will be discarded. If you return to 200 MHz sampling, a new 200 MHz filter will be computed.

User Defined Cal

Every time the user requests a waveform download, the M9099 will apply a pre-correction filter prior to downloading the signal. The pre-correction filter is user-defined by the filename in the Pre-Correction Filename setting.

This option is intended for expert users who wish to pre-compute calibration data using the fully configurable version of the pre-corrections algorithm available through the Generate > User Defined Pre-Corrections menu.

This can be useful if the user wishes to pre-compute corrections for a variety of signal path configurations, or where the cumulative signal path bandwidth is significantly restricted relative to the bandwidth implied by the source sample rate, or any other hardware configuration that cannot be satisfactorily pre-corrected by the simpler modes.

The section entitled User Defined Pre-Corrections describes the process of generating pre-correction files.

Calibration Center Frequency

This setting is not available in the User Defined Cal mode.

To perform the pre-corrections calibration, the software transmits a specially designed calibration signal. To complete the calibration, the calibration receiver must be told the center frequency of the calibration signal at the other end of the signal path. This would be 0 Hz (the setting default) for a baseband to baseband calibration, but could, in principle, be any frequency as a result of frequency conversion in the signal path.

This setting is not available in the User Defined Cal mode because, in that mode it is not needed (as no calibration is performed prior to download). In User Defined Cal mode, pre-correction is achieved by applying a previously computed filter defined by the named pre-corrections filter coefficients file.

Calibration Receiver Mirror Spectrum

This setting is only available if the Calibration Mode is set to Cal On Every Download or Cal On Settings.

The signal path to be calibrated may invert or "mirror" the signal spectrum (due to IQ reversal, high-side mixing, and so on). This setting allows the calibration routine to take this into account when characterizing the signal path by instructing the calibration receiver to conjugate the received signal.

Calibration Channel Config.

This setting is only available if the Calibration Mode is set to Cal On Every Download or Cal On Settings.

The calibration test signal as it appears at the end of the signal path to be calibrated may be an IQ signal (I and Q baseband inputs) or an IF/RF (1 channel) signal. This setting allows the calibration routine to take this into account by setting the calibration receiver input configuration appropriately.

Apply

This setting is only available in the User Defined Cal mode.

The calibration procedure generates corrections for both IQ impairments and the complex channel response. It can be useful to be able to apply these in full or to only correct the channel response (for example, when the IQ modulation is performed digitally) so this setting offers the following choice:

  • All corrections
  • Channel Response corrections only

Pre-Corrections Filename

This setting is only available in the User Defined Cal mode.

It identifies the path and name of the pre-correction filter that will be applied to the final waveform every time the user requests a download.

What Can Go Wrong?

The specially designed calibration test signal mentioned earlier always occupies approximately 80% of the IQ bandwidth that is implied by the sampling rate. This may not be appropriate for all signal path configurations without adjustment.

Ideally the signal path should be able to accommodate the full bandwidth of the calibration signal, but if it is severely attenuated by a bandwidth constricted signal path, then there will be very little higher frequency test signal energy present at the calibration receiver and as a result the pre-correction algorithm will not be able to estimate the channel response or determine IQ impairments accurately.

If the algorithm estimates are noisy, then the derived filters can be noisy and actually degrade rather than improve the signal quality.

This effect is illustrated in the figure below.

Noisy Pre-Correction Due to Band-Limited Test Signal

If this is the case for your setup, and it is usually easy to identify by the presence of excessive band-edge noise in the channel response and IQ impairment graphs, then you should reduce the waveform sample rate by manually setting a sample rate more tailored to the bandwidth of the signal you are generating.

If you a have been using a high sample rate for waveform generation because you are concerned about the proximity of sampling images in the generated signal, then you can use the User Defined Cal mode to perform the calibration at the reduced (tailored) sample rate, save the pre-corrections filter to a named file, then return to the higher sample rate for subsequent generation, with the named pre-corrections file identified in the settings. In this case, the software will re-sample the pre-corrections filter to the higher rate.

What Can Pre-Correction Correct?

Pre-correction is applied by a filtering the signal, which is a linear, time-invariant process. Pre-correction can therefore correct linear, time-invariant impairments. Conversely, pre-correction cannot correct non-linear impairments such as gain compression, or time-varying processes such as jitter and noise. So, for example, if your measured EVM is actually noise-limited, pre-correction will not improve it. It is also important to note that applying pre-correction to very clean signals that actually do not need pre-correction can actually degrade the signal quality slightly due to the extra (unnecessary) processing. In summary, pre-correction should be employed judiciously.

User Defined Pre-Corrections

User-defined pre-corrections can be useful if the user wishes to pre-compute corrections for a variety of signal path configurations, or where the cumulative signal path bandwidth is significantly restricted relative to the bandwidth implied by the source sample rate (but we need a high source sample rate for other reasons); or any other hardware configuration that cannot be satisfactorily pre-corrected by the typical means.

To compute a pre-correction filter, first configure your hardware to implement the signal path you wish to calibrate and ensure that the calibration receiver is correctly configured to receive the calibration test signal.

Select Generate > Generate User Defined Pre-Corrections. This will bring up the Pre-Correction Generation dialog box.

Pre-Corrections Generation Dialog

You should follow the on-screen guidance, but the flow is,

  • Click Download Calibration Signal – wait until the message log says "done".
  • Click Auto-Level Calibration Receiver – wait until the message log says "done". This step is optional if you are confident that the calibration receiver has the correct gain setting.
  • Click Calibrate – wait until the message log says "done".

At this point you should look at the computed pre-corrections to confirm that a good result has been obtained.

The graphics below show examples of Mean Channel Response and IQ Imbalance results. We also offer some guidance help you judge the results.

Typical Mean Channel Response

Features to note that are indicative of a good measurement:

  • Both graphs are well behaved across the middle 80% (approximately). Noise at the graph edges is to be expected as the calibration test signal is shaped to avoid aliasing errors, so there is no test stimulus to analyze in this area.
  • The graphs indicate physically probable properties. In this example the magnitude graph reveals a small amplitude roll-off from low to high frequency, and the phase graph reveals very linear phase with no significant discontinuities in the phase progression.

If the phase values are close to the 180° / -180° point then phase wrapping may produce top to bottom jumps in the graph.

Typical IQ Imbalance

Similar goodness criteria apply to the IQ imbalance plot (you should always check both).

Here we see that the I and Q channels are very well matched in magnitude and phase at all frequencies. Again the graphs are well behaved, and only become noisy at the highest frequencies where there is no test signal energy.

  • Click Save Pre-Corrections to save the file. For simplicity we accept the default name precorr.csv.
  • Click Close.

To apply the computed pre-corrections, in the Final Waveform Settings window configure the following settings

  • Calibration Mode : User Defined Cal
  • Apply : All Pre-Corrections
  • Pre-Corrections Coefficients File : <path/filename>

The pre-corrections filename is entered by selecting the setting then clicking on the small button that appears at the right side of the text box, to bring up a file picker dialog. Select a previously saved pre-corrections filter.

Then click the Generate and Output button. The selected pre-correction filter is applied and the signal is downloaded.

By separating the generation and application of pre-corrections, user has the opportunity to alter the calibration algorithm settings and to create a library of pre-correction filters if required.

The above example screen shots were taken from a simple loop-back setup and reveal the already near ideal base performance of the source and analyzer. In these situations applying a pre-correction filter is unlikely to improve the performance of the base hardware significantly and may, in some circumstances actually degrade the performance.


Resampling

Resampling is an M9099 core function that is invoked automatically, and only where necessary, to convert waveform segments represented at one sample rate into an equivalent representation at a different (usually higher) sample rate. This might be to adapt them to a particular, user defined, sample rate or to reconcile different sample rates when creating a composite waveform.

The resampler is arbitrary in that it can resample a signal from any sample rate to any other, higher or lower, sample rate as appropriate. However, resampling a signal to a sample rate less than about 2.56 times the information bandwidth of the signal can cause aliasing problems.

To give a simple example of where resampling would be invoked.

If you configure the multi-tone plug-in to generate a single tone at 21.4 MHz, QPSK modulated at a symbol rate of 10 MHz, the tone generation code will take into account the two frequencies and the maximum sample rate available and determine that the best fit sample rate is 178.33 MHz. When this segment alone is downloaded to a VSG, the VSG sample rate is set to 178.33 MHz.

If you configure the multi-tone plug-in to generate a single tone at 22.4 MHz, un-modulated, the tone generation code will take into account the frequency and the maximum sample rate available and determine that the best fit sample rate is 179.20 MHz. When this segment alone is downloaded to a VSG, the VSG sample rate is set to 179.20 MHz.

If you now wish to add these two segments together to create a modulated tone with an in-band CW interferer, drop the first segment onto track 1, and two copies of the second segment onto track 2. Set Truncate Unequal Tracks to true to ensure that the modulated signal is phase continuous (by truncating the interferer track), and adjust the amplitude of track 2 to 4% (roughly -20 dB).

In order to sum these signals, it is necessary to invoke an arbitrary resampler to convert them both to 200.00 MHz (the maximum available from the M9381A VSG) before adding them together in the required ratio. When the final waveform comprising the summed segments is downloaded to a VSG, the VSG sample rate is set to 200.00 MHz.


Removing Phase and Amplitude Discontinuities

You can apply a low pass filter to remove the possible phase and amplitude discontinuity problems from your waveform. For more information, refer to the Filter Settings at Final Waveform Settings.

Applying a User Defined Filter - Theory of Operation

One of the more common uses for this filter is to remove spectral re-growth. The generation of unwanted spectral data can occur when you connect together multiple segments or even play a single segment multiple times. Any discontinuities in signal magnitude, frequency or phase between the end of one segment and the beginning of another segment can cause distortion often called spectral re-growth. Since these discontinuities cause rapid changes in the output waveform, this means that unwanted high frequency signal content is generated. Applying an appropriate filter removes the high frequency content and a windowing function shapes the frequency response of the filter so that any discontinuity at the band edges have a minimal effect on the composite signal created from multiple segments.

In Waveform Creator, all signals are first generated at baseband before any frequency shift is applied. The filter shown below is a low-pass design where the frequency axis represents only the positive frequencies of the baseband signal to be filtered.
In this figure then, the pass band shown is exactly half of the bandwidth of the baseband signal. The cut-off frequency is always larger than the pass band frequency and the transition band is usually small with respect to the cut-off frequency and pass band.

A good rule-of-thumb would be to set the cut-off frequency to be between 2% and 10% larger the desired pass band frequency, and then set the transition frequency to be a few percent of the pass band. Some adjustments may need to be made to fine tune the filter and window combination based on the specific setting applied.
If the Pass Band was 100MHz, then we may set the cut-off frequency to 105MHz [+5%] and set the Transition frequency to about 2 x 5MHz since cut-off is in the middle of the transition band.

Pass Band < Cut-off Frequency – Transition Frequency/2


Accessing Concurrent Waveform Creator Instances using SCPI

This chapter enlists the steps and procedure to access and operate concurrent Waveform Creator instances remotely using SCPI commands.

For further details on SCPI commands, refer SCPI Commands Reference Documentation under Help > SCPI Command Referemce

Steps

  1. Launch first instance of Waveform Creator from Start > All Programs > Agilent > Agilent Waveform Creator
  2. Launch second instance of Waveform Creator from Command Line Interface as follows:
    1. Click Start, type cmd, and press enter.
      This opens the Command Prompt.
    2. Browse to the location where the Agilent Waveform Creator.exe is present. For example, C:\Program Files (x86)\Agilent\M9099 Waveform Creator.
    3. Pass the command line argument by typing the exe name followed by the option. For example, Agilent Waveform Creator.exe /s 5025, where 5025 is the specified socket number.

Passing command line arguments to start Waveform Creator

Command options and its description

Command Option | Description
/s <socket port number> | If the socket port number is greater than zero, the SCPI server will start on the specified socket port.
 | If the socket port number is zero or less (for example, -1), the SCPI server will not start.
 | If this option is not specified, the SCPI server will start on socket port 5025 (default socket port number).
/t <telnet port number> | If the telnet port number is greater than zero, the SCPI server will start on the specified telnet port.
 | If the telnet port number is zero or less (for example, -1), the SCPI server will not start.
 | If this option is not specified, the telnet server will start on telnet port 5024 (default telnet port number).
/i <instrument number> | If this option is not specified, the HiSLIP SCPI server will start with the hislip0 name.
 | If the instrument number is zero or greater, the HiSLIP SCPI servers will start with the hislipN , where N is the instrument number.
 | If the instrument number is less than zero (for example, -1), then HiSLIP server will not start.

Example 1

Starting Waveform Creator instance with no command line options.

Agilent Waveform Creator.exe

Default settings for Waveform Creator:

  • Socket port: 5025
  • Telnet port: 5024
  • Names: hislip0

Example 2

Starting Waveform Creator instance with command line options.

Agilent Waveform Creator.exe /i 2 /s 5050

Settings for waveform creator using available command line options:

  • Socket Port: 5050
  • Names: hislip2


Troubleshooting

This section describes how to troubleshoot issues in Waveform Creator.

Troubleshooting

Problem

Workaround

Cannot release hardware/instrument (M9381A VSG) without closing the Waveform Creator application.

In the Current Output Device panel, set the Output To option to Output to Simulated HW, and then download the waveform again. This will release the M9381A instrument.

RPC server is unavailable.

Check whether SystemVue has been installed successfully. If yes, restart Waveform Creator to build the waveform again.

Waveform Creator reports some errors when launching Waveform Creator the first time after reboot.

This issue will be found if SystemVue nodelock license is used. You could ignore the error reports and just restart Waveform Creator.

Added incorrect plugins, unable to delete.

It is currently not possible to delete plugins from the GUI. To delete the plugins, go to C:\Program Files (x86)\Agilent\<Waveform creator Install Directory>\PlugIns folder and delete the specific plugins.

Please do not delete Multi-tone, Utility, File Import or Digital Mod plugins.

Newly created plug-ins are initially hidden.

Newly created plug-ins will be invisible if File > Auto-load last state is enabled. You could click File > Preset Setup to show the new plug-ins.

When you generate and output a waveform containing a DOCSIS 3.1 downstream segment with FFT mode 8K and PLC center position 4096 to M9330A, an error message stating "waveform memory is full" is displayed.

This issue occurs because M9330's memory is limited. In the Current Output Device Settings panel, set AWG Granularity from the default Repeat to Truncate or Append Silence.


Plug-in Reference(s)

This section describes the modulation and coding options supported by the waveform generation part of the Waveform Creator software.

Each supported waveform type is represented by one or more entries in the Segment Library. If the Waveform Creator software finds a valid license for a licensed waveform plug-in or any license-free waveform plug-ins, the corresponding tabs appear in the Segment Library.

In addition to the licensed (Optional) waveform types, there are few standard entries in the Segment Library: Multi-tone and Utility. You can also import your custom waveform (via. File Import library).

The Waveform Creator 2.0 software currently supports the following plug-ins:

  • Waveform Plug-ins
    • Utility Waveform Plug-in
    • Multi-Tone Waveform Plug-in
    • File Import Plug-in
    • (Optional) DOCSIS 3.1 Plug-in
    • (Optional) Digital Mod Waveform Plug-in
    • (Optional) SystemVue Model Plug-in
    • (Optional) 89600B VSA Input Plug-in
  • Output Plug-ins
    • Data File Write Plug-in
    • (Optional) 81180 Output Plug-in
    • (Optional) M8190A Output Plug-in
    • (Optional) M933xA Output Plug-in
    • (Optional) M9381A Output Plug-in


Waveform Plug-ins

This section provides information on various Waveform plugins, supported parameters and how to control these parameters remotely using SCPI.

Contents

  • Utility Waveform Plug-in
  • Multi-Tone Waveform Plug-in
  • File Import Plug-in
  • (Optional) DOCSIS 3.1 Plug-in
  • (Optional) Digital Mod Waveform Plug-in
  • (Optional) SystemVue Model Plug-in
  • (Optional) 89600B VSA Input Plug-in


Multi-Tone Waveform Plug-in

Multi-Tone

Multi-tone is a standard, license-free, plug-in that enables you to create single tone, two tone and multi-tone signals. The single and two tone waveforms can also be vector modulated to create simple GMSK, π/2-BPSK, PSK, QPSK, and QAM signals.

The following illustrations should help you visualize the purpose of each of the segment settings described below.

All of the modulations produced by this plug-in are generated relative to a nominal "carrier frequency" Fc. If the complex baseband representation of the waveform is used directly, then Fc = 0 Hz, however when it is downloaded to a vector signal generator such as the M9381A, the modulation will be applied to the specified RF carrier. The mixer part of the waveform creator core can also re-modulate the signal to an offset frequency relative to Fc.

Single tone modulation generates a single tone, offset from Fc by the specified tone frequency. If the tone frequency is negative, then the the tone will be at a lower frequency than Fc.

With single tone modulation, it is possible to apply vector modulation to the tone. The type, symbol rate and filter shape of the modulation can be specified. The vector modulation can be centered on Fc by specifying a tone frequency of 0 Hz.

Two tone modulation generates two tones, offset from Fc by the specified tone frequency. Since this signal has both positive and negative frequency components it is a real signal, that is, only the real part of the waveform sample values are non-zero.

With two tone modulation, it is possible to apply vector modulation to both tones. The type, symbol rate and filter shape of the modulation can be specified. Since this signal is modulated it has complex values.

Multitone modulation produces a multi-tone spectrum. The spectrum is specified in terms of the number of tones either side of Fc, the total occupied bandwidth and whether the tones at and near Fc are suppressed. The resulting tone spacing can be computed as,

tone spacing = occupied bandwidth / (2 x number of tones)

Multitone modulation can be configured to produce a single-sided multi-tone spectrum. The spectrum is still specified in terms of the number of tones either side of Fc, the total occupied bandwidth (as if the lower sideband tones were present) and whether the tones at and near Fc are suppressed. The single-sided multi-tone is very useful as a calibration signal because of the characteristic way in which various imperfections affect the actual suppression of the "missing" tones in the lower sideband. The following diagram summarizes the effects.

Segment Settings

Each of the eight segments in the Multi-tone library has its own settings. The settings for the segment currently selected in the Waveform Layout window are presented in the <current> Segment Settings window.

Segment Settings

Field

Description

Default Value

Related SCPI Command

Basic Settings

Tone Type

Set the type of tone-based signal to be generated. The possibilities are:

  • Single Tone: This creates a single tone at the specified frequency.
  • Two Tone: This creates two tones, at plus and minus the specified frequency.
  • Multi Tone: This creates a multi-tone signal centered at 0 Hz.

Multi Tone

[:SOURce]:RADio:MTONe[1:8]|MTONe:TYPE STONe | TTONe | MTONe

Multi Tone Settings

Number of Tones (each side of FC)

Set the number of tones appearing on each side of the center tone (FC) at 0 Hz.

There is always a tone at FC (which may be suppressed). So, setting this setting to, for example, 90 will cause a 90 + 1 (at FC) + 90 = 181 tone comb to be generated.

50

[:SOURce]:RADio:MTONe[1:8]|MTONe:MTONe:NTONes <numeric_value>

Occupied Bandwidth

Set the frequency delta from the most negative multi-tone frequency to the most positive. The default values of 90 for the Number of Tones and 97 MHz for the Occupied Bandwidth give a comb of tones at 97 /180 = 539 kHz spacing (with the tone at FC suppressed).

100 MHz

[:SOURce]:RADio:MTONe[1:8]|MTONe:MTONe:OBWidth <numeric_value>

Suppressed Tones

Set the number of center tones to be suppressed.

It is common in OFDM modulation for the tone at FC, or the three tones at FC and FC±1 to be unused and suppressed because of the negative impact on these tones from any DC components in the modulation. This setting allows you to create multi-tone signals with similarly suppressed center tone(s).

Tone at Fc

[:SOURce]:RADio:MTONe[1:8]|MTONe:MTONe:STONes NONE | TFC | TFCPlus

Single-Sided

Setting this true will suppress all the negative frequency tones.

The tone frequencies are still determined by the number of tones and occupied bandwidth values as if they were present.

Note

A single-sided multi-tone signal is a very useful diagnostic signal for setting up a wideband system as the common impairments of LO leakage, quadrature error / gain imbalance, intermodulation distortion, skew, and phase noise all have visibly different effects on the spectrum of this signal.

False

[:SOURce]:RADio:MTONe[1:8]|MTONe:MTONe:SSIDed <Boolean>

Single/Two Tone Settings

Tone Frequency

Set the tone frequency FTONE.

In Single Tone mode, this will generate a zero IF signal with a single sideband modulation at +FTONE. Mathematically speaking, there is no signal energy at
-FTONE; however when the single tone waveform is played on practical hardware, there may be a vestigial signal at -FTONE due to imperfect cancelation of the negative frequency component.

In Two Tone mode, this will generate a zero IF signal with a double sideband modulation at ±FTONE.

30 MHz

[:SOURce]:RADio:MTONe1|MTONe:STTone:FREQuency <numeric_value>

Tone Modulation Symbol Rate

Set the symbol rate of the vector modulation that can optionally be applied to the tone(s).

No

[:SOURce]:RADio:MTONe[1:8]|MTONe:STTone:MSRate <numeric_value>

Tone Modulation Type

Set the type of vector modulation that is applied to the tone(s). The choices are:

  • No Modulation
  • GMSK
  • π/2-BPSK
  • QPSK
  • PSK
  • 16 QAM
  • 64 QAM
  • AM
  • AM-USB
  • AM-LSB
  • AM-DSB
  • PM
  • FM
    For all the modulated signals, the modulation data is a 223-1 PRBS and the mapping to phase/amplitude states is fixed.
    The last six modulation types (AM, AM-USB, AM-LSB, AM-DSB, PM, FM) are applicable to Single Tone mode only.

No Modulation

[:SOURce]:RADio:MTONe[1:8]|MTONe:STTone:MTYPe NMODu | GMSK | PI2BPSK | QPSK | PSK8 | QAM16 | QAM64 | AM | AMUSb | AMLSb | AMDSb | PM | FM

Tone Filter Type

Sets the filtering that is applied to the tone modulation. The choices are:

  • Gaussian
  • Root Raised Cosine
  • Raised Cosine

Root Raised-Cosine

[:SOURce]:RADio:MTONe[1:8]|MTONe:STTone:FTYPe GAUSsian | RCOSine | RRCosine

Tone Filter BT/Shape

Sets the shape of the filter applied to the tone modulation. If the Gaussian Filter Type is selected, this number determines the Bandwidth-Time (BT) product. If either of the Cosine Filter Types is selected, this number determines the shape factor (excess bandwidth) of the filter.

0.30

[:SOURce]:RADio:MTONe[1:8]|MTONe:STTone:MFALpha <numeric_value>

Tone Minimum Length

Sets the minimum length of the tone segment in samples.

Simple tone modulations can often be represented by just a few samples which can result in short waveform segments. But in some situations (such as generating pseudo recordings for the Waveform Creator / 89601B VSA software), it is useful to have a longer time record to work with (even if the extra data is mathematically redundant).

This setting instructs to software to generate at least a certain amount of sample data. The actual segment length will be determined by the periodicity of the signal as well as other factors such as the sample chunk size of the output device.

61440

[:SOURce]:RADio:MTONe[1:8]|MTONe:STTone:MSAMples <numeric_value>

AM Modulation Depth

AM Modulation Depth.

20.00%

[:SOURce]:RADio:MTONe[1:8]|MTONe:MTONe:AMMDepth <numeric_value>

PM Deviation

PM Deviation.

1.257

[:SOURce]:RADio:MTONe[1:8]|MTONe:MTONe:PMDeviation <numeric_value>

FM Deviation

FM Deviation.

100 MHz

[:SOURce]:RADio:MTONe[1:8]|MTONe:MTONe:FMDeviation <numeric_value>

Waveform Settings

Analog Modulation Signal Type

Sets the type of analog modulation signal. The available choices are:

  • Square Wave
  • Sinusoid Wave
  • Saw Wave
  • Triangle Wave
  • From File

Square Wave

[:SOURce]:RADio:MTONe[1:8]|MTONe:MTONe:AMSType SQUare | SINusoid | SAW | TRIangle | FFILe

Amplitude Scale

Sets the scale factor applied to the segment amplitudes.

1.00

[:SOURce]:RADio:MTONe[1:8]|MTONe:AMPLitude <numeric_value>

Frequency

Sets the frequency of the current wave.

1 MHz

[:SOURce]:RADio:MTONe[1:8]|MTONe:FREQuency <numeric_value>

I/Q Phase Difference

Sets the phase difference between the I and Q components of the current wave.

0°

[:SOURce]:RADio:MTONe[1:8]|MTONe:PHASe <numeric_value>

Start Phase

Sets the start phase of the current wave.

0°

[:SOURce]:RADio:MTONe[1:8]|MTONe:SPHAse <numeric_value>

Number of cycles

Sets the number of cycles generated for the current wave.

100

[:SOURce]:RADio:MTONe[1:8]|MTONe:NCYCles <numeric_value>

From File

File Name of Analog Modulation Signal.

-

[:SOURce]:RADio:MTONe[1:8]|MTONe:MTONe:AMSFile <quoted_string>


Utility Waveform Plug-in

Utility

The utility segment library contains a miscellany of potentially useful segment types.

Segment Settings

Field | Description | Default Value | Related SCPI Command
Waveform Type | Select the waveform type from the available options: Square Wave, Sinusoid, Saw, Triangle, Silence and Gaussian Noise Square Wave: Generates a configurable square wave. Sinusoid Wave: Generates a configurable sine wave. Saw Wave: Generates a configurable saw wave. Triangle Wave: Generates a configurable triangle wave. Silence: Generates a zero valued segment of a defined duration. This can be useful as time padding in advanced waveform layouts. Gaussian Noise: Generates a burst of Average White Gaussian Noise (AWGN). This can be useful as an intermittent interferer. Note that Gaussian Noise can also be applied to the whole signal at a specified C/N ratio by the core application. | Silence | [:SOURce]:RADio:UTILity[1:8]|UTILity:TYPE SQUare | SINusoid | SAW | TRIangle | SILence | NOISe

Segment Settings (Square Wave)

Field | Description | Default Value | Related SCPI Command
Amplitude (pk-pk) | Set the peak-to-peak amplitude of the square wave. This value does not translate directly to the magnitude of the output signal because, as for all waveforms generated by Waveform Creator, that depends on the cumulative effect of several factors. The amplitude is a relative quantity, where 1 is equivalent to the nominal RMS magnitude of the vector modulations produced by other libraries. | 1.00 | [:SOURce]:RADio:UTILity[1:8]|UTILity:AMPLitude <numeric_value>
Frequency | Set the frequency of the square wave. | 1.00 MHz | [:SOURce]:RADio:UTILity[1:8]|UTILity:FREQuency <numeric_value>
I/Q Phase Difference | Set the phase offset between the I and Q components of the segment. | 0.00° | [:SOURce]:RADio:UTILity[1:8]|UTILity:PHASe <numeric_value>
Start Phase | Set the start phase of the current wave. | 0.00° | [:SOURce]:RADio:UTILity[1:8]|UTILity:SPHAse <numeric_value>
Number of Cycles | Set the number of cycles of square wave in the segment. | 100 | [:SOURce]:RADio:UTILity[1:8]|UTILity:NCYCles <numeric_value>

Segment Settings (Sinusoid Wave)

Field | Description | Default Value | Related SCPI Command
Amplitude Scale | Set the scale factor applied to the segment amplitudes. | 1.00 | [:SOURce]:RADio:UTILity[1:8]|UTILity:AMPLitude <numeric_value>
Frequency | Set the frequency of the sine wave. | 1.00 MHz | [:SOURce]:RADio:UTILity[1:8]|UTILity:FREQuency <numeric_value>
I/Q Phase Difference | Set the phase offset between the I and Q components of the segment. | 0.00° | [:SOURce]:RADio:UTILity[1:8]|UTILity:PHASe <numeric_value>
Start Phase | Set the start phase of the current wave. | 0.00° | [:SOURce]:RADio:UTILity[1:8]|UTILity:SPHAse <numeric_value>
Number of Cycles | Set the number of cycles of sine wave in the segment. | 100 | [:SOURce]:RADio:UTILity[1:8]|UTILity:NCYCles <numeric_value>

Segment Settings (Saw Wave)

Field | Description | Default Value | Related SCPI Command
Amplitude Scale | Set the scale factor applied to the segment amplitudes. | 1.00 | [:SOURce]:RADio:UTILity[1:8]|UTILity:AMPLitude <numeric_value>
Frequency | Set the frequency of the saw wave. | 1.00 MHz | [:SOURce]:RADio:UTILity[1:8]|UTILity:FREQuency <numeric_value>
I/Q Phase Difference | Set the phase offset between the I and Q components of the segment. | 0.00° | [:SOURce]:RADio:UTILity[1:8]|UTILity:PHASe <numeric_value>
Start Phase | Set the start phase of the current wave. | 0.00° | [:SOURce]:RADio:UTILity[1:8]|UTILity:SPHAse <numeric_value>
Number of Cycles | Set the number of cycles of saw wave in the segment. | 100 | [:SOURce]:RADio:UTILity[1:8]|UTILity:NCYCles <numeric_value>

Segment Settings (Triangle Wave)

Field | Description | Default Value | Related SCPI Command
Amplitude Scale | Set the scale factor applied to the segment amplitudes. | 1.00 | [:SOURce]:RADio:UTILity[1:8]|UTILity:AMPLitude <numeric_value>
Frequency | Set the frequency of the triangle wave. | 1.00 MHz | [:SOURce]:RADio:UTILity[1:8]|UTILity:FREQuency <numeric_value>
I/Q Phase Difference | Set the phase offset between the I and Q components of the segment. | 0.00° | [:SOURce]:RADio:UTILity[1:8]|UTILity:PHASe <numeric_value>
Start Phase | Set the start phase of the current wave. | 0.00° | [:SOURce]:RADio:UTILity[1:8]|UTILity:SPHAse <numeric_value>
Number of Cycles | Set the number of cycles of triangle wave in the segment. | 100 | [:SOURce]:RADio:UTILity[1:8]|UTILity:NCYCles <numeric_value>

Segment Settings (Silence)

Field | Description | Default Value | Related SCPI Command
Length | Set the time duration of a silence. During a silence, the segment samples will be zero valued unless an impairment has been added, for example, noise. | 50.00 µs | [:SOURce]:RADio:UTILity[1:8]|UTILity:LENGth <numeric_value>

Segment Settings (Gaussian Noise)

Field | Description | Default Value | Related SCPI Command
Amplitude Scale | Set the relative magnitude of the Gaussian noise | 1.00 | [:SOURce]:RADio:UTILity[1:8]|UTILity:AMPLitude <numeric_value>
Length | Set the time duration of the noise burst. | 50.00 µs | [:SOURce]:RADio:UTILity[1:8]|UTILity:LENGth <numeric_value>


DOCSIS 3.1 Plug-in

Waveform Creator enables you to generate Data Over Cable Service Interface Specification (DOCSIS) 3.1 downstream signals from 24 to 192MHz bandwidth and DOCSIS 3.1 upstream signals from 10MHz to 96MHz bandwidth for 2K mode and 6.4MHz to 96MHz bandwidth for 4K mode. This can be used to test transmitters, receivers, and components against the new requirements set forth in the DOCSIS 3.1 specification.

DOCSIS3.1 is a modern cabled video standard. This standard supports an Orthogonal Frequency Division Multiplexed, OFDM format with customizable carriers, pilots and exclusion zones and a range of predefined modulation formats, windowing settings , cyclic prefix and mini-slot numbers to select from. A knowledgeable user has considerable flexibility for creating sophisticated upstream and downstream waveforms.

For downstream signal generation the sample rate defined by the standard is 204.8MHz. This supports channel bandwidths from 24MHz up to 192MHz. There are two Inverse Discrete Fourier Transforms settings available. An IDFT size of 4096 and 8192. The IDFT setting defines the number of sub-carriers, the subcarrier spacing, and the duration of the OFDM Symbol.

In the figure below a downstream DOCSIS 3.1 signal has been generated.

For upstream signal generation, the sample rate defined in the standard is 102.4MHz. A wide range of bandwidths from 6.4MHz up to 96MHz are supported. As with the downstream case, the IDFT size of either 2048 or 4096 sets the number of subcarriers, the subcarrier spacing, and the useful OFDM symbol duration.
In the figure below a DOCSIS 3.1 upstream signal has been generated. Notice that the spectrum is offset from the center of span.

For more information on DOCSIS 3.1 standard, please refer to Data-Over-Cable Service Interface Specifications DOCSIS® 3.1: Physical Layer Specification.

You can use 89600 VSA to provide demodulation analysis of the signals generated using Waveform Creator. To simplify the setup in 89600 VSA, Waveform Creator enables you to generate settings (.setx) files when you generate waveforms from DOCSIS 3.1 segments. You can replay these setup files in 89600 VSA when you analyze the associated waveforms in 89600 VSA. Refer to Generating Settings (.setx) File for 89600 VSA Demod

Segment Settings

Each of the eight segments in the DOCSIS 3.1 library has its own settings. The settings for the segment currently selected in the Waveform Layout window are presented in the <current> Segment Settings window.

Field

Description

Default Value

Related SCPI Command

Basic Settings

DOCSIS Type

Sets the type of DOCSIS 3.1 signal to be generated. The possibilities are:

  • Downstream: This creates a DOCSIS 3.1 downstream signal.
  • Upstream: This creates a DOCSIS 3.1 upstream signal.

Upstream

[:SOURce]:RADio:DOCSis[1:8]|DOCSis:DTYPe DSTReam | USTReam

Downstream Settings

Refer to Table 7-1 of the DOCSIS 3.1 Physical Layer Specification for more information.

FFT Mode

Two modes of operation are defined for the downstream:

  • 4K or 4096
  • 8K 0r 8192

8192

[:SOURce]:RADio:DOCSis[1:8]|DOCSis:DFMode FFT_4096 | FFT_8192

Cyclic Prefix

Cyclic prefix is a copy of the end of a symbol that is added to the beginning of the same symbol, in order to help mitigate the effects of micro-reflections and similar impairments. The available choices are:

  • 0.9375 μs (192 * Tsd)
  • 1.25 μs (256 * Tsd)
  • 2.5 μs (512 * Tsd)
  • 3.75 μs (768 * Tsd)
  • 5 μs (1024 * Tsd)

1.25 µs (256*Tsd)

[:SOURce]:RADio:DOCSis[1:8]|DOCSis:DCPRefix TSD_192 | TSD_256 | TSD_512 | TSD_768 | TSD_1024

Active Subcarriers

Number of active subcarriers in signal.

1901

[:SOURce]:RADio:DOCSis[1:8]|DOCSis:DDASUBcarriers <numeric_value>

Data Modulation

Sets the type of data modulation that is applied to the signal. The available choices are:

  • BPSK
  • QPSK
  • 8-QAM
  • 16-QAM
  • 32-QAM
  • 64-QAM
  • 128-QAM
  • 256-QAM
  • 512-QAM
  • 1024-QAM
  • 2048-QAM
  • 4096-QAM

BPSK

[:SOURce]:RADio:DOCSis[1:8]|DOCSis:DDModulation BPSK | QPSK | QAM8 | QAM16 | QAM32 | QAM64 | QAM128 | QAM256 | QAM512 | QAM1024 | QAM2048 | QAM4096

Windowing

Windowing maximizes channel capacity by sharpening the edges of the spectrum of the OFDM signal. The available choices are:

  • 0 μs (0 * Tsd)
  • 0.3125 μs (64 * Tsd)
  • 0.625 μs (128 * Tsd)
  • 0.9375 μs (192 * Tsd)
  • 1.25 μs ( 256 * Tsd)

0.625 μs (128 * Tsd)

[:SOURce]:RADio:DOCSis[1:8]|DOCSis:DWINdowing WIND_0 | WIND_64 | WIND_128 | WIND_192 | WIND_256

PLC Start Index

PLC Start Index

2048 for 4K FFT size and 4096 for 8K FFT size

[:SOURce]:RADio:DOCSis[1:8]|DOCSis:PSINdex <numeric_value>

Exclusion Bands

A set of contiguous subcarriers within the OFDM or OFDMA channel bandwidth that are set to zero-value by the transmitter to reduce interference to other co-existing transmissions such as legacy SC-QAM signals.

-

[:SOURce]:RADio:DOCSis[1:8]|DOCSis:DEBands <quoted_string>

Continuous Pilots

Pilots that occur at the same frequency location in every OFDM symbol, and which are used for frequency and phase synchronization.
Refer to Section 7.5.15.2.2 of the DOCSIS 3.1 Physical Layer Specification for more information.

For 4K FFT size: 1135,1209,1283,1358,1432,1506,1580,1654,1728,1803,1877,1951,2025,2220,2294,2369,2443,2517,2591,2665,2739,2814,2888,2962

For 8K FFT size: 3215,3354,3492,3630,3768,3907,4286,4425,4563,4701,4839,4978

[:SOURce]:RADio:DOCSis[1:8]|DOCSis:CPILots <quoted_string>

Upstream Settings

Refer to Table 7-2 of the DOCSIS 3.1 Physical Layer Specification for more information.

FFT Mode

Two modes of operation are defined for the upstream:

  • 2K or 2048
  • 4K 0r 4096

4096

[:SOURce]:RADio:DOCSis[1:8]|DOCSis:UFMode FFT_2048 | FFT_4096

Cyclic Prefix

Cyclic prefix is a copy of the end of a symbol that is added to the beginning of the same symbol, in order to help mitigate the effects of micro-reflections and similar impairments. The available choices are:

  • 0.9375 μs (96 * Tsu)
  • 1.25 μs (128 * Tsu)
  • 1.5625 μs (160 * Tsu)
  • 1.875 μs (192 * Tsu)
  • 2.1875 μs (224 * Tsu)
  • 2.5 μs (256 * Tsu)
  • 2.8125 μs (288 * Tsu)
  • 3.125 μs (320 * Tsu)
  • 3.75 μs (384 * Tsu)
  • 5.0 μs (512 *Tsu)
  • 6.25 μs (640 *Tsu)

0.9375 μs (96 * Tsu)

[:SOURce]:RADio:DOCSis[1:8]|DOCSis:UCPRefix TSU_96 | TSU_128 | TSU_160 | TSU_192 | TSU_224 | TSU_256 | TSU_288 | TSU_320 | TSU_384 | TSU_512 | TSU_640

Active Subcarriers Number of active subcarriers in signal. 1901 [:SOURce]:RADio:DOCSis1|DOCSis:UASUbcarrier <numeric_value>

Windowing

Windowing maximizes channel capacity by sharpening the edges of the spectrum of the OFDM signal. The available choices are:

  • 0 μs (0 * Tsu)
  • 0.3125 μs (32 * Tsu)
  • 0.625 μs (64 * Tsu)
  • 0.9375 μs (96 * Tsu)
  • 1.25 μs (128 * Tsu)
  • 1.5625 μs (160 * Tsu)
  • 1.875 μs (192 * Tsu)
  • 2.1875 μs (224 * Tsu)

0 μs (0 * Tsu)

[:SOURce]:RADio:DOCSis[1:8]|DOCSis:UWINdowing WIND_0 | WIND_32 | WIND_64 | WIND_96 | WIND_128 | WIND_160 | WIND_192 | WIND_224

Data Modulation

Sets the type of data modulation that is applied to the signal. The available choices are:

  • BPSK
  • QPSK
  • 8-QAM
  • 16-QAM
  • 32-QAM
  • 64-QAM
  • 128-QAM
  • 256-QAM
  • 512-QAM
  • 1024-QAM
  • 2048-QAM
  • 4096-QAM

16-QAM

[:SOURce]:RADio:DOCSis[1:8]|DOCSis:UDModulation BPSK | QPSK | QAM8 | QAM16 | QAM32 | QAM64 | QAM128 | QAM256 | QAM512 | QAM1024 | QAM2048 | QAM4096

K (Symbols/frame)

Symbols per frame.

16

[:SOURce]:RADio:DOCSis[1:8]|DOCSis:SPFRame <numeric_value>

Pilot Pattern

Pilot patterns differ by the number of pilots in a minislot, and by their arrangement within the minislot. Refer to the DOCSIS 3.1 Physical Layer Specification for more details.

7 for 2K FFT size and 8 for 4K FFT size

[:SOURce]:RADio:DOCSis[1:8]|DOCSis:PPATtern <numeric_value>

Minislot Start

Minislot Start

0

[:SOURce]:RADio:DOCSis[1:8]|DOCSis:MBEGin <numeric_value>

Minislot Stop

Minislot Stop

20

[:SOURce]:RADio:DOCSis[1:8]|DOCSis:MEND <numeric_value>

Exclusion Bands A set of contiguous subcarriers within the OFDM or OFDMA channel bandwidth that are set to zero-value by the transmitter to reduce interference to other co-existing transmissions such as legacy SC-QAM signals. - [:SOURce]:RADio:DOCSis[1:8]|DOCSis:UEBands <quoted_string>


Digital Mod Waveform Plug-in

Digital Mod

Digital Mod is a licensed plug-in used to generate digital modulation signal on baseband, including the basic modulation schemes: BPSK, QPSK, DQPSK, π/4-DQPSK, Offset QPSK, Shaped OQPSK, 8-PSK, D8PSK, EDGE, π/8-D8PSK, MSK, CPM, 16-QAM, 32-QAM, 64-QAM, 128-QAM, 256-QAM, 512-QAM, 1024-QAM, 16-APSK, 32-APSK, Custom APSK, Star16-QAM, Star32-QAM, 2FSK, 4FSK, 8FSK, 16FSK, IJFOQPSK, FQPSK and EFQPSK.

For more details on Digital Mod Plug-in licenses, refer to Waveform Creator Licenses section of Setting up Licenses.

You can use 89600 VSA to provide demodulation analysis of the signals generated using Waveform Creator. To simplify the setup in 89600 VSA, Waveform Creator enables you to generate settings (.setx) files when you generate waveforms from Digital Mod segments. You can replay these setup files in 89600 VSA when you analyze the associated waveforms in 89600 VSA. Refer to Generating Settings (.setx) File for 89600 VSA Demod

Payload Data Specification

This plugin supports getting data from random bits, pseudo noise code(PN9, PN15, PN23, PN31) and from file. It's worth noting that when the payload data is selected to be from file, the file extension name should be txt and the file should only consist of 0 and 1 which stands for the source bits. Any other character will be ignored.

Shaping Filter

Filter types include None, Rectangular, Root Raised-Cosine, Raised-Cosine, Gaussian and From File and the according setting options are provided.

Note

For From File shaping filter, different filter coefficients are separated by comma.

Signal Segment Length

If the payload is from file, the signal length is decided by the source bits(in the current file) length and the chosen modulation types.
If the payload is not from file, the signal length is equal or above Digital Mod Segment Settings -> Minimum Samples.

Digital Mod Segment Settings

Segment Settings

Field

Description

Default Value

Related SCPI Command

Digital Modulation

Modulation Type

Set the modulation scheme for current segment.

QPSK

[:SOURce]:RADio:DM[1:8]|DM:TYPE BPSK | QPSK | DQPSK | P4DQPSK | OQPSK | SOQPSK | PSK8 | D8PSk | EDGE | P8D8PSK | MSK | CPM | QAM16 | QAM32 | QAM64 | QAM128 | QAM256 | QAM512 | QAM1024 | APSK16 | APSK32 | CAPSK | SQAM16 | SQAM32 | FSK2 | FSK4 | FSK8 | FSK16 | PSK16 | IOQPSK | FQPSK | EFQPSK | SOQPSKMIL

Phase Offset

Valid when Modulation Type = DQPSK and D8PSK. The phase offset of differential PSK modulation schemes.

0

[:SOURce]:RADio:DM[1:8]|DM:POFFset <numeric_value>

p

Valid only when ModType is Shaped OQPSK. The roll off factor of SOQPSK-TG.

0.7

[:SOURce]:RADio:DM[1:8]|DM:SOQPsk:TGp <numeric_value>

B

Valid only when ModType is Shaped OQPSK. The time scaling factor of SOQPSK-TG.

1.25

[:SOURce]:RADio:DM[1:8]|DM:SOQPsk:TGB <numeric_value>

T1

Valid only when ModType is Shaped OQPSK. The time coefficient of SOQPSK-TG.

1.5

[:SOURce]:RADio:DM[1:8]|DM:SOQPsk:TGT1|TGT <numeric_value>

T2

Valid only when ModType is Shaped OQPSK. The time coefficient of SOQPSK-TG.

0.5

[:SOURce]:RADio:DM[1:8]|DM:SOQPsk:TGT2 <numeric_value>

M_ary

Valid when ModType is CPM. The M-ary value of CPM , it must be 2^k, where k is an integer.

4

[:SOURce]:RADio:DM[1:8]|DM:CPM:MARY <numeric_value>

Multi-h

Valid only when ModType is CPM. The list of CPM modulation efficients.

[0.25;0.3125]

[:SOURce]:RADio:DM[1:8]|DM:CPM:MULTih <quoted_string>

FreqPulseType

Valid only when ModType is CPM. The type of frequency pulse of CPM modulation.

1REC

[:SOURce]:RADio:DM[1:8]|DM:CPM:FTYPe REC1 | RC3 | GMSK

BT

Valid when ModType is CPM and FreqPulse is GMSK or ModType is EDGE. The BT of the GMSK frequency shaping filter.

0.3

[:SOURce]:RADio:DM[1:8]|DM:BT <numeric_value>

Ratio_R2_R1

Valid for ModType is 16-APSK or 32-APSK or Star 16-QAM or Star 32-QAM. The value of R2/R1.

2.0

[:SOURce]:RADio:DM[1:8]|DM:RATio21 <numeric_value>

Ratio_R3_R1

Valid only for ModType is 32-APSK or Star 32-QAM. The value of R3/R1.

3.0

[:SOURce]:RADio:DM[1:8]|DM:RATio31 <numeric_value>

Ratio_R4_R1

Valid for ModType is Star 32-QAM. The value of R4/R1.

4.0

[:SOURce]:RADio:DM[1:8]|DM:RATio41 <numeric_value>

States Per Ring

Valid only for ModType is Custom APSK. Number of phase states on each ring.

[4; 4]

[:SOURce]:RADio:DM[1:8]|DM:CAPSk:SPRing <quoted_string>

Radii

Valid only for ModType is Custom APSK. Relative radius of each ring.

[1; 2]

[:SOURce]:RADio:DM[1:8]|DM:CAPSk:RADii <quoted_string>

Initial Phase

Valid only for ModType is Custom APSK. Angle of the first state on each ring relative to the x-axis.

[0; 0]

[:SOURce]:RADio:DM[1:8]|DM:CAPSk:IPhase <quoted_string>

Default State

Valid only for ModType is Custom APSK. Use default states or not: False, True.

True

[:SOURce]:RADio:DM[1:8]|DM:CAPSk:DSTate <Boolean>

States

Valid only for ModType is Custom APSK and DefaultState is FALSE. States corresponding to the constellation points.

[0;1;2;3;4;5;6;7]

[:SOURce]:RADio:DM[1:8]|DM:CAPSk:STATes <quoted_string>

Frequency Deviation

Valid only when Modulation Type are 2FSK, 4FSK, 8FSK or 16FSK. Set the frequency deviation of FSK modulation.

40MHz

[:SOURce]:RADio:DM[1:8]|DM:FDEViation <numeric_value>

Message

The Message settings are used to generate the payload data.

Payload Data

Set the payload data type. The possibilities are:

  • Random: The payload data are random bits.
  • PN9
  • PN15
  • PN23
  • PN31
  • From File: Load the data from an existing file.

Random

[:SOURce]:RADio:DM[1:8]|DM:PAYLoad RANDom | PN9 | PN15 | PN23 | PN31 | FFILe

If From File is selected as the payload data type, and the contents of the text file is as following: 00011011.

  • If the digital modulation type is QPSK, then the payload data will be interpreted as 4 signals: 00, 01, 10 and 11.
  • If the digital modulation type is BPSK, then the payload data will be interpreted as 8 signals: 0, 0, 0, 1, 1, 0, 1 and 1

File Name

Valid only when Payload Data is From File. The file which contains the data bits.

[:SOURce]:RADio:DM[1:8]|DM:PAYLoad:FNAMe <quoted_string>

Symbol Rate

The symbol rate of current segment signal.

20MHz

[:SOURce]:RADio:DM[1:8]|DM:SRATe <numeric_value>

Shaping Filter

The applied pulse shaping filter. Invalid when the Modulation Type equals Shaped OQPSK, EDGE, MSK, CPM, IJFOQPSK, FQPSK, EFQPSK and SOQPSKMIL.

Filter Type

The type of pulse shaping filter. The supported types include:

  • None: No pulse shaping filter is applied.
  • Rectangular: A rectangular pulse shaping filter is applied.
  • Root Raised-Cosine: A root raised cosine pulse shaping filter is applied.
  • Raised-Cosine: A raised cosine pulse shaping filter is applied.
  • Gaussian: A Gaussian pulse shaping filter is applied.
  • From File: Load the data from an existing file.

    When Shaping Filter Type is From File, users need to input the name of shaping filter coefficients file. In this case, Filter Length and Filter Factor parameters are invisible.

Root Raised-Cosine

[:SOURce]:RADio:DM[1:8]|DM:FILTer:TYPE NONE | RECT | RRC | RC | GAU | FFILe

File Name

Valid when Filter Type = From File

[:SOURce]:RADio:DM[1:8]|DM:FILTer:FNAMe <quoted_string>

Filter Length

Valid when FilterType != None.
The length of shaping filter in symbols

10

[:SOURce]:RADio:DM[1:8]|DM:FILTer:LENGth <numeric_value>

Filter Factor

Valid when FilterTpye != None.
The roll off factor for root raised cosine and raised cosine filter.
The BT for Gaussian filter.

0.35

[:SOURce]:RADio:DM[1:8]|DM:FILTer:FACTor <numeric_value>

Waveform

Minimum Samples

The minimum number of samples that the current segment lasts

65536

[:SOURce]:RADio:DM[1:8]|DM:NSAMples <numeric_value>

Introduction of Digital Modulation Schemes

With different digital modulation schemes, the according settings are different.

Modulation Type

Additional Settings

Description

Signal Generation Method

BPSK

-

Generate the Binary Phase Shift Keying baseband signal.

BPSK Constellation

QPSK

-

Generate the Quadrature Phase Shift Keying baseband signal.

QPSK Constellation

DQPSK

Phase Offset: The phase offset that each time shifts.

Generate the Differential Quadrature Phase Shift Keying baseband signal.

Get the phase rotation p(n) according to QPSK.
S(n) = S(n-1)exp(j(p(n) + PhaseOffset)).
S(0)=1

π/4-DQPSK

-

Generate the Differential Quadrature Phase Shift Keying baseband signal with the phase offset of π/4.

The special case of DQPSK with Phase Offset of π/4.

Offset QPSK

-

Generate the Offset Quadrature Phase Shift Keying baseband signal.

Generate signal with QPSK procedure and delay the signal I(real part) by half a symbol.

Shaped OQPSK

ρ, B, T1, T2: Used to form the shape of pulse shaping filter:
g(t) = n(t)w(t), where
n(t)=Acos(πBt/Ts)/(1-4*(πBt/Ts).^2),
w(t)= 1, |t/Ts|?T1;
w(t)= 0.5(1+cos(π|t/Ts-T1|/T2)), T1?|t/Ts|?T1+T2;
w(t)= 0, |t/Ts|?T1+T2

Generate the Shaped Offset QPSK signal.

The input bits are changed to {s|s = {-1, 0, 1}} and then filtered by g(t) to suppress the sideband. For more details, see[1].

8PSK

-

Generate the 8 Phase Shift Keying baseband signal.

8PSK Constellation

D8PSK

Phase Offset: The phase offset that each time shifts.

Generate the Differential 8PSK baseband signal.

Get the phase rotation p(n) according to 8PSK.
S(n) = S(n-1)exp(j(p(n) + PhaseOffset)).
S(0)=1

EDGE

-

Generate the Enhanced Data rates for GSM Evolution baseband signal. Basically, it is one kind of 8PSK. And a GMSK pulse shaping filter is applied. By default, the BT value should be 0.3, and for other utilities it is set to be tuned.

Mapper the input bits through EDGE Mapping and get S(i), then rotate S(i) by 3π/8 that is S(i) = S(i)3iπ/8. After that, a GMSK pulse shaping filter is applied with length of 5 symbols and BT of 0.3. For more details, see [2]

π/8-D8PSK

-

Generate the Differential 8PSK signal with the phase offset of π/8.

The special case of D8PSK with Phase Offset of π/8.

MSK

-

Generate the Minimum Shift Keying signal.

Duplicate the input bits and treat it as OQPSK, then pulse shaped by a half sine filter.

CPM

M-ary: The M-ary value of CPM, must be 2^k, where k is an integer.
Multi-h: Sets the h or multi-h of CPM, and for multi-h cases, the numbers should be seperated by ';'.
FreqPulse Type: The frequency pulse type and the supported types include: 1REC, 3RC and GMSK.(An additional settings named as BT occurs for the GMSK type.)

Generate the Continuous Phase Modulation baseband signal.

Map the input bits by a Pulse Amplitude Modulation mapper, then multiplied by the h or the multi-h array's element alternatively. After that the chosen frequency pulse type filter is applied for pulse shaping to get the phase array. Then the continuous phase method is used to generate the baseband signal.

16-QAM

-

Generate the 16 Quadrature Amplitude Modulation baseband signal.

16QAM Constellation

32-QAM

-

Generate the 32 Quadrature Amplitude Modulation baseband signal.

32QAM Constellation

64-QAM

-

Generate the 64 Quadrature Amplitude Modulation baseband signal.

64QAM Constellation

128-QAM

-

Generate the 128 Quadrature Amplitude Modulation baseband signal.

128QAM Constellation

256-QAM

-

Generate the 256 Quadrature Amplitude Modulation baseband signal.

256QAM Constellation

512-QAM

-

Generate the 512 Quadrature Amplitude Modulation baseband signal.

512QAM Constellation

1024-QAM

-

Generate the 1024 Quadrature Amplitude Modulation baseband signal.

1024QAM Constellation

16-APSK

Ratio_R2_R1: The value of R2/R1.

Generate the 16 Amplitude and Phase Shift Keying baseband signal.

16APSK Constellation

32-APSK

Ratio_R2_R1: The value of R2/R1.
Ratio_R3_R1: The value of R3/R1.

Generate the 16 Amplitude and Phase Shift Keying baseband signal.

32APSK Constellation

Custom-APSK

StatesPerRing: Set the number of phase states on each ring, the numbers should be separated by ';'.
Radii: Set the relative radius of each ring, the numbers should be separated by ';'.
IniPhase: Set the angle of first states on each ring relative to the x-axis, the numbers should be separated by ';'.
DefaultState: Set to use default state or not.
States: Valid when DefaultState=False and stands for the Custom Defined the States.

Generated the custom defined Amplitude and Phase Shift Keying baseband signal.

Custom-APSK can support to generate various APSK or Star QAM modulation signal.
StatesPerRing's length defines the number of Rings.
StatesPerRing's values define the number of points of each ring.
Radii defines the relative radius of each ring.
IniPhase defines the angle of the first state on each ring relative to the x-axis.

Star16-QAM

Ratio_R2_R1: The value of R2/R1.

Generate the Star 16 QAM baseband signal.

Star16QAM Constellation

Star32-QAM

Ratio_R2_R1: The value of R2/R1.
Ratio_R3_R1: The value of R3/R1.
Ratio_R4_R1: The value of R4/R1.

Generate the Star 32 QAM baseband signal.

Star32QAM Constellation

2FSK

Frequency Deviation: The frequency deviation between the two frequency points.

Generate the 2 Frequency Shift Keying baseband signal.

2FSK Frequency Chosen

4FSK

Frequency Deviation: The frequency deviation between the adjacent two frequency points.

Generate the 4 Frequency Shift Keying baseband signal.

4FSK Frequency Chosen

8FSK

Frequency Deviation: The frequency deviation between the adjacent two frequency points.

Generate the 8 Frequency Shift Keying baseband signal.

8FSK Frequency Chosen

16FSK

Frequency Deviation: The frequency deviation between the adjacent two frequency points.

Generate the 16 Frequency Shift Keying baseband signal.

16FSK Frequency Chosen

16PSK

-

Generate the 16 Phase Shift Keying baseband signal.

16PSK Constellation

IJF-OQPSK

-

Generate the IJF-OQPSK baseband signal.IJF-OQPSK means interference and jitter free QPSK or named as Staggered Quadrature Overlapped Raised Cosine (SQORC). IJF-OQPSK modulation has 3-dB envelope fluctuation characteristic of its magnitude.

Treat it as OQPSK and through the pulse shaping filter of a raised cosine filter which lasts two symbol length and roll off factor equals to 0.5. For more details, see [3].

FQPSK

-

Generate FQPSK baseband signal. FQPSK use a Symbol-by-Symbol Cross-Correlator mapping scheme realized by choose one of the 8 predefined signal.

Change the input bits into dI and dQ by a NRZ transformer then choose the output waveform by FQPSK Mapping Table.
The waveform set are defined as:
S0(t)=A,-Ts/2<=t<=Ts/2.
S1(t)=A, -Ts/2<=t<=0 or 1-(1-A)(cos(πt/Ts))^2, 0<=t<=Ts/2.
S2(t)=1-(1-A)(cos(πt/Ts))^2, -Ts/2<=t<=0 or A, 0<=t<=Ts/2.
S3(t)=1-(1-A)(cos(πt/Ts))^2, -Ts/2<=t<=Ts/2.
S4(t)=Asin(πt/Ts), -Ts/2<=t<=Ts/2.
S5(t)=Asin(πt/Ts), -Ts/2<=t<=0 or sin(πt/Ts), 0<=t<=Ts/2.
S6(t)=sin(πt/Ts), -Ts/2<=t<=0 or Asin(πt/Ts), 0<=t<=Ts/2.
S7(t)=sin(πt/Ts),-Ts/2<=t<=Ts/2.
For more details, see[3].

EFQPSK

-

Generate the EFQPSK baseband signal. EFQPSK is called Enhanced FQPSK. As FQPSK has a slope discontinuity at the midpoint of S5(t), S6(t), the random I and Q data symbols will likewise have a slope discontinuity at one quarter of the uniform sampling time instants. To prevent this from occurring, EFQPSK redefine the above waveforms.

The same as FQPSK except the follows waveform set:
S5(t)=sin(πt/Ts)+(1-A)(sin(πt/Ts))^2, -Ts/2<=t<=0 or sin(πt/Ts), 0<=t<=Ts/2.
S6(t)=sin(πt/Ts), -Ts/2<=t<=0 or sin(πt/Ts)+(1-A)(sin(πt/Ts))^2, 0<=t<=Ts/2.
For more details, see [3].

References

  1. Telemetry Standard RCC Document 106-09, Chapter 2, April 2009.
  2. 3GPP TS 45.004 v8.0.0(2008-12).
  3. Marvin K. Simon, Bandwidth-Efficient Digital Modulation with Application to Deep-Space Communications--- Chapter 3: Quasi-Constant Envelop Modulations.

BPSK Constellation

QPSK Constellation

8PSK Constellation

EDGE Mapping

16PSK Constellation

16QAM Constellation

32QAM Constellation

64QAM Constellation

128QAM Constellation

256QAM Constellation

512QAM Constellation

1024QAM Constellation

16APSK Constellation

32APSK Constellation

Star16QAM Constellation

Star32QAM Constellation

2FSK Frequency Points

4FSK Frequency Points

8FSK Frequency Points

16FSK Frequency Points

FQPSK Mapping Table for I-channel baseband signal.

(dI,n - dI,n-1)/2 | (dI,n - dI,n-1)/2 | (dI,n - dI,n-1)/2 | SI(t)
0 | 0 | 0 | dI,n S0(t-nTs)
0 | 0 | 1 | dI,n S1(t-nTs)
0 | 1 | 0 | dI,n S2(t-nTs)
0 | 1 | 1 | dI,n S3(t-nTs)
1 | 0 | 0 | dI,n S4(t-nTs)
1 | 0 | 1 | dI,n S5(t-nTs)
1 | 1 | 0 | dI,n S6(t-nTs)
1 | 1 | 1 | dI,n S7(t-nTs)

FQPSK Mapping Table for Q-channel baseband signal.

(dQ,n - dQ,n-1)/2 | (dI,n - dI,n-1)/2 | (dI,n+1 - dI,n)/2 | SQ(t)
0 | 0 | 0 | dQ,n S0(t-nTs)
0 | 0 | 1 | dQ,n S1(t-nTs)
0 | 1 | 0 | dQ,n S2(t-nTs)
0 | 1 | 1 | dQ,n S3(t-nTs)
1 | 0 | 0 | dQ,n S4(t-nTs)
1 | 0 | 1 | dQ,n S5(t-nTs)
1 | 1 | 0 | dQ,n S6(t-nTs)
1 | 1 | 1 | dQ,n S7(t-nTs)


File Import Plug-in

File Import

The file import segment library enables you to create waveform segments containing arbitrary waveform data imported from other sources. This might be segments generated by other applications, such as MATLAB or LabVIEW, or waveform data that has been captured from a live signal, or even segments generated previously by waveform creator.

Segment Settings (From CSV or LabVIEW CSV or HDF or BIN or M8190A DUC IQBIN)

Field

Description

Default Value

Related SCPI Command

Sample Rate Settings

Manual Sample Rate

Sets whether manual sample rate will be used for the imported waveform.

False

[:SOURce]:RADio:FILE[1:8]|FILE:MSRAte <Boolean>

Sample Rate From File

Sets the sample rate for the segment.

100.00 MHz

[:SOURce]:RADio:FILE[1:8]|FILE:SRATe <numeric_value>

Segment Settings

File Type

Select the file type as CSV, LabVIEW CSV, HDF, BIN, or M8190A DUC IQBINFile type.

  • CSVFile: Import waveform data from a CSV file.
  • LCSVFile: Import waveform data from a LabVIEW CSV file.
  • HDFFile: Import waveform data from an HDF5 file (for example, a MATLAB 7.3 file)
  • BINFile: Import waveform data from a specified N5110A BIN file (scaled interleaved 16-bit integer data with an optional header file).
  • IQBINFile: Import waveform data from a specified M8190A DUC IQBIN File.

CSVFile

[:SOURce]:RADio:FILE[1:8]|FILE:TYPE CSVFile | LCSVFile | HDFFile | BINFile |IQBINFile

BIN File Style

Specifies the type of BIN file. If "IQ Interleaved" is specified, the BIN file contains interleaved I,Q pairs. If 'IQ Separated' is specified, two separated files must be specified, one for I data and the other for Q data.

IQ Interleaved

[:SOURce]:RADio:FILE[1:8]|FILE:BINStyle INTerleaved | SEParated

I Waveform File Name

Sets the name of the waveform file that contains I data

-

[:SOURce]:RADio:FILE[1:8]|FILE:INAMe <quoted_string>

Q Waveform File Name

Sets the name of the waveform file that contains Q data

-

[:SOURce]:RADio:FILE[1:8]|FILE:QNAMe <quoted_string>

Waveform Filename

Set the name of the corresponding file.

[:SOURce]:RADio:FILE[1:8]|FILE:NAME <quoted_string>

Frequency Multiplier

Set a multiplier that is used to scale the frequency specified in the file.

1.00

[:SOURce]:RADio:FILE[1:8]|FILE:FMULtiplier <numeric_value>

Amplitude Multiplier

Set a multiplier that is used to scale the amplitude of the data in the file.

1.00

[:SOURce]:RADio:FILE[1:8]|FILE:AMULtiplier <numeric_value>

Note

Please note that a File Import segment will only read the original file when it’s settings are changed i.e. when you set the file name, or change the Amplitude or Frequency Multiplier. If the data in the file is changed after it is read, it will not be automatically re-loaded, if you have change the data in the file either re-choose the file name, or change one of the other settings.

Creating Waveforms for Utility Segments

The process of creating waveform files for use in a Utility Segment is illustrated by the following simple examples.

MATLAB HDF5 File

You are assumed to have MATLAB (7.3 or above) installed and running.

Write a script to generate the desired complex waveform and save it to a file.

The following script generates a file containing 100,000 random complex numbers.

Y = rand(1,100000) + 1i*rand(1,100000);
XDelta = 1/3.52e9;
save('ydata.mat', 'Y', 'XDelta', '-v7.3');

The variable Y contains the complex waveform data and the variable XDelta contains the sample period. The variables must be given these names and they are case- sensitive.

Run the script and note where the file is saved.

In the Waveform Creator software, drag a Utility segment to the Waveform Layout Window. A small blank segment will appear. (The default Utility Segment is Silence)

Change the segment's File Type setting to HDF File.

Set the segment's Waveform File Name setting to specify your saved waveform file.

The waveform file is loaded and the waveform displayed in the segment preview (and hence in the Final Waveform window).

Note

The maximum waveform length that can be loaded using this method is dependent on the free memory available.

If you select a file that is not an HDF5 file, or you select an HDF file that does not have an XDelta value, or you select an HDF file that does not have waveform data saved a Y, the Waveform Creator software will report an error.

CSV File

To make raw CSV waveform data understandable to Waveform Creator, you must preface it with a declaration of the XDelta value, then the letter Y, indicating that the waveform data follows on subsequent lines.

Here are the first few lines of an example file.

XDelta, 2.840909091E-10
Y,
0.424309916,0.160213492
0.074028167,-0.032745291
-0.276156476,-0.572602034
0.146932835,-0.047312666
0.3981...

You must have a comma between XDelta and its value, and between the real and imaginary parts of the waveform samples. The comma following the Y is optional (but if you generate your CSV file using Microsoft Excel you will get a comma here).

LabVIEW CSV File

Write a VI to generate the desired waveform and save it as a CSV file.

In the Waveform Creator software, drag a Utility segment to the Waveform Layout Window. A small blank segment will appear. (The default Utility Segment is Silence)

Change the segment's File Type setting to LabVIEW CSV File.

Set the segment's Waveform File Name setting to specify your saved waveform file.

The waveform file is loaded and the waveform displayed in the segment preview (and hence in the Final Waveform window).

Note

The maximum waveform length that can be loaded using this method is dependent on the free memory available.

BIN File

The binary file is composed of IQ data. Each data is a composite number, which contains the real part and the imaginary part.

There could also be a text file to declare the XDelta value, and the text file should have the same file name as the binary file.

You must have a comma between XDelta and its value for the optional text file.


SystemVue Model Plug-in

This section describes how to generate SystemVue model plug-ins using the SystemVue Plug-in Generator tool.

  • Before You Begin SystemVue Plug-in Generation
  • Generating a SystemVue Plug-in


Before You Begin SystemVue Plug-in Generation

Before generating a SystemVue plug-in in Waveform Creator, ensure that the SystemVue product and SystemVue workspaces meet the following requirements.

SystemVue Product and Workspace Requirements

SystemVue Product Requirements

  • SystemVue and Waveform Creator are installed on the same machine.
  • SystemVue version: 2013.08 (32-bit or 64-bit) or above.
  • Licenses for used SystemVue libraries are available.
  • If multiple versions of SystemVue are installed, make sure the newest version of SystemVue is the last to be registered.
    Note

    There are two methods to make sure the newest version of SystemVue is the last to be registered:

    1. Install the newest version of SystemVue after all other versions.
    2. Start Windows Command Prompt in administrator mode, and unregister the old SystemVue product, for example "C:\Program Files\SystemVue2012.06\bin\SystemVue.exe" /unregserver, and then register the newest SystemVue product, for example "C:\Program Files\SystemVue2013.08\bin\SystemVue.exe" /regserver. For more details, please refer to Register the SystemVue COM Interface on the page http://edocs.soco.agilent.com/display/sv201308/Calling+Scripts+From+External+Programs.

SystemVue Workspace Requirements

  • At least one Schematic Design and one Data Flow Analysis are created in the workspace tree.
  • The Enumeration design parameters are defined correctly. If the Default Value of an Enumeration parameter is not displayed in ListBox format, then this Enumeration parameter is not defined correctly.
  • The names for all the Schematic Designs and all the Data Flow Analyses are unique in the workspace tree.
  • In the schematic, at least one Sink@Data Flow Models model exists from which the data are extracted to Waveform Creator.
  • Data Flow Analysis and its Dataset are in the same folder. By default, Analysis and Dataset are created in the same hierarchy.
  • The data to be extracted from chosen dataset should be timed-based to get timing information for the data.
  • The parameters to be controlled and shown in Waveform Creator are defined in the Parameters tab of the Schematic Design, except array-type parameters, for example, Floating point array. Array-type parameters will not be supported in this release. Selected parameters should have default values.
    Note

    It is recommended to enable Data Persistence option via Data Flow Analysis Property > Options > Advanced Settings.

    If this option is enabled, the variables of the data will be saved in the workspace file after running the analysis.


Generating a SystemVue Plug-in

This section describes how to generate a SystemVue plug-in using Waveform Creator. Ensure all pre-requisites are met as described in Before You Begin SystemVue Plug-in Generation.

To generate a SystemVue plug-in using Waveform Creator, follow these steps.

Note

An example workspace PDRadar_Tx_Waveform.wsv in SystemVue has been used in this section. This workspace file can be found in the folder: $<SystemVue Installer>\Examples\Radar\PDRADAR_Tx.

Steps

  1. Launch the tool from: Start > Programs > Agilent > Agilent M9099 Waveform Creator > Tools > SystemVue Plug-in Generator.
  2. Enter the plug-in name and select SystemVue workspace in the SystemVue Plug-in Generator dialog.

    Plug-in Name

    Specify the name of the SystemVue plug-in (for example, RADAR). This name must be unique, composed of letters, digits and underscores only, and begin with a letter. If you want to overwrite an existing Waveform Creator plug-in, you should first remove it from $WaveformCreatorInstaller/PlugIns before keeping the same plug-in name.

    Show SystemVue

    If this option is selected, SystemVue will be displayed when SystemVue plug-in is generated.

    Note

    If SystemVue is displayed, please do not close it manually. SystemVue PlugIn Generator will close SystemVue when it exits.

    SystemVue Workspace

    Specify the full path of a SystemVue workspace (wsv) file. To select a workspace, click Browse.

  3. Select SystemVue analysis name and SystemVue dataset variable name, which will be output to Waveform Creator.

    SystemVue Analysis Name

    Select an analysis from the drop-down (for example, DataFlow1). This analysis will be present in the selected SystemVue workspace.

    SystemVue DataSet Variable Name

    Select a SystemVue dataset variable (for example, IF_Signal) that corresponds to the selected analysis. You can also enter the variable name. Waveform Creator generates a waveform based on this variable name. If you select another analysis from the drop-down, its corresponding SystemVue DataSet Variable Name will also change accordingly.

    Note

    If the Data Persistence property is enabled by the selected SystemVue analysis, the SystemVue DataSet Variable Name drop-down is populated with corresponding dataset variables and you can select a variable from the list. Otherwise, the drop-down contains no entries (empty) and you are required to enter the variable name. Also, Waveform Creator is unable to generate the waveform correctly if you input the wrong variable name.

  4. Press >> to select the SystemVue design parameters and imported to be controlled in Waveform Creator.

    Items in left box

    Shows the possible SystemVue design parameters to be controlled in Waveform Creator.

    Items in right box

    Shows the selected SystemVue design parameters in Waveform Creator.

    Arrows (Right, right-all, left, left-all)

    Selects/deselects the SystemVue design parameters to be used in Waveform Creator.

    To select consecutive design parameters, click the first parameter, press and hold down the Shift key, and then click the last parameter of your selection.

    To select non-consecutive design parameters, press and hold down the Ctrl key, and then click each parameter that you want to select.
  5. Click Finish. The following summary page will appear.

    This GUI describes the actions that are about to be taken.
  6. Click OK to generate the plug-in dll or Cancel to return to the wizard.
    SystemVue Plug-in Generator will create a plug-in in the folder $WaveformCreatorInstaller/PlugIns. Once the plug-in is generated successfully, the following dialog appears.
  7. Click OK. The wizard returns to the first step to create a new plug-in; click Cancel to close the wizard.
    Plug-in named Radar has been generated and copied to the Plug-in directory. The next time Waveform Creator is launched, the SystemVue Plug-in interface will load a waveform Tab called Radar.
    You may be required to restart Waveform Creator to load the generated plug-in, since the plug-ins are loaded into Waveform Creator during start-up.
    Note

    In case SystemVue plug-in is used in M9099, SystemVue.exe runs silently in Task Manager.

    In case SystemVue node-locked license is used, you are required to close SystemVue Plug-in Generator before starting Waveform Creator.


89600B VSA Input Plug-in

The 89600 VSA Input plugin allows a user with a licensed version of the 89600 VSA software to use a VSA Recording as a waveform segment.

In order to use this capability, the Waveform Creator user must have:

  • An instance of the 89600 VSA software running
  • Previously setup an 89600 VSA hardware configuration for one of the analyzers supported by the 89600 VSA software

In the example below, the configured analyzer is an M9202A IF Digitizer. The analyzer is setup to record a signal to segment 1 using the parameters shown.

To initiate a recording, the user sets the Start Recording parameter to True, then Waveform Creator applies the settings via an interface to 89600 VSA to make the recording and then load the data into the selected segment. If you have the write to file option, DFW, then the recorded segments can be permanently saved as CSV or Bin N5110A format which can later be reloaded using the file import plugin.

Note

The 89600 VSA Input plug-in is convenient to use with M9099 Waveform Creator but is not necessary for loading files form recording. Recordings made directly with 89600 VSA can be loaded directly into Waveform Creator using the aforementioned file import plugin.

Segment Settings

Field | Description | Default Value | Related SCPI Command
Amplitude |  |  |
Range | Sets the range of recording. | 0dBm | [:SOURce]:RADio:VINPut[1:8]|VINPut:RANGe <numeric_value>
Configuration |  |  |
Analyzer Configuration | Sets the name of the analyzer configuration. | Analyzer1 | [:SOURce]:RADio:VINPut[1:8]|VINPut:ACONfig <quoted_string>
Frequency |  |  |
Span | Sets the span of the recording. | 1.00 MHz | [:SOURce]:RADio:VINPut[1:8]|VINPut:BANDwidth <numeric_value>
Center Frequency | Sets the center frequency of the recording. | 1.00 GHz | [:SOURce]:RADio:VINPut[1:8]|VINPut:CFREquency <numeric_value>
ResBW | Sets the resolution bandwidth. | 300 MHz | [:SOURce]:RADio:VINPut[1:8]|VINPut:RBW <numeric_value>
Length |  |  |
Record Length | Sets the record length. | 1.00 ms | [:SOURce]:RADio:VINPut[1:8]|VINPut:RLENgth <numeric_value>
Start |  |  |
Start Recording | Starts the recording. | False | [:SOURce]:RADio:VINPut[1:8]|VINPut:SRECording <Boolean>


Generating Settings (.setx) File for 89600 VSA Demod

You can use 89600 VSA to provide demodulation analysis of the signals generated using Waveform Creator. To simplify the setup in 89600 VSA, Waveform Creator enables you to generate settings (.setx) files when you generate waveforms from Digital Mod and DOCSIS 3.1 segments. You can replay these setup files in 89600 VSA when you analyze the associated waveforms in 89600 VSA. Perform the following steps:

  1. Select the output device.
  2. Add the Digital Mod or DOCSIS 3.1 segments to the Waveform Layout window.
  3. Customize the settings for the Digital Mod or DOCSIS 3.1 segments.
  4. In the Final Waveform Settings, set Generate 89600 Setting File to True and set the 89600 Template Version to the version of 89600 VSA that you want to use to analyze the waveform. Customize the other properties as per your requirements.
  5. Click the Generate and Output button in the tool bar to save the output.
    • If you select File as the output device, Waveform Creator saves the settings (.setx) file with the same name and in the same folder as the output file.
    • If you select File as the output device and have the Load File in 89600 setting set to True, Waveform Creator automatically loads the recording file and the settings file in 89600 VSA.
    • If you select a device as the output, the settings (.setx) file is saved to the location specified by the 89600 Setup File Path setting in the Final Waveform Settings panel. If this setting has no value, the .setx file is saved to the application document folder.
Note

It is advisable to generate .setx file only when there is a single digital modulation or DOCSIS 3.1 segment in the Waveform Layout area. Or, when there are duplicated digital modulation or DOCSIS 3.1 segments on the same track in the Waveform Layout area. This restriction is imposed by the fact that there is only one set of Digital Demod settings in 89600 VSA.


Output Plug-ins

This section provides information on various Output Plugins supported by Waveform Creator, supported parameters and how to control these parameters using SCPI.

  • (Optional) 81180 Output Plug-in
  • (Optional) M8190A Output Plug-in
  • (Optional) M933xA Output Plug-in
  • (Optional) M9381A Output Plug-in
  • Data File Write Plug-in


Data File Write Plug-in

The Waveform Creator supports output to a File in CSV, MATLAB, Binary, or M8190A DUC IQBIN file format.

Data File Settings in Waveform Creator

Field

Description

Default Value

Related SCPI Command

Save File Settings

When the current output device is set to File, the Current Output Device Settings reduces to a set of Save File settings.

File Type

The following file types are supported:

  • Comma Separated Value (CSV file): These are plain text files suitable for general importing to other applications, particularly spreadsheets such as Microsoft Excel. If the optional 89600 header is present, it can also be read back into the 89601A VSA software as a "recording".
  • N5110A Waveforms (BIN file): These are binary files that store waveform data as scaled 16-bit integers without any embedded information about, for example, center frequency or sampling rate. However, an optional header file containing this information will be written if the Include 89600 Header setting is set True.
  • MATLAB (MAT file): These are MATLAB Level 5 files containing a 1 x N matrix called Y1 that contains the complex valued waveform data, and a 1 x 1 matrix called XDelta that contains the sample period in units of seconds.
    The waveform data in the file is not encrypted. The option to output to a file is only available with M9099 option DFW.
  • M8190A DUC IQBIN File: These are binary files that store waveform data as scaled 16 bit integers suitable for M8190A DUC mode.

CSV File

:OUTPut:FILE:FTYPe CSVFile | BINFile | MATFile | IQBINFile

Waveform File Name

Specify the name of the file that the waveform will be saved to. The file is selected using the Save Waveform File dialog that is activated by selecting the setting field and then clicking the button with the ellipsis that appears on the right of the setting field.

-

:OUTPut:FILE:NAME <quoted_string>

Save Mixed Waveform

By setting this option to True (default), you will be able to save mixed waveform to the specified file.

True

:OUTPut:FILE:SEGMents:MIXed <Boolean>

Save All Individual Waveforms

By setting this option to True, you will be able to save all individual waveforms to the specified file.

False

:OUTPut:FILE:SEGMents:ALL <Boolean>

Include 89600 Header

When this is set to True and you generate a CSV or BIN file, the header information for the 89600 VSA will be saved.
When saving BIN header files, the header is saved in a separate file with a .txt extension. This allows CSV and BIN files to be immediately read back into the M9381A software as a "recording", which can be very useful for tutorial or demonstration purposes.

True

:OUTPut:FILE:HEADer <Boolean>

CSV File Style

This determines how the data is organized in the CSV file. The options are:

  • One Channel: The data is written with one Y channel that has a single column of complex values.
  • Two Channel: The data is written with two Y channels, Y1 contains the real data, while Y2 contains the imaginary data.
  • TIQ: The data is written in three columns, first being Time, second as I and third as Q.
  • Interleave: The data is written in a single column of interleaved real then imaginary part values. This format is intended to facilitate waveform input to Agilent EESof ADS and SystemVue tools. The waveform data can be read and converted to complex data using the block sequence: ReadFile > Distributor2 > RectToCx.

One Channel

:OUTPut:FILE:CSTYle ONECHAN | TWOCHAN | TIQ | INTerleaved

Normalize Data

When this is set to true, the complex data in CSV and MAT files is scaled so that both the real and imaginary parts lie strictly in the range ±1. The data in BIN files is always normalized to be in the range ±32767 but the scaling factor in the header file is set to scale the data to ±1. If noise has been added to the waveform, the data will be scaled to preserve the specified C/N ratio, but this will inevitably mean that the signal power is reduced accordingly.

True

:OUTPut:FILE:NORMalize <Boolean>

BIN File Style

Sets how BIN file data will be saved. If "IQ Interleaved" is specified, the data is written as interleaved I,Q pairs. If 'IQ Separated' is specified, the data is written into two separated files, one for I data and the other for Q data.

IQ Interleaved

:OUTPut:FILE:BSTYle INTerleaved | SEParated

Load File in 89600

When true, the saved waveform file will be loaded into an instance of 89600 VSA that you have already started and configured. Note that 89600B will 'lock' BIN files when it loads them, so using this option with BIN files is not recommended because once the file is loaded in 89600, you will not be able overwrite it.

False

:OUTPut:FILE:LVSA <Boolean>

Repeat Count

Repeat Count

1

:OUTPut:FILE:RNUMber <numeric_value>


81180 Output Plug-in

81180 AWG

Waveform Creator supports output to Agilent 81180 series Arbitrary Waveform Generators (AWG). You can output waveforms to any of the following 81180 devices:

  • 81180A: 10 MSa/s - 4.2 GSa/s
  • 81180B: 10 MSa/s - 4.6 GSa/s

Waveform Creator controls the 81180 series instruments by means of SCPI commands sent over LAN, therefore the computer hosting the Waveform Creator software and the 81180 series instruments must both be connected to the same LAN.

81180 series AWG, as an output device, provides support for the following:

  • Waveform download
  • Sequencing waveform segments
  • Pre-Correction

For a full description of the configuration and functionality of the 81180B Arbitrary Waveform Generator please refer to the 81180B User's Guide (P/N 81180-91020).


81180A

This section describes the 81180A AWG Settings in Waveform Creator.

Field

Description

Default Value

Related SCPI Command

Agilent 81180A

Instrument Address

Sets the host name or IP address of the instrument.

-

:OUTPut:A81180A:ADDRess <quoted_string>

Socket Port Number

Sets the port number on the output device to which SCPI commands are sent.

5025

:OUTPut:A81180A:SPORt <numeric_value>

Time Out

Sets the receive timeout for the connection. If the AWG does not respond in the specified time, a download may fail.

2.000 s

:OUTPut:A81180A:TOUT <numeric_value>

Offset

Sets the coarse time offset between the two AWG channels. The offset is expressed in sample points (which translate to time, subject to the prevailing sample period).

0 Pts

:OUTPut:A81180A:OFFSet <numeric_value>

Skew

Set the fine time skew between the two AWG channels. The skew is expressed in seconds.

0 s

:OUTPut:A81180A:SKEW <numeric_value>

Auto Scaling

If true, the waveform will be scaled up or down so it occupies the complete arb output range, if false, the waveform will be scaled using the specified Max Value. Turning Auto Scaling off allows you to fix the relationship between AWG voltages and waveform values, but incorrect Max Value setting may result in clipping or wrapping.

True

:OUTPut:A81180A:SCALe:AUTO <Boolean>

Max Value

When Auto Scaling is set to True, this setting reports the found maximum value prior to auto scaling. When Auto Scaling is set to False, this setting determines the maximum value that will be used to scale all waveforms.

This ensures that all waveforms will have the same average power level for a given AWG output gain setting, but you must ensure that the set maximum value is not exceeded by any waveform (otherwise distortion due to clipping or wrapping will occur).

2.0000

:OUTPut:A81180A:SCALe:MAXimum <numeric_value>

AWG Granularity Options

Some of Agilent's wideband AWGs have memory granularity. That is, the waveform length has to be an integer multiple of a minimum sample chunk size. The chunk size for 81180A is 32 samples.

If the waveform generation process has resulted in a sample count that is not a whole number of memory chunks long, then this setting determines how the AWG granularity requirement is met. The options are:

  • Repeat: Multiple repetitions of the waveform are downloaded to the AWG memory until it occupies a whole number of memory chunks. This can increase download times and AWG memory usage considerably but will ensure the best possible signal quality.
  • Truncate: A few samples are removed from the waveform. This is not appropriate for signals that are computed to be phase continuous when played repetitively.
  • Append Silence : This is the least intrusive for a burst mode signal. A few extra zero samples are added to the waveform. This has the effect of slightly increasing the inter-packet gap so it is not appropriate if you want a precise time between bursts. It is also not appropriate for signals that are computed to be phase continuous when played repetitively.

    Both Append and Truncate can add imperfections to the signal that is played out, but they ensure the quickest download times and lowest arb memory usage.

Repeat

:OUTPut:A81180A:GOPTions REPeat | TRUNcate | APPend

Download Mixed Waveform

If true, the mixed waveform is downloaded.

True

:OUTPut:A81180A:SEGMents:MIXed <Boolean>

Download All Individual Waveforms

If true, each segment is downloaded individually.

False

:OUTPut:A81180A:SEGMents:ALL <Boolean>

Play On Download

If this is set to True then the AWG will be instructed to play the waveform once it is downloaded. If false, the waveform is simply stored in the AWG waveform list.

True

:OUTPut:A81180A:PLAY <Boolean>

Channel 1/Channel 2 Settings

Download to Ch1/Ch2

If this is set to True, waveform data will be downloaded to this channel.

True

:OUTPut:A81180A:CHANnel[1:2]:STATe <Boolean>

Ch1/Ch2 Download Data

Sets whether I Data (real part) or Q Data (imaginary part) is downloaded to this channel.

I Data for Ch1 and Q Data for Ch2

Ch1/Ch2 Output Coupling

Set the output coupling for the AWG. The choices are:

  • DAC - the AWG DAC outputs are brought directly to the front panel with no amplification or filtering.
  • DC – the AWG DAC outputs are passed through a DC-coupled amplifier.
  • AC – the AWG DAC outputs are passed through an AC coupled amplifier.

DC

:OUTPut:A81180A:CHANnel[1:2]:COUPling AC | DC | DAC

Ch1/Ch2 DAC Amplitude

When the Output Coupling is set to DAC, this sets the AWG channel maximum amplitude.

500.00 mV

:OUTPut:A81180A:CHANnel[1:2]:DACamplitude <numeric_value>

Ch1/Ch2 DAC Offset

When the Output Coupling is set to DAC, this sets the AWG channel DC offset.

0 V

:OUTPut:A81180A:CHANnel[1:2]:DACOffset <numeric_value>

Ch1/Ch2 AC Power

When the Output Coupling is set to AC, this sets the AC power for the channel.

0 dBm

:OUTPut:A81180A:CHANnel[1:2]:ACPower <numeric_value>

Ch1/Ch2 DC Amplitude

When the Output Coupling is set to DC, this sets the AWG channel maximum amplitude.

500.00 mV

:OUTPut:A81180A:CHANnel[1:2]:DCAMplitude <numeric_value>

Ch1/Ch2 DC Offset

When the Output Coupling is set to DC, this sets the AWG channel DC offset.

0 V

:OUTPut:A81180A:CHANnel[1:2]:DCOFFSet <numeric_value>


81180B

This section describes the 81180B AWG Settings in Waveform Creator.

Field

Description

Default Value

Related SCPI Command

Agilent 81180B

Instrument Address

Sets the host name or IP address of the instrument.

-

:OUTPut:A81180B:ADDRess <quoted_string>

Socket Port Number

Sets the port number on the output device to which SCPI commands are sent.

5025

:OUTPut:A81180B:SPORt <numeric_value>

Time Out

Sets the receive timeout for the connection. If the AWG does not respond in the specified time, a download may fail.

2.000 s

:OUTPut:A81180B:TOUT <numeric_value>

Offset

Sets the coarse time offset between the two AWG channels. The offset is expressed in sample points (which translate to time, subject to the prevailing sample period).

0 Pts

:OUTPut:A81180B:OFFSet <numeric_value>

Skew

Set the fine time skew between the two AWG channels. The skew is expressed in seconds.

0 s

:OUTPut:A81180B:SKEW <numeric_value>

Auto Scaling

If true, the waveform will be scaled up or down so it occupies the complete arb output range, if false, the waveform will be scaled using the specified Max Value. Turning Auto Scaling off allows you to fix the relationship between AWG voltages and waveform values, but incorrect Max Value setting may result in clipping or wrapping.

True

:OUTPut:A81180B:SCALe:AUTO <Boolean>

Max Value

When Auto Scaling is set to True, this setting reports the found maximum value prior to auto scaling. When Auto Scaling is set to False, this setting determines the maximum value that will be used to scale all waveforms.

This ensures that all waveforms will have the same average power level for a given AWG output gain setting, but you must ensure that the set maximum value is not exceeded by any waveform (otherwise distortion due to clipping or wrapping will occur).

2.0000

:OUTPut:A81180B:SCALe:MAXimum <numeric_value>

AWG Granularity Options

Some of Agilent's wideband AWGs have memory granularity. That is, the waveform length has to be an integer multiple of a minimum sample chunk size. The chunk size for 81180B is 32 samples.

If the waveform generation process has resulted in a sample count that is not a whole number of memory chunks long, then this setting determines how the AWG granularity requirement is met. The options are:

  • Repeat: Multiple repetitions of the waveform are downloaded to the AWG memory until it occupies a whole number of memory chunks. This can increase download times and AWG memory usage considerably but will ensure the best possible signal quality.
  • Truncate: A few samples are removed from the waveform. This is not appropriate for signals that are computed to be phase continuous when played repetitively.
  • Append Silence : This is the least intrusive for a burst mode signal. A few extra zero samples are added to the waveform. This has the effect of slightly increasing the inter-packet gap so it is not appropriate if you want a precise time between bursts. It is also not appropriate for signals that are computed to be phase continuous when played repetitively.

    Both Append and Truncate can add imperfections to the signal that is played out, but they ensure the quickest download times and lowest arb memory usage.

Repeat

:OUTPut:A81180B:GOPTions REPeat | TRUNcate | APPend

Download Mixed Waveform

If true, the mixed waveform is downloaded.

True

:OUTPut:A81180B:SEGMents:MIXed <Boolean>

Download All Individual Waveforms

If true, each segment is downloaded individually.

False

:OUTPut:A81180B:SEGMents:ALL <Boolean>

Play On Download

If this is set to True then the AWG will be instructed to play the waveform once it is downloaded. If false, the waveform is simply stored in the AWG waveform list.

True

:OUTPut:A81180B:PLAY <Boolean>

Channel 1/Channel 2 Settings

Download to Ch1/Ch2

If this is set to True, waveform data will be downloaded to this channel.

True

:OUTPut:A81180B:CHANnel[1:2]:STATe <Boolean>

Ch1/Ch2 Download Data

Sets whether I Data (real part) or Q Data (imaginary part) is downloaded to this channel.

I Data for Ch1 and Q Data for Ch2

Ch1/Ch2 Output Coupling

Set the output coupling for the AWG. The choices are:

  • DAC - the AWG DAC outputs are brought directly to the front panel with no amplification or filtering.
  • DC – the AWG DAC outputs are passed through a DC-coupled amplifier.
  • AC – the AWG DAC outputs are passed through an AC coupled amplifier.

DC

:OUTPut:A81180B:CHANnel[1:2]:COUPling AC | DC | DAC

Ch1/Ch2 DAC Amplitude

When the Output Coupling is set to DAC, this sets the AWG channel maximum amplitude.

500.00 mV

:OUTPut:A81180B:CHANnel[1:2]:DACamplitude <numeric_value>

Ch1/Ch2 DAC Offset

When the Output Coupling is set to DAC, this sets the AWG channel DC offset.

0 V

:OUTPut:A81180B:CHANnel[1:2]:DACOffset <numeric_value>

Ch1/Ch2 AC Power

When the Output Coupling is set to AC, this sets the AC power for the channel.

0 dBm

:OUTPut:A81180B:CHANnel[1:2]:ACPower <numeric_value>

Ch1/Ch2 DC Amplitude

When the Output Coupling is set to DC, this sets the AWG channel maximum amplitude.

500.00 mV

:OUTPut:A81180B:CHANnel[1:2]:DCAMplitude <numeric_value>

Ch1/Ch2 DC Offset

When the Output Coupling is set to DC, this sets the AWG channel DC offset.

0 V

:OUTPut:A81180B:CHANnel[1:2]:DCOFFSet <numeric_value>


M8190A Output Plug-in

M8190A AWG

The M8190A is a modern high performance dual channel AWG with a sample rate up to 12GSa/s. In the M9099 Waveform Creator M8190A Output Plugin a number of AWG modes are supported.

  • Speed Mode (12 bit, 12 GHz)
  • Precision Mode (14 bit, 8 GHz)
  • DUC Mode (x3 Interpolation)
  • DUC Mode (x12 Interpolation)
  • DUC Mode (x24 Interpolation)
  • DUC Mode (x48 Interpolation)

Speed Mode supports the highest sample rate of 12GHz but the Digital to Analog Converter or DAC has reduced vertical resolution of 12 bits and therefore reduced dynamic range and larger error resolution.

Precision Mode provides a full 14 bits of vertical resolution but at a reduced maximum sample rate of 8GHz.

As a simple rule of thumb, each bit of vertical resolution provides about 6dB of dynamic range.

Therefore, 12bit would provide 12 x 6dB = 72dB of dynamic range and the 14bit would provide 14 x 6dB = 84dB of dynamic range. Obviously, this is the ideal theoretical situation which never occurs with real hardware. Due to a number of factors, specifically internally generated noise and spurs due to the sampling process, this dynamic range is reduced in real systems. A figure of merit known as Effective Number of Bits, ENOB is calculated from other fundamental performance measurements and is usually provided to indicate real world performance. In practice, the ENOB on a good AWG is usually around 60% - 80% of the number of actual DAC bits available.

Digital Up-Conversion or DUC mode allows for samples to be added to a waveform while it is being played back using direct digital synthesis implemented in hardware. The process is called interpolation. A number of benefits are realized by employing interpolation but two important affects are that spectral replicas due to the sampling process are separated in frequency by the same factor as the interpolation [x3, x12, x24, x48] making it much easier to filter out unwanted signals or reduce the potential for interference or aliasing at the measurement receiver.

The second key benefit is that the AWG waveform occupying ARB memory in interpolation mode can be smaller in length by this same interpolation factor [x3, x12, x24, x48]. This is very important when we need to sequence multiple waveforms since each waveform takes up a portion of the finite ARB memory.

DUC mode provides better IF signal quality than I/Q mode since the images and LO are out of band.

Further, Agilent M8190 AWG as an output device provides support for the following:

  • Single and dual channel download
  • Baseband and digital IF modes
  • Hardware sequencer to enable generation of longer sequences
  • Calibration and flatness corrections
  • Markers
  • Streaming

For a full description of the configuration and functionality of the M8190A Arbitrary Waveform Generator, please refer to the M8190A User's Guide (P/N M8190-91030).

Note:

When viewing the waveforms in 89600 VSA, the center frequency in 89600 VSA assumes the value of Track Offset Frequency for Speed and Precision Modes, and Channel DUC Carrier Frequency for DUC Interpolation Modes. For more information, refer to the settings for these modes.

M8190A Sequencing

Without sequencing, only a single waveform segment can be played back. This segment can be up to 2GSa long.

Single Segment Playback

With sequencing a list of waveform segments can be played back. Each segment can be looped back by an arbitrary integer number of times and the sequence itself can contain up to 512K steps.

Sequence Playback

Note:

The M8190A instrument supports multiple lists of sequences known as scenarios but this is not supported in M9099 Waveform Creator.

Sequencing GUI

The figure below shows the M8190A Sequencing interface. Notice that both AWG channels are independent.

After planning what your sequence should do, we begin by loading the required segments onto the waveform layout window. In this case there are 8 segments, 4 per track.

When creating a new sequence, each list item requires at a minimum, the track Id of the segment, the segment Id of the track and the number of times each segment needs to be looped. The other table items are usefully defaulted.

The Frequency and Amplitude scaling of each sequence entry can be modified by adding a table.

Frequency Table

Amplitude Table

Note that these tables are independent of the segment or track Ids.
The tables can be initialized at any time during the sequence playback and selectively advanced to the next row.

Portion of a Sequence Table

This is obviously very powerful but care must be taken when creating or editing sequences as it can be tricky to accurately describe the sequence you had in mind.
The Sequence can also be used with an action table that enables both frequency selection and amplitude scaling but also supports phase offsets and sweeping modes.

Action Table

M8190A Streaming

Waveform Creator provides streaming support for waveforms generated and output for M8190A. This enables M8190A to reload the sample memory while being in the run mode. This capability provides a method to generate waveforms with an infinite playtime.
Streaming is possible using the high speed, high precision or DUC mode. The most efficient way is to use the DUC mode (IQBIN data format).Waveform Creator makes use of a RAID array to stream the waveform data. A RAID system is used to generate an adequate read performance. In this solution:

  • A Worker Thread continuously reads data from a RAID array or a big file and then overwrites the segment data in the string ring buffer.
  • A Main Thread continuously reads data from the stream ring buffer and then downloads the IQ data to M8190A.
    The following diagram depicts the solution.

The M8190A uses a native binary file format called IQBIN that has an .iqbin suffix. No other file format is directly supported by the streaming interface although the streaming interface itself provides a tool for converting pre-existing N5110A binary files to its native IQBIN format. The N5110A binary file format is the streaming format generated by the M9392A PXI Vector Signal Analyzer.

The M8190A Streaming interface is accessed from the M9099 Generate menu.

The Streaming GUI allows the user to load pre-existing IQBIN files or convert N5110A format binary files to the M8190A IQBIN format. This interface is completely standalone and does not use any of the M8190A instrument settings or waveform segments configured in the Waveform Creator primary GUI.

M8190A Streaming GUI Configuration Example

In this example we will describe the setup and flow for selecting and running a streaming session on the M8190A AWG.

At this time [June 2014] the M8190A streaming interface in M9099 Waveform Creator cannot generate its own streaming files in the format required by the AWG. The M8190A requires the user to use the IQBIN streaming file format.

There are three methods available for obtaining an IQBIN file.

  • Generate your own IQBIN file from Matlab or Visual Studio or some other tool.
  • Create and convert an N5110A Bin format streaming file to the IQBIN format
  • Use a pre-existing IQBIN file or N5110A bin file.

This example will use the second method.

Step 1: Acquire data using an M9392A PXI VSA.
The M9392A VSA can acquire very long records which it saves to an external N5110A binary format file.

Step 2: Convert the N5110A format file to M8190A IQBIN format.
From the M8190A Streaming Interface, press the Convert File button.
A dialog box will open that allows you to select the N5110A Bin File and convert it to M8190A IQBIN format.

Step 3: Enter the original Sample Rate of the IQBIN file and then open the IQBIN File.
For a file converted from N5110A format there is a text header file which provides information about the sample rate. The N5110A header file has the same name as the bin file. The value of the XDelta parameter is the sample period in seconds. To convert the sample period to sample rate calculate 1/XDelta.

In this case the sample rate is 62.5MSa/s.

For sample rates more than about 25MSa/s a Redundant Array of Independent Disks or RAID will be required for the file storage medium since a single HDD cannot be read fast enough to keep pace with the streaming download.

Step 4: Connect to hardware and set DUC Mode and Carrier Frequency.
Enter a valid PXI address for the M8190A then press the Test Connection button.

Pressing the button will cause the M8190A Firmware to be started. Once the software is initialized a connection to the hardware using the hardware address will be made. If this is successful a green * will appear next to the Test Connection button. If this is unsuccessful a red * will appear next to the button along with an error message.

Next, we need to setup the DUC mode. A DUC mode must be selected that supports the sample rate range of the M8190A. The DUC sample rate will be the Baseband Sample Rate * DUC Mode [xN].
In this case, 62.5MSa/s * 48 = 3000MSa/s Sample Rate.

The carrier frequency has been set to 1GHz.

Step 5: Test the Speed of the Connection.

The required rate is 4 * the Baseband Sample Rate since each complex same is 4 bytes. However, this will only be possible if the configured system [M8190A, Controller and Storage] can download the streaming file to the M8190A at the rate or faster.

To measure the Raw Download Rate of the system press the Test Speed button then press OK when the following message appears.

After a short while, the Raw Download Rate will be updated.

If your Raw Download Rate is higher than the Required Rate you can now press the Play Streaming button. If the Raw Download Rate is not sufficient, you must reduce the sample rate of the input streaming file by selecting a file having a lower sample rate. Remember, the number of Bytes/s is 4 * Baseband Sample Rate.

Once Streaming has started a dialog showing the result of the streaming session will appear.

Press OK to finish.

Note:

Both Circular Buffer Size and Segment Size should be OK at their default settings. The file size for streaming should be sufficient to fill in the circular buffer. Thus, the file size should be equal to or greater than the product of Circular Buffer Size and Segment Size.


M8190A AWG - Speed Mode (12 bit, 12 GHz)

M8190A AWG Settings for Speed Mode (12 bit, 12 GHz) in Waveform Creator

This section describes the M8190A AWG Settings for Speed Mode (12 bit, 12 GHz) in Waveform Creator.

Field

Description

Default Value

Related SCPI Command

Agilent M8190A

Instrument Address

Sets the host name or IP address of the instrument.

If the M8190A software resides on the same computer as Waveform Creator then the IP address will be 127.0.0.1 (localhost).

-

:OUTPut:M8190AS:ADDRess <quoted_string>

Socket Port Number

Sets the port number on the output device to which SCPI commands are sent.

-

:OUTPut:M8190AS:SPORt <numeric_value>

Time Out

Sets the receive timeout for the connection. If the AWG does not respond in the specified time a download may fail.

2.000 s

:OUTPut:M8190AS:TOUT <numeric_value>

Auto Scaling

If true, the waveform will be scaled up or down so it occupies the complete arb output range, if false, the waveform will be scaled using the specified Max Value. Turning Auto Scaling off allows you to fix the relationship between AWG voltages and waveform values, but incorrect Max Value setting may result in clipping or wrapping.

True

:OUTPut:M8190AS:SCALe:AUTO <Boolean>

Max Value

When Auto Scaling is set to True, this setting reports the found maximum value prior to auto scaling. When Auto Scaling is set to False, this setting determines the maximum value that will be used to scale all waveforms.

This ensures that all waveforms will have the same average power level for a given AWG output gain setting, but you must ensure that the set maximum value is not exceeded by any waveform (otherwise distortion due to clipping or wrapping will occur).

2.0000

:OUTPut:M8190AS:SCALe:MAXimum <numeric_value>

AWG Granularity Options

Some of Agilent's wideband AWGs have memory granularity. That is, the waveform length has to be an integer multiple of a minimum sample chunk size. The chunk size for M8190A Speed Mode is 64 samples.

If the waveform generation process has resulted in a sample count that is not a whole number of memory chunks long, then this setting determines how the AWG granularity requirement is met. The options are:

  • Repeat: Multiple repetitions of the waveform are downloaded to the AWG memory until it occupies a whole number of memory chunks. This can increase download times and AWG memory usage considerably but will ensure the best possible signal quality.
  • Truncate: A few samples are removed from the waveform. This is not appropriate for signals that are computed to be phase continuous when played repetitively.
  • Append Silence : This is the least intrusive for a burst mode signal. A few extra zero samples are added to the waveform. This has the effect of slightly increasing the inter-packet gap so it is not appropriate if you want a precise time between bursts. It is also not appropriate for signals that are computed to be phase continuous when played repetitively.

    Both Append and Truncate can add imperfections to the signal that is played out, but they ensure the quickest download times and lowest arb memory usage.

Repeat

:OUTPut:M8190AS:GRANularity REPeat | TRUNcate | APPend

Reference Clock Source

The M8190A can be configured to take its reference clock either from the 100 MHz clock provided by the AXIe card cage backplane or from the REF CLK IN connector on the front panel.

  • External: Reference is taken from REF CLK IN.
  • AXI: reference is taken from AXI backplane

AXI

:OUTPut:M8190AS:OSCillator:SOURce EXTernal | AXI

Reference Clock Frequency

Sets the expected reference clock frequency, if the external reference clock source is selected.

100 MHz

:OUTPut:M8190AS:OSCillator:FREQuency <numeric_value>

Advance Source Type

Sets the source for the advancement event.

Trigger

:OUTPut:M8190AS:ASOUrce TRIGger | EVENt

Download Mixed Waveform

If true, the mixed waveform is downloaded.

True

:OUTPut:M8190AS:SEGMents:MIXed <Boolean>

Download All Individual Waveforms

If true, each segment is downloaded individually.

False

:OUTPut:M8190AS:SEGMents:ALL <Boolean>

Play On Download

If this is set to True then the AWG will be instructed to play the waveform once it is downloaded. If false, the waveform is simply stored in the AWG waveform list.

True

:OUTPut:M8190AS:PLAY <Boolean>

Channel 1/Channel 2 Settings

Download to Ch1/Ch2

If this is set to True, waveform data will be downloaded to this channel.

True

:OUTPut:M8190AS:CHANnel[1:2]:STATe <Boolean>

Ch1/Ch2 Download Data

Sets whether I (real) Data or Q (imaginary) Data will be downloaded to the channel.

I Data for Ch1 and Q Data for Ch2

:OUTPut:M8190AS:CHANnel[1:2]:DDATa IDATa | QDATa

Ch1/Ch2 Output Coupling

Set the output coupling for the AWG. The choices are:

  • DAC - the AWG DAC outputs are brought directly to the front panel with no amplification or filtering.
  • DC – the AWG DAC outputs are passed through a DC-coupled amplifier.
  • AC – the AWG DAC outputs are passed through an AC coupled amplifier.

DAC

:OUTPut:M8190AS:CHANnel[1:2]:COUPling AC | DC | DAC

Ch1/Ch2 DAC Amplitude

When the Output Coupling is set to DAC, this sets the AWG channel maximum amplitude.

650.00 mV

:OUTPut:M8190AS:CHANnel[1:2]:DACamplitude <numeric_value>

Ch1/Ch2 DAC Offset

When the Output Coupling is set to DAC, this sets the AWG channel DC offset.

0 V

:OUTPut:M8190AS:CHANnel[1:2]:DACOffset <numeric_value>

Ch1/Ch2 DAC Output Format

Sets the output format to use for this channel in DAC coupling.

DNRZ (Double NRZ)

:OUTPut:M8190AS:CHANnel[1:2]:FORMat:DAC DNRZ | NRZ | DOUBlet | RZ

Ch1/Ch2 AC Amplitude

When the Output Coupling is set to AC, this sets the AWG channel maximum amplitude.

650.00 mV

:OUTPut:M8190AS:CHANnel[1:2]:ACAMplitude <numeric_value>

Ch1/Ch2 AC Output Format

Sets the output format to use for this channel in AC coupling.

DNRZ (Double NRZ)

:OUTPut:M8190AS:CHANnel[1:2]:FORMat:AC DNRZ | NRZ | DOUBlet | RZ

Ch1/Ch2 DC Amplitude

When the Output Coupling is set to DC, this sets the AWG channel maximum amplitude.

650.00 mV

:OUTPut:M8190AS:CHANnel[1:2]:DCAMplitude <numeric_value>

Ch1/Ch2 DC Offset

When the Output Coupling is set to DC, this sets the AWG channel DC offset.

0 V

:OUTPut:M8190AS:CHANnel[1:2]:DCOFFSet <numeric_value>

Ch1/Ch2 DC Output Format

Sets the output format to use for this channel in DC coupling.

NRZ (Non Return to Zero)

:OUTPut:M8190AS:CHANnel[1:2]:FORMat:DC DNRZ | NRZ | DOUBlet | RZ

Ch1/Ch2 Reduced Noise Disables/enables noise reduction for the channel. False :OUTPut:M8190AS:CHANnel[1:2]:RNFLoor <Boolean>

Ch1/Ch2 Coarse Delay

Sets the coarse delay for this channel.

0 s

:OUTPut:M8190AS:CHANnel[1:2]:CDELay <numeric_value>

Ch1/Ch2 Fine Delay

Sets the delay for this channel. Positive and negative skew between the two AWG channels is achieved by setting a positive delay on channel 1 (1 lags 2) or channel 2. (2 lags 1)

0 s

:OUTPut:M8190AS:CHANnel[1:2]:DELay <numeric_value>

Ch1/Ch2 Sample Marker Enabled

Sets whether the Sample Marker is enabled.

True

:OUTPut:M8190AS:CHANnel[1:2]:SAMPle:ENABled <Boolean>

Ch1/Ch2 Sample Marker Start Position

Sets the Sample Marker start position.

0 s

:OUTPut:M8190AS:CHANnel[1:2]:SAMPle:SPOSition <numeric_value>

Ch1/Ch2 Sample Marker Width

Sets the Sample Marker width.

10 ns

:OUTPut:M8190AS:CHANnel[1:2]:SAMPle:WIDTh <numeric_value>

Ch1/Ch2 Sync Marker Enabled

Sets whether the Sync Marker is enabled.

True

:OUTPut:M8190AS:CHANnel[1:2]:SYNC:ENABled <Boolean>

Ch1/Ch2 Sync Marker Start Position

Sets the Sync Marker start position.

0 s

:OUTPut:M8190AS:CHANnel[1:2]:SYNC:SPOSition <numeric_value>

Ch1/Ch2 Sync Marker Width

Sets the Sync Marker width.

10 ns

:OUTPut:M8190AS:CHANnel[1:2]:SYNC:WIDTh <numeric_value>


M8190A AWG - Precision Mode (14 bit, 8 GHz)

M8190A AWG Settings for Precision Mode (14 bit, 8 GHz) in Waveform Creator

This section describes the M8190A AWG Settings for Precision Mode (14 bit, 8 GHz) in Waveform Creator.

Field

Description

Default Value

Related SCPI Command

Agilent M8190A

Instrument Address

Sets the host name or IP address of the instrument.

If the M8190A software resides on the same computer as Waveform Creator then the IP address will be 127.0.0.1 (localhost).

-

:OUTPut:M8190AP:ADDRess <quoted_string>

Socket Port Number

Sets the port number on the output device to which SCPI commands are sent.

-

:OUTPut:M8190AP:SPORt <numeric_value>

Time Out

Sets the receive timeout for the connection. If the AWG does not respond in the specified time a download may fail.

2.000 s

:OUTPut:M8190AP:TOUT <numeric_value>

Auto Scaling

If true, the waveform will be scaled up or down so it occupies the complete arb output range, if false, the waveform will be scaled using the specified Max Value. Turning Auto Scaling off allows you to fix the relationship between AWG voltages and waveform values, but incorrect Max Value setting may result in clipping or wrapping.

True

:OUTPut:M8190AP:SCALe:AUTO <Boolean>

Max Value

When Auto Scaling is set to True, this setting reports the found maximum value prior to auto scaling. When Auto Scaling is set to False, this setting determines the maximum value that will be used to scale all waveforms.

This ensures that all waveforms will have the same average power level for a given AWG output gain setting, but you must ensure that the set maximum value is not exceeded by any waveform (otherwise distortion due to clipping or wrapping will occur).

2.0000

:OUTPut:M8190AP:SCALe:MAXimum <numeric_value>

AWG Granularity Options

Some of Agilent's wideband AWGs have memory granularity. That is, the waveform length has to be an integer multiple of a minimum sample chunk size. The chunk size for M8190A Speed Mode is 64 samples.

If the waveform generation process has resulted in a sample count that is not a whole number of memory chunks long, then this setting determines how the AWG granularity requirement is met. The options are:

  • Repeat: Multiple repetitions of the waveform are downloaded to the AWG memory until it occupies a whole number of memory chunks. This can increase download times and AWG memory usage considerably but will ensure the best possible signal quality.
  • Truncate: A few samples are removed from the waveform. This is not appropriate for signals that are computed to be phase continuous when played repetitively.
  • Append Silence : This is the least intrusive for a burst mode signal. A few extra zero samples are added to the waveform. This has the effect of slightly increasing the inter-packet gap so it is not appropriate if you want a precise time between bursts. It is also not appropriate for signals that are computed to be phase continuous when played repetitively.

    Both Append and Truncate can add imperfections to the signal that is played out, but they ensure the quickest download times and lowest arb memory usage.

Repeat

:OUTPut:M8190AP:GRANularity REPeat | TRUNcate | APPend

Reference Clock Source

The M8190A can be configured to take its reference clock either from the 100 MHz clock provided by the AXIe card cage backplane or from the REF CLK IN connector on the front panel.

  • External: Reference is taken from REF CLK IN.
  • AXI: reference is taken from AXI backplane

AXI

:OUTPut:M8190AP:OSCillator:SOURce EXTernal | AXI

Reference Clock Frequency

Sets the expected reference clock frequency, if the external reference clock source is selected.

100 MHz

:OUTPut:M8190AP:OSCillator:FREQuency <numeric_value>

Advance Source Type

Sets the source for the advancement event.

Trigger

:OUTPut:M8190AP:ASOUrce TRIGger | EVENt

Download Mixed Waveform

If true, the mixed waveform is downloaded.

True

:OUTPut:M8190AP:SEGMents:MIXed <Boolean>

Download All Individual Waveforms

If true, each segment is downloaded individually.

False

:OUTPut:M8190AP:SEGMents:ALL <Boolean>

Play On Download

If this is set to True then the AWG will be instructed to play the waveform once it is downloaded. If false, the waveform is simply stored in the AWG waveform list.

True

:OUTPut:M8190AP:PLAY <Boolean>

Channel 1/Channel 2 Settings

Download to Ch1/Ch2

If this is set to True, waveform data will be downloaded to this channel.

True

:OUTPut:M8190AP:CHANnel[1:2]:STATe <Boolean>

Ch1/Ch2 Download Data

Sets whether I (real) Data or Q (imaginary) Data will be downloaded to the channel.

I Data for Ch1 and Q Data for Ch2

:OUTPut:M8190AP:CHANnel[1:2]:DDATa IDATa | QDATa

Ch1/Ch2 Output Coupling

Set the output coupling for the AWG. The choices are:

  • DAC - the AWG DAC outputs are brought directly to the front panel with no amplification or filtering.
  • DC – the AWG DAC outputs are passed through a DC-coupled amplifier.
  • AC – the AWG DAC outputs are passed through an AC coupled amplifier.

DAC

:OUTPut:M8190AP:CHANnel[1:2]:COUPling AC | DC | DAC

Ch1/Ch2 DAC Amplitude

When the Output Coupling is set to DAC, this sets the AWG channel maximum amplitude.

650.00 mV

:OUTPut:M8190AP:CHANnel[1:2]:DACamplitude <numeric_value>

Ch1/Ch2 DAC Offset

When the Output Coupling is set to DAC, this sets the AWG channel DC offset.

0 V

:OUTPut:M8190AP:CHANnel[1:2]:DACOffset <numeric_value>

Ch1/Ch2 DAC Output Format

Sets the output format to use for this channel in DAC coupling.

DNRZ (Double NRZ)

:OUTPut:M8190AP:CHANnel[1:2]:FORMat:DAC DNRZ | NRZ | DOUBlet | RZ

Ch1/Ch2 AC Amplitude

When the Output Coupling is set to AC, this sets the AWG channel maximum amplitude.

650.00 mV

:OUTPut:M8190AP:CHANnel[1:2]:ACAMplitude <numeric_value>

Ch1/Ch2 AC Output Format

Sets the output format to use for this channel in AC coupling.

DNRZ (Double NRZ)

:OUTPut:M8190AP:CHANnel[1:2]:FORMat:AC DNRZ | NRZ | DOUBlet | RZ

Ch1/Ch2 DC Amplitude

When the Output Coupling is set to DC, this sets the AWG channel maximum amplitude.

650.00 mV

:OUTPut:M8190AP:CHANnel[1:2]:DCAMplitude <numeric_value>

Ch1/Ch2 DC Offset

When the Output Coupling is set to DC, this sets the AWG channel DC offset.

0 V

:OUTPut:M8190AP:CHANnel[1:2]:DCOFFSet <numeric_value>

Ch1/Ch2 DC Output Format

Sets the output format to use for this channel in DC coupling.

NRZ (Non Return to Zero)

:OUTPut:M8190AP:CHANnel[1:2]:FORMat:DC DNRZ | NRZ | DOUBlet | RZ

Ch1/Ch2 Reduced Noise Disables/enables noise reduction for the channel. False :OUTPut:M8190AP:CHANnel[1:2]:RNFLoor <Boolean>

Ch1/Ch2 Coarse Delay

Sets the coarse delay for this channel.

0 s

:OUTPut:M8190AP:CHANnel[1:2]:CDELay <numeric_value>

Ch1/Ch2 Fine Delay

Sets the delay for this channel. Positive and negative skew between the two AWG channels is achieved by setting a positive delay on channel 1 (1 lags 2) or channel 2. (2 lags 1)

0 s

:OUTPut:M8190AP:CHANnel[1:2]:DELay <numeric_value>

Ch1/Ch2 Sample Marker Enabled

Sets whether the Sample Marker is enabled.

True

:OUTPut:M8190AP:CHANnel[1:2]:SAMPle:ENABled <Boolean>

Ch1/Ch2 Sample Marker Start Position

Sets the Sample Marker start position.

0 s

:OUTPut:M8190AP:CHANnel[1:2]:SAMPle:SPOSition <numeric_value>

Ch1/Ch2 Sample Marker Width

Sets the Sample Marker width.

10 ns

:OUTPut:M8190AP:CHANnel[1:2]:SAMPle:WIDTh <numeric_value>

Ch1/Ch2 Sync Marker Enabled

Sets whether the Sync Marker is enabled

True

:OUTPut:M8190AP:CHANnel[1:2]:SYNC:ENABled <Boolean>

Ch1/Ch2 Sync Marker Start Position

Sets the Sync Marker start position.

0 s

:OUTPut:M8190AP:CHANnel[1:2]:SYNC:SPOSition <numeric_value>

Ch1/Ch2 Sync Marker Width

Sets the Sync Marker width.

10 ns

:OUTPut:M8190AP:CHANnel[1:2]:SYNC:WIDTh <numeric_value>


M8190A AWG - DUC Mode (x3 Interpolation)

M8190A AWG Settings for DUC Mode (x3 Interpolation) in Waveform Creator

This section describes the M8190A AWG Settings for DUC Mode (x3 Interpolation) in Waveform Creator.

Field

Description

Default Value

Related SCPI Command

Agilent M8190A

Instrument Address

Sets the host name or IP address of the instrument.

If the M8190A software resides on the same computer as Waveform Creator then the IP address will be 127.0.0.1 (localhost).

-

:OUTPut:M8190AX3:ADDRess <quoted_string>

Socket Port Number

Sets the port number on the output device to which SCPI commands are sent.

-

:OUTPut:M8190AX3:SPORt <numeric_value>

Time Out

Sets the receive timeout for the connection. If the AWG does not respond in the specified time a download may fail.

2.000 s

:OUTPut:M8190AX3:TOUT <numeric_value>

Auto Scaling

If true, the waveform will be scaled up or down so it occupies the complete arb output range, if false, the waveform will be scaled using the specified Max Value. Turning Auto Scaling off allows you to fix the relationship between AWG voltages and waveform values, but incorrect Max Value setting may result in clipping or wrapping.

True

:OUTPut:M8190AX3:SCALe:AUTO <Boolean>

Max Value

When Auto Scaling is set to True, this setting reports the found maximum value prior to auto scaling. When Auto Scaling is set to False, this setting determines the maximum value that will be used to scale all waveforms.

This ensures that all waveforms will have the same average power level for a given AWG output gain setting, but you must ensure that the set maximum value is not exceeded by any waveform (otherwise distortion due to clipping or wrapping will occur).

2.0000

:OUTPut:M8190AX3:SCALe:MAXimum <numeric_value>

AWG Granularity Options

Some of Agilent's wideband AWGs have memory granularity. That is, the waveform length has to be an integer multiple of a minimum sample chunk size. The chunk size for M8190A Speed Mode is 64 samples.

If the waveform generation process has resulted in a sample count that is not a whole number of memory chunks long, then this setting determines how the AWG granularity requirement is met. The options are:

  • Repeat: Multiple repetitions of the waveform are downloaded to the AWG memory until it occupies a whole number of memory chunks. This can increase download times and AWG memory usage considerably but will ensure the best possible signal quality.
  • Truncate: A few samples are removed from the waveform. This is not appropriate for signals that are computed to be phase continuous when played repetitively.
  • Append Silence : This is the least intrusive for a burst mode signal. A few extra zero samples are added to the waveform. This has the effect of slightly increasing the inter-packet gap so it is not appropriate if you want a precise time between bursts. It is also not appropriate for signals that are computed to be phase continuous when played repetitively.

    Both Append and Truncate can add imperfections to the signal that is played out, but they ensure the quickest download times and lowest arb memory usage.

Repeat

:OUTPut:M8190AX3:GRANularity REPeat | TRUNcate | APPend

Reference Clock Source

The M8190A can be configured to take its reference clock either from the 100 MHz clock provided by the AXIe card cage backplane or from the REF CLK IN connector on the front panel.

  • External: Reference is taken from REF CLK IN.
  • AXI: reference is taken from AXI backplane

AXI

:OUTPut:M8190AX3:OSCillator:SOURce EXTernal | AXI

Reference Clock Frequency

Sets the expected reference clock frequency, if the external reference clock source is selected.

100 MHz

:OUTPut:M8190AX3:OSCillator:FREQuency <numeric_value>

Advance Source Type

Sets the source for the advancement event.

Trigger

:OUTPut:M8190AX3:ASOUrce TRIGger | EVENt

Download Mixed Waveform

If true, the mixed waveform is downloaded.

True

:OUTPut:M8190AX3:SEGMents:MIXed <Boolean>

Download All Individual Waveforms

If true, each segment is downloaded individually.

False

:OUTPut:M8190AX3:SEGMents:ALL <Boolean>

Play On Download

If this is set to True then the AWG will be instructed to play the waveform once it is downloaded. If false, the waveform is simply stored in the AWG waveform list.

True

:OUTPut:M8190AX3:PLAY <Boolean>

Channel 1/Channel 2 Settings

Download to Ch1/Ch2

If this is set to True, waveform data will be downloaded to this channel.

True

:OUTPut:M8190AX3:CHANnel[1:2]:STATe <Boolean>

Ch1/Ch2 Output Coupling

Set the output coupling for the AWG. The choices are:

  • DAC - the AWG DAC outputs are brought directly to the front panel with no amplification or filtering.
  • DC – the AWG DAC outputs are passed through a DC-coupled amplifier.
  • AC – the AWG DAC outputs are passed through an AC coupled amplifier.

DAC

:OUTPut:M8190AX3:CHANnel[1:2]:COUPling AC | DC | DAC

Ch1/Ch2 DAC Amplitude

When the Output Coupling is set to DAC, this sets the AWG channel maximum amplitude.

650.00 mV

:OUTPut:M8190AX3:CHANnel[1:2]:DACamplitude <numeric_value>

Ch1/Ch2 DAC Offset

When the Output Coupling is set to DAC, this sets the AWG channel DC offset.

0 V

:OUTPut:M8190AX3:CHANnel[1:2]:DACOffset <numeric_value>

Ch1/Ch2 DAC Output Format

Sets the output format to use for this channel in DAC coupling.

DNRZ (Double NRZ)

:OUTPut:M8190AX3:CHANnel[1:2]:FORMat:DAC DNRZ | NRZ | DOUBlet | RZ

Ch1/Ch2 AC Amplitude

When the Output Coupling is set to AC, this sets the AWG channel maximum amplitude.

650.00 mV

:OUTPut:M8190AX3:CHANnel[1:2]:ACAMplitude <numeric_value>

Ch1/Ch2 AC Output Format

Sets the output format to use for this channel in AC coupling.

DNRZ (Double NRZ)

:OUTPut:M8190AX3:CHANnel[1:2]:FORMat:AC DNRZ | NRZ | DOUBlet | RZ

Ch1/Ch2 DC Amplitude

When the Output Coupling is set to DC, this sets the AWG channel maximum amplitude.

650.00 mV

:OUTPut:M8190AX3:CHANnel[1:2]:DCAMplitude <numeric_value>

Ch1/Ch2 DC Offset

When the Output Coupling is set to DC, this sets the AWG channel DC offset.

0 V

:OUTPut:M8190AX3:CHANnel[1:2]:DCOFFSet <numeric_value>

Ch1/Ch2 DC Output Format

Sets the output format to use for this channel in DC coupling.

NRZ (Non Return to Zero)

:OUTPut:M8190AX3:CHANnel[1:2]:FORMat:DC DNRZ | NRZ | DOUBlet | RZ

Ch1/Ch2 Reduced Noise Disables/enables noise reduction for the channel. False :OUTPut:M8190AX3:CHANnel[1:2]:RNFLoor <Boolean>

Ch1/Ch2 Coarse Delay

Sets the coarse delay for this channel.

0 s

:OUTPut:M8190AX3:CHANnel[1:2]:CDELay <numeric_value>

Ch1/Ch2 Fine Delay

Sets the delay for this channel. Positive and negative skew between the two AWG channels is achieved by setting a positive delay on channel 1 (1 lags 2) or channel 2. (2 lags 1)

0 s

:OUTPut:M8190AX3:CHANnel[1:2]:DELay <numeric_value>

Ch1/Ch2 DUC Carrier Frequency

Sets the Digital Up-Conversion (DUC) carrier frequency for the channel.

1.50 GHz

:OUTPut:M8190AX3:CHANnel[1:2]:CARRier:FREQuency <numeric_value>

Ch1/Ch2 DUC Carrier Scale

Sets the Digital Up-Conversion (DUC) carrier scale factor for the channel.

1.00

:OUTPut:M8190AX3:CHANnel[1:2]:CARRier:SCALe <numeric_value>

Ch1/Ch2 Sample Marker Enabled

Sets whether the Sample Marker is enabled.

True

:OUTPut:M8190AX3:CHANnel[1:2]:SAMPle:ENABled <Boolean>

Ch1/Ch2 Sample Marker Start Position

Sets the Sample Marker start position.

0 s

:OUTPut:M8190AX3:CHANnel[1:2]:SAMPle:SPOSition <numeric_value>

Ch1/Ch2 Sample Marker Width

Sets the Sample Marker width.

10 ns

:OUTPut:M8190AX3:CHANnel[1:2]:SAMPle:WIDTh <numeric_value>

Ch1/Ch2 Sync Marker Enabled

Sets whether the Sync Marker is enabled.

True

:OUTPut:M8190AX3:CHANnel[1:2]:SYNC:ENABled <Boolean>

Ch1/Ch2 Sync Marker Start Position

Sets the Sync Marker start position.

0 s

:OUTPut:M8190AX3:CHANnel[1:2]:SYNC:SPOSition <numeric_value>

Ch1/Ch2 Sync Marker Width

Sets the Sync Marker width.

10 ns

:OUTPut:M8190AX3:CHANnel[1:2]:SYNC:WIDTh <numeric_value>


M8190A AWG - DUC Mode (x12 Interpolation)

M8190A AWG Settings for DUC Mode (x12 Interpolation) in Waveform Creator

This section describes the M8190A AWG Settings for DUC Mode (x12 Interpolation) in Waveform Creator.

Field

Description

Default Value

Related SCPI Command

Agilent M8190A

Instrument Address

Sets the host name or IP address of the instrument.

If the M8190A software resides on the same computer as Waveform Creator then the IP address will be 127.0.0.1 (localhost).

-

:OUTPut:M8190AX12:ADDRess <quoted_string>

Socket Port Number

Sets the port number on the output device to which SCPI commands are sent.

-

:OUTPut:M8190AX12:SPORt <numeric_value>

Time Out

Sets the receive timeout for the connection. If the AWG does not respond in the specified time a download may fail.

2.000 s

:OUTPut:M8190AX12:TOUT <numeric_value>

Auto Scaling

If true, the waveform will be scaled up or down so it occupies the complete arb output range, if false, the waveform will be scaled using the specified Max Value. Turning Auto Scaling off allows you to fix the relationship between AWG voltages and waveform values, but incorrect Max Value setting may result in clipping or wrapping.

True

:OUTPut:M8190AX12:SCALe:AUTO <Boolean>

Max Value

When Auto Scaling is set to True, this setting reports the found maximum value prior to auto scaling. When Auto Scaling is set to False, this setting determines the maximum value that will be used to scale all waveforms.

This ensures that all waveforms will have the same average power level for a given AWG output gain setting, but you must ensure that the set maximum value is not exceeded by any waveform (otherwise distortion due to clipping or wrapping will occur).

2.0000

:OUTPut:M8190AX12:SCALe:MAXimum <numeric_value>

AWG Granularity Options

Some of Agilent's wideband AWGs have memory granularity. That is, the waveform length has to be an integer multiple of a minimum sample chunk size. The chunk size for M8190A Speed Mode is 64 samples.

If the waveform generation process has resulted in a sample count that is not a whole number of memory chunks long, then this setting determines how the AWG granularity requirement is met. The options are:

  • Repeat: Multiple repetitions of the waveform are downloaded to the AWG memory until it occupies a whole number of memory chunks. This can increase download times and AWG memory usage considerably but will ensure the best possible signal quality.
  • Truncate: A few samples are removed from the waveform. This is not appropriate for signals that are computed to be phase continuous when played repetitively.
  • Append Silence : This is the least intrusive for a burst mode signal. A few extra zero samples are added to the waveform. This has the effect of slightly increasing the inter-packet gap so it is not appropriate if you want a precise time between bursts. It is also not appropriate for signals that are computed to be phase continuous when played repetitively.

    Both Append and Truncate can add imperfections to the signal that is played out, but they ensure the quickest download times and lowest arb memory usage.

Repeat

:OUTPut:M8190AX12:GRANularity REPeat | TRUNcate | APPend

Reference Clock Source

The M8190A can be configured to take its reference clock either from the 100 MHz clock provided by the AXIe card cage backplane or from the REF CLK IN connector on the front panel.

  • External: Reference is taken from REF CLK IN.
  • AXI: reference is taken from AXI backplane

AXI

:OUTPut:M8190AX12:OSCillator:SOURce EXTernal | AXI

Reference Clock Frequency

Sets the expected reference clock frequency, if the external reference clock source is selected.

100 MHz

:OUTPut:M8190AX12:OSCillator:FREQuency <numeric_value>

Advance Source Type

Sets the source for the advancement event.

Trigger

:OUTPut:M8190AX12:ASOUrce TRIGger | EVENt

Download Mixed Waveform

If true, the mixed waveform is downloaded.

True

:OUTPut:M8190AX12:SEGMents:MIXed <Boolean>

Download All Individual Waveforms

If true, each segment is downloaded individually.

False

:OUTPut:M8190AX12:SEGMents:ALL <Boolean>

Play On Download

If this is set to True then the AWG will be instructed to play the waveform once it is downloaded. If false, the waveform is simply stored in the AWG waveform list.

True

:OUTPut:M8190AX12:PLAY <Boolean>

Channel 1/Channel 2 Settings

Download to Ch1/Ch2

If this is set to True, waveform data will be downloaded to this channel.

True

:OUTPut:M8190AX12:CHANnel[1:2]:STATe <Boolean>

Ch1/Ch2 Output Coupling

Set the output coupling for the AWG. The choices are:

  • DAC - the AWG DAC outputs are brought directly to the front panel with no amplification or filtering.
  • DC – the AWG DAC outputs are passed through a DC-coupled amplifier.
  • AC – the AWG DAC outputs are passed through an AC coupled amplifier.

DAC

:OUTPut:M8190AX12:CHANnel[1:2]:COUPling AC | DC | DAC

Ch1/Ch2 DAC Amplitude

When the Output Coupling is set to DAC, this sets the AWG channel maximum amplitude.

650.00 mV

:OUTPut:M8190AX12:CHANnel[1:2]:DACamplitude <numeric_value>

Ch1/Ch2 DAC Offset

When the Output Coupling is set to DAC, this sets the AWG channel DC offset.

0 V

:OUTPut:M8190AX12:CHANnel[1:2]:DACOffset <numeric_value>

Ch1/Ch2 DAC Output Format

Sets the output format to use for this channel in DAC coupling.

DNRZ (Double NRZ)

:OUTPut:M8190AX12:CHANnel[1:2]:FORMat:DAC DNRZ | NRZ | DOUBlet | RZ

Ch1/Ch2 AC Amplitude

When the Output Coupling is set to AC, this sets the AWG channel maximum amplitude.

650.00 mV

:OUTPut:M8190AX12:CHANnel[1:2]:ACAMplitude <numeric_value>

Ch1/Ch2 AC Output Format

Sets the output format to use for this channel in AC coupling.

DNRZ (Double NRZ)

:OUTPut:M8190AX12:CHANnel[1:2]:FORMat:AC DNRZ | NRZ | DOUBlet | RZ

Ch1/Ch2 DC Amplitude

When the Output Coupling is set to DC, this sets the AWG channel maximum amplitude.

650.00 mV

:OUTPut:M8190AX12:CHANnel[1:2]:DCAMplitude <numeric_value>

Ch1/Ch2 DC Offset

When the Output Coupling is set to DC, this sets the AWG channel DC offset.

0 V

:OUTPut:M8190AX12:CHANnel[1:2]:DCOFFSet <numeric_value>

Ch1/Ch2 DC Output Format

Sets the output format to use for this channel in DC coupling.

NRZ (Non Return to Zero)

:OUTPut:M8190AX12:CHANnel[1:2]:FORMat:DC DNRZ | NRZ | DOUBlet | RZ

Ch1/Ch2 Reduced Noise Disables/enables noise reduction for the channel. False :OUTPut:M8190AX12:CHANnel[1:2]:RNFLoor <Boolean>

Ch1/Ch2 Coarse Delay

Sets the coarse delay for this channel.

0 s

:OUTPut:M8190AX12:CHANnel[1:2]:CDELay <numeric_value>

Ch1/Ch2 Fine Delay

Sets the delay for this channel. Positive and negative skew between the two AWG channels is achieved by setting a positive delay on channel 1 (1 lags 2) or channel 2. (2 lags 1)

0 s

:OUTPut:M8190AX12:CHANnel[1:2]:DELay <numeric_value>

Ch1/Ch2 DUC Carrier Frequency

Sets the Digital Up-Conversion (DUC) carrier frequency for the channel.

1.50 GHz

:OUTPut:M8190AX12:CHANnel[1:2]:CARRier:FREQuency <numeric_value>

Ch1/Ch2 DUC Carrier Scale

Sets the Digital Up-Conversion (DUC) carrier scale factor for the channel.

1.00

:OUTPut:M8190AX12:CHANnel[1:2]:CARRier:SCALe <numeric_value>

Ch1/Ch2 Sample Marker Enabled

Sets whether the Sample Marker is enabled.

True

:OUTPut:M8190AX12:CHANnel[1:2]:SAMPle:ENABled <Boolean>

Ch1/Ch2 Sample Marker Start Position

Sets the Sample Marker start position.

0 s

:OUTPut:M8190AX12:CHANnel[1:2]:SAMPle:SPOSition <numeric_value>

Ch1/Ch2 Sample Marker Width

Sets the Sample Marker width.

10 ns

:OUTPut:M8190AX12:CHANnel[1:2]:SAMPle:WIDTh <numeric_value>

Ch1/Ch2 Sync Marker Enabled

Sets whether the Sync Marker is enabled.

True

:OUTPut:M8190AX12:CHANnel[1:2]:SYNC:ENABled <Boolean>

Ch1/Ch2 Sync Marker Start Position

Sets the Sync Marker start position.

0 s

:OUTPut:M8190AX12:CHANnel[1:2]:SYNC:SPOSition <numeric_value>

Ch1/Ch2 Sync Marker Width

Sets the Sync Marker width.

10 ns

:OUTPut:M8190AX12:CHANnel[1:2]:SYNC:WIDTh <numeric_value>


M8190A AWG - DUC Mode (x24 Interpolation)

M8190A AWG Settings for DUC Mode (x24 Interpolation) in Waveform Creator

This section describes the M8190A AWG Settings for DUC Mode (x24 Interpolation) in Waveform Creator.

Field

Description

Default Value

Related SCPI Command

Agilent M8190A

Instrument Address

Sets the host name or IP address of the instrument.

If the M8190A software resides on the same computer as Waveform Creator then the IP address will be 127.0.0.1 (localhost).

-

:OUTPut:M8190AX24:ADDRess <quoted_string>

Socket Port Number

Sets the port number on the output device to which SCPI commands are sent.

-

:OUTPut:M8190AX24:SPORt <numeric_value>

Time Out

Sets the receive timeout for the connection. If the AWG does not respond in the specified time a download may fail.

2.000 s

:OUTPut:M8190AX24:TOUT <numeric_value>

Auto Scaling

If true, the waveform will be scaled up or down so it occupies the complete arb output range, if false, the waveform will be scaled using the specified Max Value. Turning Auto Scaling off allows you to fix the relationship between AWG voltages and waveform values, but incorrect Max Value setting may result in clipping or wrapping.

True

:OUTPut:M8190AX24:SCALe:AUTO <Boolean>

Max Value

When Auto Scaling is set to True, this setting reports the found maximum value prior to auto scaling. When Auto Scaling is set to False, this setting determines the maximum value that will be used to scale all waveforms.

This ensures that all waveforms will have the same average power level for a given AWG output gain setting, but you must ensure that the set maximum value is not exceeded by any waveform (otherwise distortion due to clipping or wrapping will occur).

2.0000

:OUTPut:M8190AX24:SCALe:MAXimum <numeric_value>

AWG Granularity Options

Some of Agilent's wideband AWGs have memory granularity. That is, the waveform length has to be an integer multiple of a minimum sample chunk size. The chunk size for M8190A Speed Mode is 64 samples.

If the waveform generation process has resulted in a sample count that is not a whole number of memory chunks long, then this setting determines how the AWG granularity requirement is met. The options are:

  • Repeat: Multiple repetitions of the waveform are downloaded to the AWG memory until it occupies a whole number of memory chunks. This can increase download times and AWG memory usage considerably but will ensure the best possible signal quality.
  • Truncate: A few samples are removed from the waveform. This is not appropriate for signals that are computed to be phase continuous when played repetitively.
  • Append Silence : This is the least intrusive for a burst mode signal. A few extra zero samples are added to the waveform. This has the effect of slightly increasing the inter-packet gap so it is not appropriate if you want a precise time between bursts. It is also not appropriate for signals that are computed to be phase continuous when played repetitively.

    Both Append and Truncate can add imperfections to the signal that is played out, but they ensure the quickest download times and lowest arb memory usage.

Repeat

:OUTPut:M8190AX24:GRANularity REPeat | TRUNcate | APPend

Reference Clock Source

The M8190A can be configured to take its reference clock either from the 100 MHz clock provided by the AXIe card cage backplane or from the REF CLK IN connector on the front panel.

  • External: Reference is taken from REF CLK IN.
  • AXI: reference is taken from AXI backplane

AXI

:OUTPut:M8190AX24:OSCillator:SOURce EXTernal | AXI

Reference Clock Frequency

Sets the expected reference clock frequency, if the external reference clock source is selected.

100 MHz

:OUTPut:M8190AX24:OSCillator:FREQuency <numeric_value>

Advance Source Type

Sets the source for the advancement event.

Trigger

:OUTPut:M8190AX24:ASOUrce TRIGger | EVENt

Download Mixed Waveform

If true, the mixed waveform is downloaded.

True

:OUTPut:M8190AX24:SEGMents:MIXed <Boolean>

Download All Individual Waveforms

If true, each segment is downloaded individually.

False

:OUTPut:M8190AX24:SEGMents:ALL <Boolean>

Play On Download

If this is set to True then the AWG will be instructed to play the waveform once it is downloaded. If false, the waveform is simply stored in the AWG waveform list.

True

:OUTPut:M8190AX24:PLAY <Boolean>

Channel 1/Channel 2 Settings

Download to Ch1/Ch2

If this is set to True, waveform data will be downloaded to this channel.

True

:OUTPut:M8190AX24:CHANnel[1:2]:STATe <Boolean>

Ch1/Ch2 Output Coupling

Set the output coupling for the AWG. The choices are:

  • DAC - the AWG DAC outputs are brought directly to the front panel with no amplification or filtering.
  • DC – the AWG DAC outputs are passed through a DC-coupled amplifier.
  • AC – the AWG DAC outputs are passed through an AC coupled amplifier.

DAC

:OUTPut:M8190AX24:CHANnel[1:2]:COUPling AC | DC | DAC

Ch1/Ch2 DAC Amplitude

When the Output Coupling is set to DAC, this sets the AWG channel maximum amplitude.

650.00 mV

:OUTPut:M8190AX24:CHANnel[1:2]:DACamplitude <numeric_value>

Ch1/Ch2 DAC Offset

When the Output Coupling is set to DAC, this sets the AWG channel DC offset.

0 V

:OUTPut:M8190AX24:CHANnel[1:2]:DACOffset <numeric_value>

Ch1/Ch2 DAC Output Format

Sets the output format to use for this channel in DAC coupling.

DNRZ (Double NRZ)

:OUTPut:M8190AX24:CHANnel[1:2]:FORMat:DAC DNRZ | NRZ | DOUBlet | RZ

Ch1/Ch2 AC Amplitude

When the Output Coupling is set to AC, this sets the AWG channel maximum amplitude.

650.00 mV

:OUTPut:M8190AX24:CHANnel[1:2]:ACAMplitude <numeric_value>

Ch1/Ch2 AC Output Format

Sets the output format to use for this channel in AC coupling.

DNRZ (Double NRZ)

:OUTPut:M8190AX24:CHANnel[1:2]:FORMat:AC DNRZ | NRZ | DOUBlet | RZ

Ch1/Ch2 DC Amplitude

When the Output Coupling is set to DC, this sets the AWG channel maximum amplitude.

650.00 mV

:OUTPut:M8190AX24:CHANnel[1:2]:DCAMplitude <numeric_value>

Ch1/Ch2 DC Offset

When the Output Coupling is set to DC, this sets the AWG channel DC offset.

0 V

:OUTPut:M8190AX24:CHANnel[1:2]:DCOFFSet <numeric_value>

Ch1/Ch2 DC Output Format

Sets the output format to use for this channel in DC coupling.

NRZ (Non Return to Zero)

:OUTPut:M8190AX24:CHANnel[1:2]:FORMat:DC DNRZ | NRZ | DOUBlet | RZ

Ch1/Ch2 Reduced Noise Disables/enables noise reduction for the channel. False :OUTPut:M8190AX24:CHANnel[1:2]:RNFLoor <Boolean>

Ch1/Ch2 Coarse Delay

Sets the coarse delay for this channel.

0 s

:OUTPut:M8190AX24:CHANnel[1:2]:CDELay <numeric_value>

Ch1/Ch2 Fine Delay

Sets the delay for this channel. Positive and negative skew between the two AWG channels is achieved by setting a positive delay on channel 1 (1 lags 2) or channel 2. (2 lags 1)

0 s

:OUTPut:M8190AX24:CHANnel[1:2]:DELay <numeric_value>

Ch1/Ch2 DUC Carrier Frequency

Sets the Digital Up-Conversion (DUC) carrier frequency for the channel.

1.50 GHz

:OUTPut:M8190AX24:CHANnel[1:2]:CARRier:FREQuency <numeric_value>

Ch1/Ch2 DUC Carrier Scale

Sets the Digital Up-Conversion (DUC) carrier scale factor for the channel.

1.00

:OUTPut:M8190AX24:CHANnel[1:2]:CARRier:SCALe <numeric_value>

Ch1/Ch2 Sample Marker Enabled

Sets whether the Sample Marker is enabled.

True

:OUTPut:M8190AX24:CHANnel[1:2]:SAMPle:ENABled <Boolean>

Ch1/Ch2 Sample Marker Start Position

Sets the Sample Marker start position.

0 s

:OUTPut:M8190AX24:CHANnel:SAMPle:SPOSition <numeric_value>

Ch1/Ch2 Sample Marker Width

Sets the Sample Marker width.

10 ns

:OUTPut:M8190AX24:CHANnel[1:2]:SAMPle:WIDTh <numeric_value>

Ch1/Ch2 Sync Marker Enabled

Sets whether the Sync Marker is enabled.

True

:OUTPut:M8190AX24:CHANnel[1:2]:SYNC:ENABled <Boolean>

Ch1/Ch2 Sync Marker Start Position

Sets the Sync Marker start position.

0 s

:OUTPut:M8190AX24:CHANnel[1:2]:SYNC:SPOSition <numeric_value>

Ch1/Ch2 Sync Marker Width

Sets the Sync Marker width.

10 ns

:OUTPut:M8190AX24:CHANnel[1:2]:SYNC:WIDTh <numeric_value>


M8190A AWG - DUC Mode (x48 Interpolation)

M8190A AWG Settings for DUC Mode (x48 Interpolation) in Waveform Creator

This section describes the M8190A AWG Settings for DUC Mode (x48 Interpolation) in Waveform Creator.

Field

Description

Default Value

Related SCPI Command

Agilent M8190A

Instrument Address

Sets the host name or IP address of the instrument.

If the M8190A software resides on the same computer as Waveform Creator then the IP address will be 127.0.0.1 (localhost).

-

:OUTPut:M8190AX48:ADDRess <quoted_string>

Socket Port Number

Sets the port number on the output device to which SCPI commands are sent.

-

:OUTPut:M8190AX48:SPORt <numeric_value>

Time Out

Sets the receive timeout for the connection. If the AWG does not respond in the specified time a download may fail.

2.000 s

:OUTPut:M8190AX48:TOUT <numeric_value>

Auto Scaling

If true, the waveform will be scaled up or down so it occupies the complete arb output range, if false, the waveform will be scaled using the specified Max Value. Turning Auto Scaling off allows you to fix the relationship between AWG voltages and waveform values, but incorrect Max Value setting may result in clipping or wrapping.

True

:OUTPut:M8190AX48:SCALe:AUTO <Boolean>

Max Value

When Auto Scaling is set to True, this setting reports the found maximum value prior to auto scaling. When Auto Scaling is set to False, this setting determines the maximum value that will be used to scale all waveforms.

This ensures that all waveforms will have the same average power level for a given AWG output gain setting, but you must ensure that the set maximum value is not exceeded by any waveform (otherwise distortion due to clipping or wrapping will occur).

2.0000

:OUTPut:M8190AX48:SCALe:MAXimum <numeric_value>

AWG Granularity Options

Some of Agilent's wideband AWGs have memory granularity. That is, the waveform length has to be an integer multiple of a minimum sample chunk size. The chunk size for M8190A Speed Mode is 64 samples.

If the waveform generation process has resulted in a sample count that is not a whole number of memory chunks long, then this setting determines how the AWG granularity requirement is met. The options are:

  • Repeat: Multiple repetitions of the waveform are downloaded to the AWG memory until it occupies a whole number of memory chunks. This can increase download times and AWG memory usage considerably but will ensure the best possible signal quality.
  • Truncate: A few samples are removed from the waveform. This is not appropriate for signals that are computed to be phase continuous when played repetitively.
  • Append Silence : This is the least intrusive for a burst mode signal. A few extra zero samples are added to the waveform. This has the effect of slightly increasing the inter-packet gap so it is not appropriate if you want a precise time between bursts. It is also not appropriate for signals that are computed to be phase continuous when played repetitively.

    Both Append and Truncate can add imperfections to the signal that is played out, but they ensure the quickest download times and lowest arb memory usage.

Repeat

:OUTPut:M8190AX48:GRANularity REPeat | TRUNcate | APPend

Reference Clock Source

The M8190A can be configured to take its reference clock either from the 100 MHz clock provided by the AXIe card cage backplane or from the REF CLK IN connector on the front panel.

  • External: Reference is taken from REF CLK IN.
  • AXI: reference is taken from AXI backplane

AXI

:OUTPut:M8190AX48:OSCillator:SOURce EXTernal | AXI

Reference Clock Frequency

Sets the expected reference clock frequency, if the external reference clock source is selected.

100 MHz

:OUTPut:M8190AX48:OSCillator:FREQuency <numeric_value>

Advance Source Type

Sets the source for the advancement event.

Trigger

:OUTPut:M8190AX48:ASOUrce TRIGger | EVENt

Download Mixed Waveform

If true, the mixed waveform is downloaded.

True

:OUTPut:M8190AX48:SEGMents:MIXed <Boolean>

Download All Individual Waveforms

If true, each segment is downloaded individually.

False

:OUTPut:M8190AX48:SEGMents:ALL <Boolean>

Play On Download

If this is set to True then the AWG will be instructed to play the waveform once it is downloaded. If false, the waveform is simply stored in the AWG waveform list.

True

:OUTPut:M8190AX48:PLAY <Boolean>

Channel 1/Channel 2 Settings

Download to Ch1/Ch2

If this is set to True, waveform data will be downloaded to this channel.

True

:OUTPut:M8190AX48:CHANnel[1:2]:STATe <Boolean>

Ch1/Ch2 Output Coupling

Set the output coupling for the AWG. The choices are:

  • DAC - the AWG DAC outputs are brought directly to the front panel with no amplification or filtering.
  • DC – the AWG DAC outputs are passed through a DC-coupled amplifier.
  • AC – the AWG DAC outputs are passed through an AC coupled amplifier.

DAC

:OUTPut:M8190AX48:CHANnel[1:2]:COUPling AC | DC | DAC

Ch1/Ch2 DAC Amplitude

When the Output Coupling is set to DAC, this sets the AWG channel maximum amplitude.

650.00 mV

:OUTPut:M8190AX48:CHANnel[1:2]:DACamplitude <numeric_value>

Ch1/Ch2 DAC Offset

When the Output Coupling is set to DAC, this sets the AWG channel DC offset.

0 V

:OUTPut:M8190AX48:CHANnel[1:2]:DACOffset <numeric_value>

Ch1/Ch2 DAC Output Format

Sets the output format to use for this channel in DAC coupling.

DNRZ (Double NRZ)

:OUTPut:M8190AX48:CHANnel[1:2]:FORMat:DAC DNRZ | NRZ | DOUBlet | RZ

Ch1/Ch2 AC Amplitude

When the Output Coupling is set to AC, this sets the AWG channel maximum amplitude.

650.00 mV

:OUTPut:M8190AX48:CHANnel[1:2]:ACAMplitude <numeric_value>

Ch1/Ch2 AC Output Format

Sets the output format to use for this channel in AC coupling.

DNRZ (Double NRZ)

:OUTPut:M8190AX48:CHANnel[1:2]:FORMat:AC DNRZ | NRZ | DOUBlet | RZ

Ch1/Ch2 DC Amplitude

When the Output Coupling is set to DC, this sets the AWG channel maximum amplitude.

650.00 mV

:OUTPut:M8190AX48:CHANnel[1:2]:DCAMplitude <numeric_value>

Ch1/Ch2 DC Offset

When the Output Coupling is set to DC, this sets the AWG channel DC offset.

0 V

:OUTPut:M8190AX48:CHANnel[1:2]:DCOFFSet <numeric_value>

Ch1/Ch2 DC Output Format

Sets the output format to use for this channel in DC coupling.

NRZ (Non Return to Zero)

:OUTPut:M8190AX48:CHANnel[1:2]:FORMat:DC DNRZ | NRZ | DOUBlet | RZ

Ch1/Ch2 Reduced Noise Disables/enables noise reduction for the channel. False :OUTPut:M8190AX48:CHANnel[1:2]:RNFLoor <Boolean>

Ch1/Ch2 Coarse Delay

Sets the coarse delay for this channel.

0 s

:OUTPut:M8190AX48:CHANnel[1:2]:CDELay <numeric_value>

Ch1/Ch2 Fine Delay

Sets the delay for this channel. Positive and negative skew between the two AWG channels is achieved by setting a positive delay on channel 1 (1 lags 2) or channel 2. (2 lags 1)

0 s

:OUTPut:M8190AX48:CHANnel[1:2]:DELay <numeric_value>

Ch1/Ch2 DUC Carrier Frequency

Sets the Digital Up-Conversion (DUC) carrier frequency for the channel.

1.50 GHz

:OUTPut:M8190AX48:CHANnel[1:2]:CARRier:FREQuency <numeric_value>

Ch1/Ch2 DUC Carrier Scale

Sets the Digital Up-Conversion (DUC) carrier scale factor for the channel.

1.00

:OUTPut:M8190AX48:CHANnel[1:2]:CARRier:SCALe <numeric_value>

Ch1/Ch2 Sample Marker Enabled

Sets whether the Sample Marker is enabled.

True

:OUTPut:M8190AX48:CHANnel[1:2]:SAMPle:ENABled <Boolean>

Ch1/Ch2 Sample Marker Start Position

Sets the Sample Marker start position.

0 s

:OUTPut:M8190AX48:CHANnel[1:2]:SAMPle:SPOSition <numeric_value>

Ch1/Ch2 Sample Marker Width

Sets the Sample Marker width.

10 ns

:OUTPut:M8190AX48:CHANnel[1:2]:SAMPle:WIDTh <numeric_value>

Ch1/Ch2 Sync Marker Enabled

Sets whether the Sync Marker is enabled.

True

:OUTPut:M8190AX48:CHANnel[1:2]:SYNC:ENABled <Boolean>

Ch1/Ch2 Sync Marker Start Position

Sets the Sync Marker start position.

0 s

:OUTPut:M8190AX48:CHANnel[1:2]:SYNC:SPOSition <numeric_value>

Ch1/Ch2 Sync Marker Width

Sets the Sync Marker width.

10 ns

:OUTPut:M8190AX48:CHANnel[1:2]:SYNC:WIDTh <numeric_value>


M933xA Output Plug-in

M933xA AWG

Waveform Creator supports output to Agilent M933xA series Arbitrary Waveform Generators (AWG). You can output waveforms to any of the following M933xA devices:

  • M9330A: 15bit, 1.25 GSa/s
  • M9331A: 10bit, 1.25 GSa/s

The following two modes are supported for each of the above devices:

  • Basic Mode
  • DDS Mode

M933xA series AWG, as an output device, provides support for the following:

  • Waveform download
  • Markers
  • Sequencing waveform segments

For a full description of the configuration and functionality of the M933xA Arbitrary Waveform Generator, please refer to the M933xA User's Guide (P/N M9330-90004).

Note:

When viewing the waveforms in 89600 VSA, the center frequency in 89600 VSA assumes the value of Track Offset Frequency for M9330A - Basic mode.


M933xA AWG - Basic Mode

M933xA AWG Settings for Basic Mode in Waveform Creator

This section describes the M933xA AWG Settings for Basic Mode in Waveform Creator.

Field

Description

Default Value

Related SCPI Command

Agilent M933xA

Model

The model for the M933xA driver.

M9330A

:OUTPut:M933xA:MODel M9330A | M9331A

Output To

Sets the type of output to be used. The available options include:

  • Output to HW: The waveform is output to the hardware.
  • Output to Simulated HW: The waveform is output to a simulated instance of M933xA.

Output to HW

:OUTPut:M933xA:OUTPut HARDware | SIMulate

VISA Address

The VISA address for this output device. This is the VISA address string as listed under Instrument Properties in Agilent Connection Expert.

-

:OUTPut:M933xA:ADDRess <quoted_string>

AWG Granularity Options

Some of Agilent's wideband AWGs have memory granularity. That is, the waveform length has to be an integer multiple of a minimum sample chunk size.

If the waveform generation process has resulted in a sample count that is not a whole number of memory chunks long, then this setting determines how the AWG granularity requirement is met. The options are:

  • Repeat: Multiple repetitions of the waveform are downloaded to the AWG memory until it occupies a whole number of memory chunks. This can increase download times and AWG memory usage considerably but will ensure the best possible signal quality.
  • Truncate: A few samples are removed from the waveform. This is not appropriate for signals that are computed to be phase continuous when played repetitively.
  • Append Silence : This is the least intrusive for a burst mode signal. A few extra zero samples are added to the waveform. This has the effect of slightly increasing the inter-packet gap so it is not appropriate if you want a precise time between bursts. It is also not appropriate for signals that are computed to be phase continuous when played repetitively.

    Both Append and Truncate can add imperfections to the signal that is played out, but they ensure the quickest download times and lowest arb memory usage.

Repeat

:OUTPut:M933xA:GRANularity REPeat | TRUNcate | APPend

Reference Clock Source

Sets the reference clock source.

  • External: Reference is taken from EXT CLK IN.
  • PXI10: Reference is taken from PXI backplane.

PXI_10MHz

:OUTPut:M933xA:OSCillator:SOURce INTernal | EXTernal | PXI10

External Clock Frequency

If the external reference clock source is selected, this setting configures the expected reference clock frequency.

1.25 GHz

:OUTPut:M933xA:OSCillator:FREQuency <numeric_value>

Sync Clock In

Sets the synchronization mode.

Disabled

:OUTPut:M933xA:SCLock DISabled | MASTer | SLAVe

Download Mixed Waveform

If true, the mixed waveform is downloaded.

True

:OUTPut:M933xA:SEGMents:MIXed <Boolean>

Download All Individual Waveforms

If true, each segment is downloaded individually.

False

:OUTPut:M933xA:SEGMents:ALL <Boolean>

Channel 1/Channel 2 Settings

Download to Ch1/Ch2

If this is set to True, waveform data will be downloaded to this channel.

True

:OUTPut:M933xA:CHANnel:STATe <Boolean>

Ch1/Ch2 Download Data

Sets whether I Data (real part) or Q Data (imaginary part) is downloaded to this channel.

I Data for Channel 1 and Q Data for Channel 2

:OUTPut:M933xA:CHANnel:DDATa IDATa | QDATa

Ch1/Ch2 Output

Sets the amplitude for the channel.

250 mV

:OUTPut:M933xA:CHANnel:OUTPut <numeric_value>

Ch1/Ch2 Offset

Sets the offset for the channel.

0 V

:OUTPut:M933xA:CHANnel:OFFSet <numeric_value>

Ch1/Ch2 Output Config

Sets the output type for the channel. The available options include:

  • Single Ended
  • Differential
  • Amplified

Single Ended

:OUTPut:M933xA:CHANnel:OCONfig SENDed | DIFFerential | AMPLified

Ch1/Ch2 Play Mode

Sets the play mode for the channel.

Continuous

:OUTPut:M933xA:CHANnel:PMODe CONTinuous | BURSt

Ch1/Ch2 Filter Enabled

Set whether filter is to be applied to the channel.

False

:OUTPut:M933xA:CHANnel:FENabled <Boolean>

Ch1/Ch2 Channel Bandwidth

If the Ch1/Ch2 Filter Enabled setting is True, this setting enables you to choose 250 MHz or 500 MHz as the bandwidth of the output channel.

500MHz

:OUTPut:M933xA:CHANnel:CBANdwidth B500 | B250

Ch1/Ch2 Marker1 Enabled

Sets whether Marker 1 is enabled.

True

:OUTPut:M933xA:CHANnel:MKR1|MKR:ENABled <Boolean>

Ch1/Ch2 Marker1 Start Position

Sets the start position of Marker 1.

0 s

:OUTPut:M933xA:CHANnel:MKR1|MKR:SPOSition <numeric_value>

Ch1/Ch2 Marker1 Width

Sets the width of Marker 1.

10 ns

:OUTPut:M933xA:CHANnel:MKR1|MKR:WIDTh <numeric_value>

Ch1/Ch2 Marker2 Enabled

Sets whether Marker 2 is enabled.

True

:OUTPut:M933xA:CHANnel:MKR2[1:2]:ENABled <Boolean>

Ch1/Ch2 Marker2 Start Position

Sets the start position of Marker 2.

0 s

:OUTPut:M933xA:CHANnel:MKR2[1:2]:SPOSition <numeric_value>

Ch1/Ch2 Marker2 Width

Sets the width of Marker 2.

10 ns

:OUTPut:M933xA:CHANnel:MKR2[1:2]:WIDTh <numeric_value>

Markers

Marker 1 Source

The following markers can be enabled:

  • Waveform Start, Repeat, and Gate
  • Software 1-4
  • Ch 1 Memory Marker 1 and Memory Marker 2
  • Ch 2 Memory Marker 1 and Memory Marker 2
  • DDS Waveform Start
  • Scenario Repeat
  • Sequence Start, Repeat, and Gate
  • Hardware Trigger 1-4
  • Hardware Auxiliary Trigger

Disabled

:OUTPut:M933xA:MKR1|MKR:SOURce DISabled | WSTart | WREPeat | WGATe | SOFTware1 | SOFTware2 | SOFTware3 | SOFTware4 | CH1M1 | CH1M2 | CH2M1 | CH2M2 | DSTart | SCERepeat | SSTart | SEQRepeat | SGATe | HTRigger1 | HTRigger2 | HTRigger3 | HTRigger4 | HATRigger

Marker 1 Delay

Delay for Marker 1

0 s

:OUTPut:M933xA:MKR1|MKR:DELay <numeric_value>

Marker 1 Pulse Width

Pulse width for Marker 1

0 s

:OUTPut:M933xA:MKR1|MKR:PWIDth <numeric_value>

Marker 2 Source

The following markers can be enabled:

  • Waveform Start, Repeat, and Gate
  • Software 1-4
  • Ch 1 Memory Marker 1 and Memory Marker 2
  • Ch 2 Memory Marker 1 and Memory Marker 2
  • DDS Waveform Start
  • Scenario Repeat
  • Sequence Start, Repeat, and Gate
  • Hardware Trigger 1-4
  • Hardware Auxiliary Trigger

Disabled

:OUTPut:M933xA:MKR2:SOURce DISabled | WSTart | WREPeat | WGATe | SOFTware1 | SOFTware2 | SOFTware3 | SOFTware4 | CH1M1 | CH1M2 | CH2M1 | CH2M2 | DSTart | SCERepeat | SSTart | SEQRepeat | SGATe | HTRigger1 | HTRigger2 | HTRigger3 | HTRigger4 | HATRigger

Marker 2 Delay

Delay for Marker 2

0 s

:OUTPut:M933xA:MKR2:DELay <numeric_value>

Marker 2 Pulse Width

Pluse width for Marker 2

0 s

:OUTPut:M933xA:MKR2:PWIDth <numeric_value>

Marker 3 Source

The following markers can be enabled:

  • Waveform Start, Repeat, and Gate
  • Software 1-4
  • Ch 1 Memory Marker 1 and Memory Marker 2
  • Ch 2 Memory Marker 1 and Memory Marker 2
  • DDS Waveform Start
  • Scenario Repeat
  • Sequence Start, Repeat, and Gate
  • Hardware Trigger 1-4
  • Hardware Auxiliary Trigger

Disabled

:OUTPut:M933xA:MKR3:SOURce DISabled | WSTart | WREPeat | WGATe | SOFTware1 | SOFTware2 | SOFTware3 | SOFTware4 | CH1M1 | CH1M2 | CH2M1 | CH2M2 | DSTart | SCERepeat | SSTart | SEQRepeat | SGATe | HTRigger1 | HTRigger2 | HTRigger3 | HTRigger4 | HATRigger

Marker 3 Delay

Delay for Marker 3

0 s

:OUTPut:M933xA:MKR3:DELay <numeric_value>

Marker 3 Pulse Width

Pulse width for Marker 3

0 s

:OUTPut:M933xA:MKR3:PWIDth <numeric_value>

Marker 4 Source

The following markers can be enabled:

  • Waveform Start, Repeat, and Gate
  • Software 1-4
  • Ch 1 Memory Marker 1 and Memory Marker 2
  • Ch 2 Memory Marker 1 and Memory Marker 2
  • DDS Waveform Start
  • Scenario Repeat
  • Sequence Start, Repeat, and Gate
  • Hardware Trigger 1-4
  • Hardware Auxiliary Trigger

Disabled

:OUTPut:M933xA:MKR4:SOURce DISabled | WSTart | WREPeat | WGATe | SOFTware1 | SOFTware2 | SOFTware3 | SOFTware4 | CH1M1 | CH1M2 | CH2M1 | CH2M2 | DSTart | SCERepeat | SSTart | SEQRepeat | SGATe | HTRigger1 | HTRigger2 | HTRigger3 | HTRigger4 | HATRigger

Marker 4 Delay

Delay for Marker 4

0 s

:OUTPut:M933xA:MKR4:DELay <numeric_value>

Marker 4 Pulse Width

Pulse width for Marker 4

0s

:OUTPut:M933xA:MKR4:PWIDth <numeric_value>


M933xA AWG - DDS Mode

M933xA AWG Settings for DDS Mode in Waveform Creator

This section describes the M933xA AWG Settings for DDS Mode in Waveform Creator.

Field

Description

Default Value

Related SCPI Command

Agilent M933xA

Model

The model for the M933xA driver.

M9330A

:OUTPut:M933xADDS:MODel M9330A | M9331A

Output To

Sets the type of output to be used. The available options include:

  • Output to HW: The waveform is output to the hardware.
  • Output to Simulated HW: The waveform is output to a simulated instance of M933xA.

Output to HW

:OUTPut:M933xADDS:OUTPut HARDware | SIMulate

VISA Address

The VISA address for this output device. This is the VISA address string as listed under Instrument Properties in Agilent Connection Expert.

-

:OUTPut:M933xADDS:ADDRess <quoted_string>

Interpolation Ratio

Sets the interpolation ratio.

1

:OUTPut:M933xADDS:IRATio R1 | R2 | R4 | R8 | R16 | R32 | R64 | R128 | R256 | R512 | R1024

AWG Granularity Options

Some of Agilent's wideband AWGs have memory granularity. That is, the waveform length has to be an integer multiple of a minimum sample chunk size.

If the waveform generation process has resulted in a sample count that is not a whole number of memory chunks long, then this setting determines how the AWG granularity requirement is met. The options are:

  • Repeat: Multiple repetitions of the waveform are downloaded to the AWG memory until it occupies a whole number of memory chunks. This can increase download times and AWG memory usage considerably but will ensure the best possible signal quality.
  • Truncate: A few samples are removed from the waveform. This is not appropriate for signals that are computed to be phase continuous when played repetitively.
  • Append Silence : This is the least intrusive for a burst mode signal. A few extra zero samples are added to the waveform. This has the effect of slightly increasing the inter-packet gap so it is not appropriate if you want a precise time between bursts. It is also not appropriate for signals that are computed to be phase continuous when played repetitively.

    Both Append and Truncate can add imperfections to the signal that is played out, but they ensure the quickest download times and lowest arb memory usage.

Repeat

:OUTPut:M933xADDS:GRANularity REPeat | TRUNcate | APPend

Reference Clock Source

Sets the reference clock source.

  • External: Reference is taken from EXT CLK IN.
  • PXI10: Reference is taken from PXI backplane.

PXI_10MHz

:OUTPut:M933xADDS:OSCillator:SOURce INTernal | EXTernal | PXI10

External Clock Frequency

If the external reference clock source is selected, this setting configures the expected reference clock frequency.

1.25 GHz

:OUTPut:M933xADDS:OSCillator:FREQuency <numeric_value>

Sync Clock In

Sets the synchronization mode.

Disabled

:OUTPut:M933xADDS:SCLock DISabled | MASTer | SLAVe

Download Mixed Waveform

If true, the mixed waveform is downloaded.

True

:OUTPut:M933xADDS:SEGMents:MIXed <Boolean>

Download All Individual Waveforms

If true, each segment is downloaded individually.

False

:OUTPut:M933xADDS:SEGMents:ALL <Boolean>

Channel 1/Channel 2 Settings

Download to Ch1/Ch2

If this is set to True, waveform data will be downloaded to this channel.

True

:OUTPut:M933xADDS:CHANnel:STATe <Boolean>

Ch1/Ch2 Download Data

Sets whether I Data (real part) or Q Data (imaginary part) is downloaded to this channel.

I Data for Channel 1 and Q Data for Channel 2

:OUTPut:M933xADDS:CHANnel:DDATa IDATa | QDATa

Ch1/Ch2 Output

Sets the amplitude for the channel.

250 mV

:OUTPut:M933xADDS:CHANnel:OUTPut <numeric_value>

Ch1/Ch2 Offset

Sets the offset for the channel.

0 V

:OUTPut:M933xADDS:CHANnel:OFFSet <numeric_value>

Ch1/Ch2 Output Config

Sets the output type for the channel. The available options include:

  • Single Ended
  • Differential
  • Amplified

Single Ended

:OUTPut:M933xADDS:CHANnel:OCONfig SENDed | DIFFerential | AMPLified

Ch1/Ch2 Play Mode

Sets the play mode for the channel.

Continuous

:OUTPut:M933xADDS:CHANnel:PMODe CONTinuous | BURSt

Ch1/Ch2 Filter Enabled

Set whether filter is to be applied to the channel.

False

:OUTPut:M933xADDS:CHANnel:FENabled <Boolean>

Ch1/Ch2 Channel Bandwidth

If the Ch1/Ch2 Filter Enabled setting is True, this setting enables you to choose 250 MHz or 500 MHz as the bandwidth of the output channel.

500MHz

:OUTPut:M933xADDS:CHANnel:CBANdwidth B500 | B250

Ch1/Ch2 Marker1 Enabled

Sets whether Marker 1 is enabled.

True

:OUTPut:M933xADDS:CHANnel:MKR1|MKR:ENABled <Boolean>

Ch1/Ch2 Marker1 Start Position

Sets the start position of Marker 1.

0 s

:OUTPut:M933xADDS:CHANnel:MKR1|MKR:SPOSition <numeric_value>

Ch1/Ch2 Marker1 Width

Sets the width of Marker 1.

10 ns

:OUTPut:M933xADDS:CHANnel:MKR1|MKR:WIDTh <numeric_value>

Ch1/Ch2 Marker2 Enabled

Sets whether Marker 2 is enabled.

True

:OUTPut:M933xADDS:CHANnel:MKR2[1:2]:ENABled <Boolean>

Ch1/Ch2 Marker2 Start Position

Sets the start position of Marker 2.

0 s

:OUTPut:M933xADDS:CHANnel:MKR2[1:2]:SPOSition <numeric_value>

Ch1/Ch2 Marker2 Width

Sets the width of Marker 2.

10 ns

:OUTPut:M933xADDS:CHANnel:MKR2[1:2]:WIDTh <numeric_value>

Markers

Marker 1 Source

The following markers can be enabled:

  • Waveform Start, Repeat, and Gate
  • Software 1-4
  • Ch 1 Memory Marker 1 and Memory Marker 2
  • Ch 2 Memory Marker 1 and Memory Marker 2
  • DDS Waveform Start
  • Scenario Repeat
  • Sequence Start, Repeat, and Gate
  • Hardware Trigger 1-4
  • Hardware Auxiliary Trigger

Disabled

:OUTPut:M933xADDS:MKR1|MKR:SOURce DISabled | WSTart | WREPeat | WGATe | SOFTware1 | SOFTware2 | SOFTware3 | SOFTware4 | CH1M1 | CH1M2 | CH2M1 | CH2M2 | DSTart | SCERepeat | SSTart | SEQRepeat | SGATe | HTRigger1 | HTRigger2 | HTRigger3 | HTRigger4 | HATRigger

Marker 1 Delay

Delay for Marker 1

0 s

:OUTPut:M933xADDS:MKR1|MKR:DELay <numeric_value>

Marker 1 Pulse Width

Pulse width for Marker 1

0 s

:OUTPut:M933xADDS:MKR1|MKR:PWIDth <numeric_value>

Marker 2 Source

The following markers can be enabled:

  • Waveform Start, Repeat, and Gate
  • Software 1-4
  • Ch 1 Memory Marker 1 and Memory Marker 2
  • Ch 2 Memory Marker 1 and Memory Marker 2
  • DDS Waveform Start
  • Scenario Repeat
  • Sequence Start, Repeat, and Gate
  • Hardware Trigger 1-4
  • Hardware Auxiliary Trigger

Disabled

:OUTPut:M933xADDS:MKR2:SOURce DISabled | WSTart | WREPeat | WGATe | SOFTware1 | SOFTware2 | SOFTware3 | SOFTware4 | CH1M1 | CH1M2 | CH2M1 | CH2M2 | DSTart | SCERepeat | SSTart | SEQRepeat | SGATe | HTRigger1 | HTRigger2 | HTRigger3 | HTRigger4 | HATRigger

Marker 2 Delay

Delay for Marker 2

0 s

:OUTPut:M933xADDS:MKR2:DELay <numeric_value>

Marker 2 Pulse Width

Pulse width for Marker 2

0 s

:OUTPut:M933xADDS:MKR2:PWIDth <numeric_value>

Marker 3 Source

The following markers can be enabled:

  • Waveform Start, Repeat, and Gate
  • Software 1-4
  • Ch 1 Memory Marker 1 and Memory Marker 2
  • Ch 2 Memory Marker 1 and Memory Marker 2
  • DDS Waveform Start
  • Scenario Repeat
  • Sequence Start, Repeat, and Gate
  • Hardware Trigger 1-4
  • Hardware Auxiliary Trigger

Disabled

:OUTPut:M933xADDS:MKR3:SOURce DISabled | WSTart | WREPeat | WGATe | SOFTware1 | SOFTware2 | SOFTware3 | SOFTware4 | CH1M1 | CH1M2 | CH2M1 | CH2M2 | DSTart | SCERepeat | SSTart | SEQRepeat | SGATe | HTRigger1 | HTRigger2 | HTRigger3 | HTRigger4 | HATRigger

Marker 3 Delay

Delay for Marker 3

0 s

:OUTPut:M933xADDS:MKR3:DELay <numeric_value>

Marker 3 Pulse Width

Pulse width for Marker 3

0 s

:OUTPut:M933xADDS:MKR3:PWIDth <numeric_value>

Marker 4 Source

The following markers can be enabled:

  • Waveform Start, Repeat, and Gate
  • Software 1-4
  • Ch 1 Memory Marker 1 and Memory Marker 2
  • Ch 2 Memory Marker 1 and Memory Marker 2
  • DDS Waveform Start
  • Scenario Repeat
  • Sequence Start, Repeat, and Gate
  • Hardware Trigger 1-4
  • Hardware Auxiliary Trigger

Disabled

:OUTPut:M933xADDS:MKR4:SOURce DISabled | WSTart | WREPeat | WGATe | SOFTware1 | SOFTware2 | SOFTware3 | SOFTware4 | CH1M1 | CH1M2 | CH2M1 | CH2M2 | DSTart | SCERepeat | SSTart | SEQRepeat | SGATe | HTRigger1 | HTRigger2 | HTRigger3 | HTRigger4 | HATRigger

Marker 4 Delay

Delay for Marker 4

0 s

:OUTPut:M933xADDS:MKR4:DELay <numeric_value>

Marker 4 Pulse Width

Pulse width for Marker 4

0s

:OUTPut:M933xADDS:MKR4:PWIDth <numeric_value>


M9330A DDS Sequencer

This feature enables you to leverage the waveform sequencing capabilities of the M9330A DDS Sequencer using Waveform Creator.

To sequence the individual waveform segments, perform the following steps:
1 Drag and drop waveform segments from the Plug-ins window to the Waveform Layout window.
2 Select Generate > Output Device > Agilent M933xA AWG > DDS Mode.
3 Click Sequencing in the Output Device Window.

4 Click Add.
5 Specify values for the fields shown in the following dialog box and click OK.
The values entered in the Sequence dialog box are recorded in the sequence definition area of the Sequencer tab. This enables you to review the values after the Sequence dialog box is closed.
6 Repeat Steps 4 and 5 to add data for more segments.

7 Use the Up and Down arrows to arrange the waveform segments in the sequence.
8 Set Download All Individual Waveforms to True in the M9330A output device settings.
9 After downloading the waveform to the M9330A output device, click Play Sequence.
For more information about the DDS Sequencer, refer to the Agilent M933x Series AWG Modules User's Guide (P/N - M9330-90004).


M9381A Output Plug-in

Agilent M9381A VSG

The Waveform Creator supports output to Agilent M9381A Vector Signal Generator (VSG).

Besides outputting to M9381A VSG, exporting to M9381A native file formats is also supported. Select Output to File as the value of the Output To setting and specify the file name in the Native File Name setting. This enables you to export the mixed waveform to M9381A native file formats. Three files will be generated: IQ data for mixed waveform, Markers definition and ReadMe. Data File Write option is needed for this operation. To load M9381A native files into M9381A SFP, follow these steps:

  • load IQ data into ARB source of M9381A SFP
  • load Markers file into Marker of M9381A SFP
  • input Sample Rate, RMS Power, Scale, Offset Frequency, etc according to corresponding information in the ReadMe file

Sequencing

The Sequencing feature allows you to download all waveform segments individually to the specified instrument, and then play/repeat them in a specific order.

Sequencing

To download all waveform segments individually, perform the following steps:

  1. In the Current Output Device Settings panel, set Download All Individual Waveforms to True.
    Current Output Device Settings Panel
  2. Click the Generate and Output button.
    Waveform Creator downloads all waveform segments individually to the specified instrument.

You can specify the order and number of loops for each waveform segment by clicking the Sequencing tab in the Output Device window, and click the Play Sequence button to play the sequence on the instrument.

Example
In the following example, Segment 1 on track 1 plays 1 time, Segment 2 on track 1 plays 6 times, and then Segment 1 on track 2 plays 4 times.
Segment Number and Play Sequence

Agilent M9381A VSG Settings in Waveform Creator

Field

Description

Default Value

Related SCPI Command

Agilent M9381A

Output To

Sets the type of output to be used. The available options include:

  • Output to HW: The waveform is output to the hardware.
  • Output to File: The waveform is output to a specified file.
  • Output to Simulated HW: The waveform is output to a simulated instance of M9381A.

Output to HW

:OUTPut:M9381A:OUTPut HARDware | FILE | SIMulate

Instrument Address

Sets the VISA address of the instrument.

This can be a comma or semicolon separated list of module addresses (for example, PXI10::15::0::INSTR;PXI10::16::0::INSTR;PXI10::17::0::INSTR;PXI10::18::0::INSTR) or the name of a saved "Instrument Connection" created by the SFP such as M9381A.

This setting is visible only when the Output To setting has the value Output to HW.

-

:OUTPut:M9381A:ADDRess <quoted_string>

Native File Name

Name of the CSV file to which the waveform is exported. This file can be loaded into M9381A SFP.

This setting is visible only when the Output To setting has the value Output to File.

-

:OUTPut:M9381A:FILEname <quoted_string>

Frequency

Sets the RF generator frequency.

1 GHz

:OUTPut:M9381A:FREQuency <numeric_value>

Amplitude

Sets the RF generator amplitude.

-115 dBm

:OUTPut:M9381A:AMPLitude <numeric_value>

Waveform Name

Sets the name of downloaded waveform.

M9381A

:OUTPut:M9381A:WAVeform:NAME <quoted_string>

Download Mixed Waveform

If true, the mixed waveform is downloaded.

True

:OUTPut:M9381A:SEGMents:MIXed <Boolean>

Download All Individual Waveforms

If true, each segment is downloaded.

False

:OUTPut:M9381A:SEGMents:ALL <Boolean>

Start Event

Defines the event that causes a waveform to start playing.

  • Start Immediate: The waveform will start playing immediately after download.
  • External Trigger: The waveform will wait for an external trigger to start playing.

Start Immediate

:OUTPut:M9381A:STARt:EVENt Immediate | External

RF On

Turns the RF Output on and off.

True

:OUTPut:M9381A:RF:STATe <Boolean>

RF Blanking Mode

Sets the RF Blanking mode for the RF output.

Controls how the RF Output can be pulsed using an input trigger.

  • NPULsed: The RF output is always on, unless disabled.
  • ONTRigger: The RF output is pulsed on with an input trigger.
  • OFFTrigger: The RF output is pulsed off with an input trigger.

Not Pulsed

::OUTPut:M9381A:RF:BLANking NPULsed | ONTRigger | OFFTrigger

ALC On

Enables or disables the closed loop Auto Level Control (ALC) in the M9301A RF Source Output module.

The purpose of the ALC system is to control the amplitude (power-level) of the RF energy generated by the synthesizer. It is a feedback control system, in which the output power level is measured and compared to a desired power level specified by the Amplitude control. If the output power level does not equal the specified power level in the Amplitude text entry box, the ALC system changes the output power level until it is equal to the specified power level.

False

:OUTPut:M9381A:ALC:STATe <Boolean>

ALC Hold Mode

Defines how the ALC circuit in the output module functions when the ALC is enabled.

  • OFF: The ALC bandwidth can limit wideband complex modulation. In these situations, it is desirable to turn off the ALC. However, this reduces the output of the final output level. When used with slow/narrow bandwidth, it provides best accuracy and lowest noise for unmodulated CW. Not recommended for modulated signals with AM components below 100 Hz. This is the default setting.
  • HMARker: Used when playing a waveform file and if a marker is crossed in the waveform file, the ALC will hold on that marker. Use the marker to automatically switch the ALC between Hold and Slow.
  • TMARker: Used when playing a waveform file and if a marker is crossed in the waveform file, the ALC will track on the marker. Use the marker input to automatically switch the ALC between Slow and Hold.

Off

:OUTPut:M9381A:ALC:MODe OFF | HMARker | TMARker

ARB Settings

RMS Power

RMS power (in dB) for the downloaded waveform.
Range: 0 dB to 20 dB.

0 dB

Auto Scale

Normalizes waveform into [-1, 1] Volt range before downloading.

True

:OUTPut:M9381A:SCALe:AUTO <Boolean>

Scale Factor

Sets the scale factor of the modulator, where the range can vary from 0.1 to 1.0. A value of 1.0 represents 100% full scale modulation.

1.00

:OUTPut:M9381A:SCALe:FACTor <numeric_value>

Offset Frequency

Specifies the Baseband center frequency (in Hertz), which can effectively be an "offset" from the RF frequency.
Range: -80 MHz to +80 MHz.

0 Hz

:OUTPut:M9381A:FREQuency:OFFSet <numeric_value>

Offset Power

Specifies the adjustment required to quickly control the power of modulator prior to up-conversion to the RF carrier.
Range: -50 dB to 0 dB.

0 dB

:OUTPut:M9381A:POWer:OFFSet <numeric_value>

Sync Output Trigger

Specifies the marker to use for synchronizing the source with a client device.

Choose the Marker from Marker 1, 2, 3 and 4, based on which the synchronization trigger is generated.

False

:OUTPut:M9381A:SYNC:TRIGger <Boolean>

Output Trigger Length

Specifies the interval of the synchronization trigger.

10 ns

:OUTPut:M9381A:SYNC:TRIGger:LENGth <numeric_value>

Pulse Trigger

Choose the Marker from Marker 1, 2, 3 and 4 used for RF blanking.

None

:OUTPut:M9381A:RF:BLANking:TRIGger None | Marker1 | Marker2 | Marker3 | Marker4

ALC Hold Trigger

Specifies which marker is used for ALC Hold from Marker 1, 2, 3, and 4.

None

:OUTPut:M9381A:ALC:TRIGger None | Marker1 | Marker2 | Marker3 | Marker4

Impairment Settings

Phase Noise Enabled

Enables or disables the real-time phase noise impairment.

False

:OUTPut:M9381A:PHASe:NOISe:STATe <Boolean>

F1

Specifies the lower break frequency of the phase noise (in Hz). Range: > 0 Hz.

10 kHz

:OUTPut:M9381A:PHASe:NOISe:F1|F <numeric_value>

F2

Specifies the higher break frequency of the phase noise (in Hz). Range: > 0 Hz.

20 kHz

:OUTPut:M9381A:PHASe:NOISe:F2 <numeric_value>

LMID

Specifies the phase noise level, LMID (in dBc/Hz).

Level amplitude of the mid-frequency characteristics (LMID) sets the level amplitude of the flat mid-frequency characteristics.

-80 dBc/Hz

:OUTPut:M9381A:PHASe:NOISe:LMID <numeric_value>

IQ Impairments Enabled

Enables or disables the use of IQ impairments.

False

:OUTPut:M9381A:IMPairment:STATe <Boolean>

I Offset

Specifies a DC offset to the I-path signal during IQ modulation. Range -25% to +25%.

0%

:OUTPut:M9381A:IMPairment:IOFFSet <numeric_value>

Q Offset

Specifies a DC offset to the Q-path signal during IQ modulation. Range -25% to +25%.

0%

:OUTPut:M9381A:IMPairment:QOFFset <numeric_value>

Gain Imbalance

Specifies the gain imbalance between the I and Q channels during IQ modulation. Range: +/-1.0 dB.

0 dB

:OUTPut:M9381A:IMPairment:RATio <numeric_value>

Delay (ns)

Specifies the time delay between the I and Q path signals during IQ modulation (in nanoseconds). Range is dependent on sample rate.

0

:OUTPut:M9381A:IMPairment:DELay <numeric_value>

Quadrature Skew

Specifies the phase angle impairment between the I and Q vectors (in degrees). Range: +/- 10 deg.

0

:OUTPut:M9381A:IMPairment:QSKew <numeric_value>

Marker 1 Settings

Marker 1 Start

Marker 1 Start.

0

:OUTPut:M9381A:MARKER1:STARt <numeric_value>

Marker 1 Length

Marker 1 Length.

10 ns

:OUTPut:M9381A:MARKER1:LENGth <numeric_value>

Marker 2 Settings

Marker 2 Start

Marker 2 Start.

0

:OUTPut:M9381A:MARKER2:STARt <numeric_value>

Marker 2 Length

Marker 2 Length.

10 ns

:OUTPut:M9381A:MARKER2:LENGth <numeric_value>

Marker 3 Settings

Marker 3 Start

Marker 3 Start.

0

:OUTPut:M9381A:MARKER3:STARt <numeric_value>

Marker 3 Length

Marker 3 Length.

10 ns

:OUTPut:M9381A:MARKER3:LENGth <numeric_value>

Marker 4 Settings

Marker 4 Start

Marker 4 Start.

0

:OUTPut:M9381A:MARKER4:STARt <numeric_value>

Marker 4 Length

Marker 4 Length.

10 ns

:OUTPut:M9381A:MARKER4:LENGth <numeric_value>


User-Defined Waveform Plug-in Tutorial

Creating Waveform Plug-ins

Introduction

The waveform creator software is structured as a general-purpose core to which various functions, implemented as external DLLs, can be logically "plugged in". One of these plug-in points provides a means for the end user to author their own custom waveform plug-in with very little system programming overhead. This tutorial describes how to author a simple waveform plug-in.

Terms and conventions
The following table lists the terms and conventions used in this tutorial:
Conventions

The icon | Indicates
 | A note or important information.
 | A tip
 | A caution or warning

Waveform Creation Plug-ins

Waveform Creator comes with a selection of Agilent-authored plug-ins that implement specific waveform formats. It is also possible to link directly into Agilent EESof SystemVue as a waveform source. However, this tutorial addresses the facility for the end user to author their own waveform plug-ins. For example to implement in-house proprietary / confidential waveforms, that can then be distributed as a reference implementation to other Waveform Creator installations within the user's organization.

Once a waveform is generated by a plug-in, it can be mixed with other signals, deliberately distorted, post processed, have noise added, be sin(x)/x pre-corrected (if required) then saved to a file for use in simulation work, or downloaded to an Agilent output device for real-time play out. This is equally true for both Agilent and customer authored waveforms; the output from a user-defined plug-in has equal status in the core application.

Building a User-Defined Waveform Plug-in

We will create a plug-in that generates a simple FM waveform (at IQ baseband) with control over the modulating frequency and the modulation index.

Setting up the Project

We will illustrate the process using Microsoft Visual Studio 2010 (VS2010) as our development environment.

  1. Run VS2010 and from the menu bar select File > New > Project
  2. Select Class Library from the list of templates and enter a suitable project name,
    MS Visual Studio - New Project Setup
  3. We have chosen to call it "MyWaveform".
  4. VS2010 will construct the project and open the Class1.cs source file containing some basic template code.
  5. In the Solution Explorer pane, right click on the default class name "Class1.cs" and rename to something more descriptive. We have chosen "SimpleFM.cs".
  6. VS2010 will ask if you would like to perform a rename of all references to Class 1; select Yes.
  7. Again in the Solution Explorer pane, right click on References and select Add Reference… to bring up the Add Reference dialog, and then click the Browse tab, and browse to wherever Waveform Creator is installed.
  8. The default location is C:\Program Files (x86)\Agilent\M9099 Waveform Creator
  9. Select the DLL file called Agilent.WaveformCreator.Core.Interfaces.dll
    MS Visual Studio - Add Reference File Browser
  10. Repeat the procedure to add a reference to the DLL file called MathNet.Iridium.dll which should be in the same directory as the interfaces DLL.
  11. The Solution Explorer pane should now look like,
    MS Visual Studio Solution Explorer with all references added

These are the only external references you will require to work with Waveform Creator. The Agilent.WaveformCreator.Core.Interfaces DLL defines the IPlugInSegmentBuilder interface. The MathNet.Iridium DLL defines the Complex class and provides other advanced math functions used by Waveform Creator.

The MathNet.Iridium DLL is part of the open source Math.Net project "Iridium (Numerics)". The latest version of this library is available from http://www.mathdotnet.com/ and the documentation can be found at
http://www.mathdotnet.com/doc/Iridium.ashx .

Next, open or switch to the class definition code file and add the using statements.

 using System;
 using System.Collections.Generic;
 using System.Linq;
 using System.Text;
 using Agilent.WaveformCreator.Core.Interfaces;
 using MathNet.Numerics;

 namespace MyWaveform
 {
     public class SimpleFM
     {
     }
 }

We make this new class inherit from the iterator class IPlugInSegmentBuilder

 namespace MyWaveform
 {
     public class SimpleFM : IPlugInSegmentBuilder
     {
     }
 }

  1. Click on the word IPlugInSegmentBuilder then hover over the small blue rectangle that appears under the letter I until a dropdown appears.
  2. Click and select Implement interface 'IPlugInSegmentBuilder'
    Selecting the Implement interface option

    This will auto generate a code template for your class with the necessary public methods and parameters.

 using System;
 using System.Collections.Generic;
 using System.Linq;
 using System.Text;
 using Agilent.WaveformCreator.Core.Interfaces;
 using MathNet.Numerics;

 namespace MyWaveform
 {
     public class SimpleFM : IPlugInSegmentBuilder
     {
         public double BuildWaveform(double targetSampleRate, ISegmentDataFileBuilder rawDataFile)
         {
             throw new NotImplementedException();
         }

         public string Name
         {
             get { throw new NotImplementedException(); }
         }
     }
 }

Next:

  1. Add the attribute [Serializable] to indicate that the class can be serialized (used for save / recall).
  2. Re-work the definition of the Name method so that it can be read publicly but only set privately.
  3. Add properties to control the modulation frequency, modulation index and the minimum number of samples in the output waveform.
  4. Add a constructor method to initialize the various properties.
  5. Add a return value to the main BuildWaveform method.

     using System;
 using System.Collections.Generic;
 using System.Linq;
 using System.Text;
 using Agilent.WaveformCreator.Core.Interfaces;
 using MathNet.Numerics;

 namespace MyWaveform
 {
    &nbsp;[Serializable]
     public class SimpleFM : IPlugInSegmentBuilder
     {
         public double Fm { get; set; }
         public double modIndex { get; set; }
         public int minSamples { get; set; }

         public SimpleFM()
         {
             Name = "Simple FM";
             Fm = 1000000.0;
             modIndex = 0.5;
             minSamples = 65536;
         }

         public double BuildWaveform(double targetSampleRate, ISegmentDataFileBuilder rawDataFile)
         {
             return 1.0 / targetSampleRate;
         }

         public string Name { get; private set; }
     }
 }

At this point the code is now buildable, but it would not run in Waveform Creator because it does not write any data to rawDataFile. Waveform Creator would report this as a zero-length segment.
To allow us to progress we will temporarily write an array of zero-valued complex numbers. Because we have already added the using MathNet.Numerics statement we simply add

  public double BuildWaveform(double targetSampleRate, ISegmentDataFileBuilder rawDataFile)
         {
             Complex[] signal = new Complex[1000];
             rawDataFile.Write(signal);

             return 1.0 / targetSampleRate;
         }

This completes the creation of a minimum viable waveform DLL. At this stage, if you ask VS2010 to build the solution it should build successfully with no errors or warnings. Since we are developing a plug-in for Waveform Creator we will need to run Waveform Creator from VS2010 to debug our code.

First we configure VS2010 to copy the compiled plug-in code into Waveform Creator's plug-in directory:

  1. In the Solution Explorer pane, double-click on the Properties folder to open the project properties
  2. Select the Build tab
  3. Select Edit Post-build and add the command... copy "$(TargetPath)" "C:\Program Files (x86)\Agilent\M9099 Waveform Creator\PlugIns\"

Next we make Visual Studio run Waveform Creator when we start a debug session:

  • Open the project properties (if it's not already open)
  • Select the Debug tab
  • Change the Start Action to the Start external program option and set the associated field to C:\Program Files (x86)\Agilent\M9099 Waveform Creator\Agilent Waveform Creator.exe

Now we are ready to start a debug run in VS2010, so click Build (F6) and then click Start Debugging (F5). If all is well Waveform Creator should start up and you should see the "Simple FM" tab in the segment library. When you drag a segment into the Waveform Editor area, you should see the segment property grid appear on the left.
First pass property grid for Simple FM plug-in

At this stage, the appearance of the property grid is rather basic because it has assumed several defaults.

  • All the properties have been placed in a "Misc" category.
  • The property name displayed in the list is set to the property's internal variable name.
  • The descriptive text in the help box at the bottom is set to the selected property's internal variable name.
  • Property grids show property values in bold when they are not equal to the specified default value. Since the default value for each of these properties has not yet been specified, zero is assumed to be the default value, and hence all the non-zero property values are bold.
  • The Name variable is shown as "read only" (greyed out) because only its get method is public.
  • All of these can be adjusted by adding attributes to the class definition, as shown.

Once you have confirmed that you have functional plug-in code, exit Waveform Creator normally. This will, in turn, cause VS2010 to exit debugging so that you can continue with code development. The next step is to add attributes to the class definition.

 using System;
 using System.Collections.Generic;
 using System.Linq;
 using System.Text;
 using Agilent.WaveformCreator.Core.Interfaces;
 using MathNet.Numerics;
 using System.ComponentModel;

 namespace MyWaveform
 {
     public class SimpleFM : IPlugInSegmentBuilder
     {
         [DisplayName("Modulation Frequency (Hz)")]
         [Category("FM")]
         [Description("This sets the frequency of the sinusoidal single tone FM.  Range is 0 to 1.0 GHz")]
         [DefaultValue(1000000.0)]
         public double Fm { get; set; }

         [DisplayName("Modulation index (unitless)")]
         [Category("FM")]
         [Description("This sets the modulation index of the FM.  Range is 0 to 10.0")]
         [DefaultValue(0.5)]
         public double modIndex { get; set; }

         [DisplayName("Minimum samples (unitless)")]
         [Category("Waveform")]
         [Description("This sets a lower limit to the number of samples in the output waveform (useful when working with 89601B)")]
         [DefaultValue(65536)]
         public int minSamples { get; set; }

         public SimpleFM()
         {
             Name = "Simple FM";
             Fm = 1000000.0;
             modIndex = 0.5;
             minSamples = 65536;
         }

         public double BuildWaveform(double targetSampleRate, ISegmentDataFileBuilder rawDataFile)
         {
             Complex[] signal = new Complex[1000];
             rawDataFile.Write(signal);

             return 1.0 / targetSampleRate;
         }

         [Browsable(false)]
         public string Name { get; private set; }
     }
 }

These property decorations have the following effects;
DisplayName - This allows you to define a more "friendly" description of the property, independent of the underlying property's internal variable name.
Category - This allows you to gather the properties into named groups according to their purpose; mainly for usability reasons.
Description - This allows you to define context sensitive help text that will be displayed whenever the associated property is selected.
DefaultValue - This allows you to tell the PropertyGrid what value should be regarded as the default so that nondefault values can be highlighted in bold font.

Note

This does not set the property variable to the default value; if non-zero property defaults are required, they must be explicitly set, either by a class constructor or after object instantiation. In this example we have already defined a class constructor to assign default values to the properties.

Browsable - This allows you to control whether a class property is shown in the property grid. In this example we have selected [Browseable(false)] for the Name property because the value of this property is more appropriately displayed as a label on the segment library tab.
When we build the decorated class and re-run Waveform Center (as before) we can see the effect of these changes on the segment property grid.
Final version of property grid for Simple FM plug-in

Note

Unlike Waveform Center's native property grids which can invoke Agilent proprietary units conversion code, the user-defined plug-in's property grid can only handle basic data types such as int, double, string etc.

To keep this tutorial example focused on the essentials we have chosen to make the property units implicit, but you may wish to implement more sophisticated units parsing based on string parameters. At this point the framework programming is complete; all that remains is to implement the FM signal generation code, so exit Waveform Center normally to exit debugging a return to source development, then add the FM code.

The complete class definition is:

 using System;
 using System.Collections.Generic;
 using System.Linq;
 using System.Text;
 using Agilent.WaveformCreator.Core.Interfaces;
 using MathNet.Numerics;
 using System.ComponentModel;

 namespace MyWaveform
 {
     public class SimpleFM : IPlugInSegmentBuilder
     {
         [DisplayName("Modulation Frequency (Hz)")]
         [Category("FM")]
         [Description("This sets the frequency of the sinusoidal single tone FM.  Range is 0 to 1.0 GHz")]
         [DefaultValue(1000000.0)]
         public double Fm { get; set; }

         [DisplayName("Modulation index (unitless)")]
         [Category("FM")]
         [Description("This sets the modulation index of the FM.  Range is 0 to 10.0")]
         [DefaultValue(0.5)]
         public double modIndex { get; set; }

         [DisplayName("Minimum samples (unitless)")]
         [Category("Waveform")]
         [Description("This sets a lower limit to the number of samples in the output waveform (useful when working with 89601B)")]
         [DefaultValue(65536)]
         public int minSamples { get; set; }

         public SimpleFM()
         {
             Name = "Simple FM";
             Fm = 1000000.0;
             modIndex = 0.5;
             minSamples = 65536;
         }

         public double BuildWaveform(double targetSampleRate, ISegmentDataFileBuilder rawDataFile)
         {
             int samplesPerCycle;
             int nSamples;
             int i;
             double time;
             double angle;
             double Fs;

             samplesPerCycle = (int)(targetSampleRate / Fm);

             if (samplesPerCycle > 100) samplesPerCycle = 100;

             Fs = samplesPerCycle * Fm;

             nSamples = samplesPerCycle * (int)Math.Ceiling((decimal)minSamples / (decimal)samplesPerCycle);

             Complex[] signal = new Complex[nSamples];

             for (i = 0; i < nSamples; i++)
             {
                 time = i * (1.0 / Fs);
                 angle = modIndex * Math.Sin(2.0 * Math.PI * Fm * time);
                 signal[i] = Complex.FromRealImaginary(Math.Cos(angle), Math.Sin(angle));
             }

             rawDataFile.Write(signal);

             return 1.0 / Fs;

         }

         [Browsable(false)]
         public string Name { get; private set; }
     }
 }

Results

If we configure the Waveform Creator to create an FM signal modulated at 10 MHz with a modulation index of 3 and save the resulting waveform to a file, then recall the file as a recording we can use the 89601B VSA to examine the spectrum and time-domain waveforms. By selecting "Wrapped phase" as the Main Time Y-axis parameter we can see the 10 MHz modulation in the time domain and the spectrum display shows the wideband FM sidebands at 10 MHz spacing.

FM Modulation as Displayed by 89601B VSA


Examples

The sample programs used in examples are available at the following location:
%ALLUSERSPROFILE%\Agilent\M9099 Waveform Creator

You can also access these sample programs from the following menu in Waveform Creator: Help > Programming Samples

These programs were created and are only compatible with the following versions of the tools:

  • LabVIEW 2012
  • MATLAB R2012b
  • Visual Studio 2010
Notes
  • You must specify the VISA address of Waveform Creator and the output device that you want to download the waveform to and obtain valid licenses for the features being used.
  • All sample programs can be changed or customized.
Examples

Following two sample programs have been documented for your reference:

C# | Creating Multi-Tone Waveform Plug-in and Download to Output Device
LabVIEW | Generate a Digital Mod Waveform using LabVIEW


Creating Multi-Tone Waveform Plug-in and Download to Output Device

Example: How to Create Multi-Tone Waveform Plug-in and Download it to Output Device

The C# sample program used in this example is available at the following location:
%ALLUSERSPROFILE%\Agilent\<M9099 Waveform Creator Install directory>\CS_Multitone\CS_Multitone\Program.cs

You can also access this sample program from the following menu in Waveform Creator: Help > Programming Samples

Using this example, you can learn how to create a waveform plug-in by adding multi-tone segments and download the same to an output device (in this case, M9381A VSG).

Flow Chart: Create Multi-Tone Waveform Plug-in and Download to Output Device

Assumption

In this example, it is assumed that an instance of Waveform Creator is launched on your system.

Step 1: Open a VISA Session

To open a VISA session, you need to specify the VISA address of Waveform Creator. You can open a VISA session using the following protocols:

  • HiSLIP (High Speed LAN Instrument Protocol)
  • Sockets
  • Telnet

For more information about opening a VISA session, refer to Agilent VISA Help.

// Open session to Waveform Creator
 viError = visa32.viOpenDefaultRM(out resourceManager);
 viError = visa32.viOpen(resourceManager, "TCPIP0::Localhost::hislip0::INSTR", visa32.VI_NULL, visa32.VI_NULL, out waveformCreator);

Step 2: Select Output Device

Select the currently supported output device (such as Agilent M9381A VSG) and specify its VISA address.

 // Select Output Device and Specify its VISA Address
 viError = visa32.viPrintf(waveformCreator, ":OUTPut:DEVice:SELect M9381A\n");
 // Set Output Device to: Agilent M9381A VSG
 viError = visa32.viPrintf(waveformCreator, ":OUTPut:M9381A:ADDRess \"PXI7::0::0::INSTR;PXI12::0::0::INSTR;PXI13::0::0::INSTR;PXI14::0::0::INSTR\"\n");
 // Set Instrument Address to: M9381A

Step 3: Add Multi-tone Segments

Add multi-tone segments to tracks and customize the settings, for example, tone type, number of tones, occupied bandwidth, suppressed tones, and single-sided.

 // Add Multi-tone Segment 1
             viError = visa32.viPrintf(waveformCreator, ":TRACK1:SLIST:ADD MTONE,1\n");              // Add multi-tone segment 1 to track 1
             viError = visa32.viPrintf(waveformCreator, ":RADio:MTONe1:TYPE MTONe\n");               // Set Tone Type to: Multi-tone
             viError = visa32.viPrintf(waveformCreator, ":RADio:MTONe1:MTONe:NTONes 10\n");          // Set Number of Tones to: 10
             viError = visa32.viPrintf(waveformCreator, ":RADio:MTONe1:MTONe:OBWidth 5000000\n");    // Set Occupied Bandwidth to: 5 MHz
             viError = visa32.viPrintf(waveformCreator, ":RADio:MTONe1:MTONe:STONes TFC\n");         // Set Suppressed Tones to: Tone at Fc
             viError = visa32.viPrintf(waveformCreator, ":RADio:MTONe1:MTONe:SSIDed 0\n");           // Set Single-Sided to: False

Step 4: Configure Final Waveform Settings

The Final Waveform Settings lists all the settings relating to the processing and conditioning of the mathematically perfect waveforms in the Layout Window to create the final composite waveform prior to download to the output device.

 // Configure Final Waveform Settings
             viError = visa32.viPrintf(waveformCreator, ":OUTPut:SRATe:AUTO 0\n");                   // Set Sample Rate Mode to: Manual
             viError = visa32.viPrintf(waveformCreator, ":OUTPut:SRATe 50000000\n");                 // Set Sample Rate to: 50 MHz

Step 5: Close Sessions

Close all the VISA sessions.

 // Close sessions
             visa32.viClose(waveformCreator);
             visa32.viClose(resourceManager);


Generate a Digital Mod Waveform using LabVIEW

Example: How to Generate a Digital Mod Waveform using LabVIEW

The LabVIEW sample program used in this example is available at the following location:
%ALLUSERSPROFILE%\Agilent\M9099 Waveform Creator\LabVIEW\DigitalMod

You can also access this sample program from the following menu in Waveform Creator: Help > Programming Samples

Using this example, you can learn how to generate a Digital Mod waveform using LabVIEW and download the same to an output device (in this case, M9381A VSG).

Assumptions

In this example documentation, the following assumptions have been made:

  • LabVIEW 2012 is installed and running on your system (that is, the local host or remote PC)
  • M9099 Waveform Creator is installed and running on your system
  • DigitalMod plug-in is licensed

Steps

  1. Open the sample program (DigitalMod.vi) using National Instruments© LabVIEW software.
  2. Customize the following settings, as shown:

    Digital Mod Settings in LabVIEW

    Setting Type

    Value

    Modulation Type

    QPSK

    Payload Data

    PN9

    Symbol Rate (Hz)

    5000000

    Sample Rate (Hz)

    20000000

    Final Waveform Settings in LabVIEW

    Setting Type

    Value

    Noise Disable

    Yes

    C/N Ratio (dB)

    21

    Measurement Bandwidth (Hz)

    1800000000

    Skew (ns)

    0

    Sin(x)/x Correction On

    False

    Output Device Settings in LabVIEW

    Setting Type

    Value

    VISA Resource

    TCPIP0::localhost::hislip0::INSTR

    Amplitude (dBm)

    -10

    Note

    You can acquire the M9381A VISA address using Agilent Connection Expert.

  3. Click the Generate Waveform button.

    The changes taking place in LabVIEW, owing to state machine architecture, are shown:

     "M9099" is connected

 Send "Reset" command to "M9099"...
 Send "Clear" command to "M9099"...

 Select "M9381A" as the output device&hellip;

 Clear Track 1

 Configure Digital Mod Segment Settings:
               Set Symbol Rate to: 5 MHz
               Set Modulation Type to: QPSK
               Set Payload Data to: PN9
 Add the Digital Mod Segment to Track 1

 Configure Final Waveform Settings:
               Set Sample Rate Mode to: Manual
               Set Sample Rate to: 20 MHz
               Turn off Noise
               Set Skew to: 0.0 s
               Turn off Sin(x)/x correction

 Configure Current Output Device Settings:
               Set Amplitude Level to: -10 dBm
               Set &ldquo;Download all individual waveforms&rdquo; to: OFF
 Set &ldquo;Download Mixed Segment&rdquo; to: ON

 Download Waveform to the output device&hellip;  DONE

 Exit

    The necessary changes could be made in the Waveform Creator UI.

    Digital Mod Settings in Waveform Creator

    Final Waveform Settings in Waveform Creator

    Output Device Settings in Waveform Creator

  4. The Digital Mod waveform is generated and downloaded to the selected output device (in this case, M9381A VSG).


Support Information on Keysight.com

View Support Information on Keysight.com


Product Information on Keysight.com

View Product Information on Keysight.com


Customizing Waveform using Multiple Tracks

Waveform Composition using Multiple Tracks

A Modulated Signal with a Modulated Interferer

This subsection describes how the multi-track capability of the Waveform Creator software can be used to create a wanted modulation together with a modulated co-channel interferer.

As an example, we will create a waveform containing 64 QAM modulated signal, with an interfering 16 QAM modulated signal at -30 dBr.

First, we configure the signal and interferer segments as follows (only the non-default values are specified):

Multi-tone Segment 1

  • Tone type: Single Tone
  • Tone Frequency: 0.000000000 Hz
  • Tone Modulation Symbol Rate: 50.000 MHz
  • Tone Modulation Type: 64 QAM

Multi-tone Segment 2

  • Tone type: Single Tone
  • Tone Frequency: 0.000000000 Hz
  • Tone Modulation Symbol Rate: 30.000 MHz
  • Tone Modulation Type: 16 QAM

The duration of continuous tone segments is determined by the periodicity necessary to achieve phase continuity between the end and beginning of the segment so that if that segment was played repetitively in an AWG there would be no phase discontinuity glitch every time the signal loops around.

The settings of our two segments are different, giving rise to different segment durations for phase continuity. If we simply summed these signals together we would not get the required composite waveform because one of the tones would not be present for part of the time. Sometimes it is possible to repeat a segment to make all tracks the same length, but this is very unlikely unless the segment settings have an simple rational relationship.

To address this, the Final Waveform Settings menu includes a setting to truncate all tracks to the length of the shortest track prior to summing the signals.

Truncating parts of the signal in this way does mean that only the shortest track will remain phase continuous at the loop around point, the cropped tracks will now almost certainly contain a phase discontinuity.

This minor degradation of signal fidelity is an unfortunate but necessary tradeoff for the ability to construct multi-track signals. Its impact can be minimized in continuous signals by putting the most important part of the composite waveform on the shortest track, and it can be eliminated entirely in burst mode signals if it is possible to ensure that all tracks are silent at the start and end of the composite signal.

In our example, the primary signal is on track 1, which is the shortest track, so cropping will leave that part of the composite signal phase continuous, while introducing a phase glitch into the less important interferer. If track 2 had been the primary signal we could have drag/dropped a second copy of Segment 1 onto track 1 to make Track 2 the shortest track.

Enable tracks 1 and 2, and then drag and drop instances of the configured segments onto the tracks as follows:

Track 1

  • Multi-tone Segment 1

Track 2

  • Multi-tone Segment 2

The resulting waveform layout should look like:

Next we configure the mixer settings. In the Final Waveform Settings window, set the track Amplitudes to

Track 1

  • Amplitude: 100.0%,

Track 2

  • Amplitude: 3.2% (= -30 dBr, computed as 100 x 10 (-30/20))

and set Truncate Unequal Tracks to True.

A Multi-Path Faded Signal

This subsection describes how the multi-track capability of the Waveform Creator software can be used to create a multi-path signal.

As an example, we will create a waveform containing a multi-tone signal as it would appear at the receiver if the received signal included a reflection. This is not a particularly realistic scenario, but for demonstration purposes it is easy to confirm that the expected frequency selective fading does occur.

First, we configure one multi-tone segment and one Utility Silence segment as follows (only the non-default values are specified):

Multi-tone Segment 1

  • Tone Type: Multi Tone
  • Multitone Number of Tones: 50
  • Multitone Occupied Bandwidth: 50.00000 MHz

Utility Segment 1

  • Waveform Type: Silence
  • Length: 100 ns
  • Enable tracks 1 and 2, and then drag and drop instances of the configured segments onto the tracks as follows:

Track 1

  • Multi-tone Segment 1

Track 2

  • Utility Segment 1
  • Multi-tone Segment 1

and set Truncate Unequal Tracks to True.

The resulting waveform (zoomed to show the offset due to the silence) should look like the following:

Zoomed in Waveform Layout Showing How Silences Provides a Time Delay

A multi-path waveform should be constructed in this way (with the same segment in each track), so that only one segment needs be edited to ensure that there is always the same signal on each path.

In the Final Waveform Settings window, set the track Amplitudes and Phases to:

Track 1

  • Amplitude: 100%
  • Phase: 0°

Track 2

  • Amplitude: 60%
  • Phase: -123°

and set Truncate Unequal Tracks to True.

A Multi-Level Signal

This subsection describes how the multi-track capability of the Waveform Creator software can be used to create a multi-level signal.

As an example, we will create a waveform containing a multi-tone signal that is stepped between four amplitude levels.

First, we configure one multi-tone segment and one Utility Silence segment as follows (only the non-default values are specified):

Multi-tone Segment 1

  • Tone type: Single Tone
  • Tone Frequency: 0.000000000 Hz
  • Tone Modulation Symbol Rate: 128.000 MHz
  • Tone Modulation Type: 64 QAM
  • Tone Minimum Length: 4096

Utility Segment 1

  • Waveform Type: Silence
  • Length: 32.00 µs

Enable tracks 1 to 4, and then drag and drop instances of the configured segments onto the tracks as follows:

Track 1

  • Multi-tone Segment 1

Track 2

  • Utility Segment 1
  • Multi-tone Segment 1

Track 3

  • Utility Segment 1
  • Utility Segment 1
  • Multi-tone Segment 1

Track 4

  • Utility Segment 1
  • Utility Segment 1
  • Utility Segment 1
  • Multi-tone Segment 1

The resulting waveform layout should look like the following figure.

In the Final Waveform Settings window, set the track Intermediate Frequencies to,

Track 1

  • Amplitude: 100%
  • Phase: 0°

Track 2

  • Amplitude: 17.78% (= -15 dBr, computed as 100 x 10 (-15/20))
  • Phase: 0°

Track 3

  • Amplitude: 3.2% (= -30 dBr, computed as 100 x 10 (-30/20))
  • Phase: 0°

Track 4

  • Amplitude: 0.56% (= -45 dBr, computed as 100 x 10 (-45/20))
  • Phase: 0°

and set Truncate Unequal Tracks to False.

A Multi-Channel Signal

This subsection describes how the multi-track capability of the Waveform Creator software can be used to create a signal containing multiple RF channels.

As an example, we will create a waveform containing a mixture of modulated and unmodulated narrowband signals at different frequencies.

Multi-tone Segment 1

  • Tone Type: Single Tone
  • Tone Frequency: 0.000000000 Hz
  • Tone Modulation Symbol Rate: 5.000 MHz
  • Tone Modulation Type: 64 QAM
  • Tone Minimum Duration: 4096

Multi-tone Segment 2

  • Tone Type: Single Tone
  • Tone Frequency: 0.000000000 Hz
  • Tone Modulation Symbol Rate:1.000 MHz
  • Tone Modulation Type: GMSK
  • Tone Filter Type: Gaussian
  • Tone Filter BT/Shape: 0.500

Multi-tone Segment 3

  • Tone Type: Single Tone
  • Tone Frequency: 0.000000000 Hz
  • Tone Modulation Symbol Rate: 2.500 MHz
  • Tone Modulation Type: 16 QAM

Multi-tone Segment 4

  • Tone Type: Single Tone
  • Tone Frequency: 10.00000000 MHz
  • Tone Modulation Type: No Modulation
  • Tone Minimum Duration: 409600

Utility Segment 1

  • Waveform Type: Silence
  • Length: 409.6 µs

Enable tracks 1 to 4, and then drag and drop instances of the configured segments onto the tracks as follows:

Track 1

  • Multi-tone Segment 1
  • Multi-tone Segment 1
  • Multi-tone Segment 1
  • Multi-tone Segment 1
  • Multi-tone Segment 1

Track 2

  • Multi-tone Segment 2

Track 3

  • Multi-tone Segment 3
  • Utility Segment 1
  • Multi-tone Segment 3
  • Utility Segment 1

Track 4

  • Multi-tone Segment 4
  • Multi-tone Segment 4
  • Multi-tone Segment 4
  • Multi-tone Segment 4
  • Multi-tone Segment 4

The resulting waveform layout should look like the following figure.

Waveform Layout for 4 RF Channel Mixed Signal Scenario
To create an IQ baseband signal containing the four channel RF scenario, set the channel IF frequencies to distribute the channels across the available VSG bandwidth.

In the Final Waveform Settings window, set the track Intermediate Frequencies to

Track 1

  • Intermediate Frequency: -35 MHz

Track 2

  • Intermediate Frequency: 55 MHz

Track 3

  • Intermediate Frequency: 21 MHz

Track 4

  • Intermediate Frequency: 0 MHz (because the CW tone frequency is already defined by the segment)

and set Truncate Unequal Tracks to True.


Sequencing

The Sequencing feature allows you to download all waveform segments individually to the specified instrument, and then play/repeat them in a specific order.

Sequencing

To download all waveform segments individually, perform the following steps:

  1. In the Current Output Device Settings panel, set Download All Individual Waveforms to True.
    Current Output Device Settings Panel
  2. Click the Generate and Output button.
    Waveform Creator downloads all waveform segments individually to the specified instrument.

You can specify the order and number of loops for each waveform segment by clicking the Sequencing tab in the Output Device window, and click the Play Sequence button to play the sequence on the instrument.

Example
In the following example, Segment 1 on track 1 plays 1 time, Segment 2 on track 1 plays 6 times, and then Segment 1 on track 2 plays 4 times.
Segment Number and Play Sequence


Tutorials

  • User-Defined Waveform Plug-in Tutorial